<?php 
$controller = 'Appointment';
$action = '';
if(isset($_POST['action'])){
    $action = $_POST['action'];
    if (isset($_POST['id'])) {$id = $_POST['id'];}
}elseif(isset($_GET['action'])){
    $action = $_GET['action'];
    if (isset($_GET['id'])) {$id = $_GET['id'];}
}
include $_SERVER["DOCUMENT_ROOT"].'/app/include/bootstrap.php';

$_form = new AppointmentForm();
$_appointment = new AppointmentRepository();
$_listaAppointments = $_appointment->getListaAppointments();
switch($action){
    case 'insert':
        $_form->populate($_POST);
        $_appointmentHour = $_POST['appointment_hour'];
        if($_form->isValid()){
            $_appointment->setOptions($_POST);
            $result = $_appointment->save($_appointment->getOptions());
            if($result){
                $flashmessenger->addMessage(array('success'=>'Cita registrada exitosamente.'));                
                header('Location: Appointment.php');
            }else{
                $flashmessenger->addMessage(array('danger'=>'Error. Intenta nuevamente o contacta a tu proveedor de sistemas.'));
            }
        }else{
            $vista = 'Appointment.php';
            include $root.'/View/Template.php';
        }
        break;
   
    case 'edit':
        if($_GET){$_appointmentData = $_appointment->getById($id);}
        if($_POST){$_appointmentData = $_POST;}
        $_form->setActionController('edit');
        $_form->setId($id);
        $_form->populate($_appointmentData);
        $_appointmentHour = $_appointmentData['appointment_hour'];
        
        if(isset($_POST['id'])){
            if($_form->isValid()){
                $_appointment->setOptions($_appointmentData);
                $result = $_appointment->update($id,$_appointment->getOptions()); //no tengo id porque viene de post
                if($result){
                    $flashmessenger->addMessage(array('success'=>'Cita actualizada exitosamente.'));
                    header("Location: Appointment.php?action=edit&id=$id");
                }else{
                    $flashmessenger->addMessage(array('danger'=>'Error. Intenta nuevamente o contacta a tu proveedor de sistemas.'));
                }       
            }else{
                $vista = 'Appointment.php';
                include $root . '/View/Template.php';
            }
        }else{
            $vista = 'Appointment.php';
            include $root . '/View/Template.php';
        }        
        break;
    
    case 'delete': 
        if(!$_appointment->isUsedInRecord($id)){
            if($_appointment->delete($id)){
                $flashmessenger->addMessage(array('success'=>'Cita eliminadaS satisfactoriamente.'));
            }
        }else{
            $message = 'Esta Cita no puede ser eliminada, esta siendo utilizado en almenos un registro.';
            $flashmessenger->addMessage(array('info'=>$message));
        }
        header('Location: Appointment.php');
        break;
        
    case 'ajax':
        $loadLineAjax = new AppointmentAjax();
        $json = $loadLineAjax->getResponse($_POST['request'],$_POST);
        
        echo json_encode($json);
        break;       
    
    default:
        $_appointmentHour = null;
        $vista = 'Appointment.php';
        include $root.'/View/Template.php';
}