<?php 
$controller = 'AppointmentOptions';
$action = '';
if(isset($_POST['action'])){
    $action = $_POST['action'];
    if (isset($_POST['id'])) {$id = $_POST['id'];}
}elseif(isset($_GET['action'])){
    $action = $_GET['action'];
    if (isset($_GET['id'])) {$id = $_GET['id'];}
}
include $_SERVER["DOCUMENT_ROOT"].'/app/include/bootstrap.php';

$_form = new AppointmentOptionsForm();
$_appointment = new AppointmentOptionsRepository();
$_listaAppointmentOptions = $_appointment->getListaAppointmentOptions();
switch($action){
    case 'insert':
        $_form->populate($_POST);
        if($_form->isValid()){
            $_appointment->setOptions($_POST);
            $result = $_appointment->save($_appointment->getOptions());
            if($result){
                $flashmessenger->addMessage(array('success'=>'Opcion de cita registrada exitosamente.'));
                header('Location: AppointmentOptions.php');
            }else{
                $flashmessenger->addMessage(array('danger'=>'Error. Intenta nuevamente o contacta a tu proveedor de sistemas.'));
            }
        }else{
            $vista = 'AppointmentOptions.php';
            include $root.'/View/Template.php';
        }
        break;
   
    case 'edit':
        if($_GET){
            $_appointmentData = $_appointment->getById($id);
            $_appointmentData['hours'] = $_appointment->hoursStringToArray($_appointmentData['hours']);
        }
        if($_POST){$_appointmentData = $_POST;}
        $_form->setActionController('edit');
        $_form->setId($id);
        $_form->populate($_appointmentData);
        
        if(isset($_POST['id'])){
            if($_form->isValid()){
                $_appointment->setOptions($_appointmentData);
                $result = $_appointment->update($id,$_appointment->getOptions()); //no tengo id porque viene de post
                if($result){
                    $flashmessenger->addMessage(array('success'=>'Opcione de cita actualizada exitosamente.'));
                    header("Location: AppointmentOptions.php?action=edit&id=$id");
                }else{
                    $flashmessenger->addMessage(array('danger'=>'Error. Intenta nuevamente o contacta a tu proveedor de sistemas.'));
                }       
            }else{
                $vista = 'AppointmentOptions.php';
                include $root . '/View/Template.php';
            }
        }else{
            $vista = 'AppointmentOptions.php';
            include $root . '/View/Template.php';
        }        
        break;
    
    case 'delete': 
        if(!$_appointment->isUsedInRecord($id)){
            if($_appointment->delete($id)){
                $flashmessenger->addMessage(array('success'=>'Opcion de cita eliminada satisfactoriamente.'));
            }
        }else{
            $message = 'Esta opcion de cita no puede ser eliminada, esta siendo utilizado en almenos un registro.';
            $flashmessenger->addMessage(array('info'=>$message));
        }
        header('Location: AppointmentOptions.php');
        break;
    
    default:
        $vista = 'AppointmentOptions.php';
        include $root.'/View/Template.php';
}