<?php
/**
 * Description of Presentacion
 *
 * @author carlos
 */

class PresentacionEntity Extends PresentacionRepository{
    private $options = array(
        'descripcion'=>null,
        'status'=>null
    );
    
    public function setOptions($data){
      foreach ($this->options as $option => $value){
          if(isset($data[$option])){
            $this->options[$option] = $data[$option];
          }
      }
    }
  
    public function getOptions(){
        return $this->options;
    }
    
    public function getTable(){
        return $this->table;
    }
    
   public function pagination($pag){
      $paginacion = new Paginacion($pag);
      $paginacion->setQueryString("SELECT * FROM presentaciones");
      $paginacion->setLayout(new Tradicional(2));
      
      return $paginacion;
  }

}
