<div class="row">
    <div class="col-lg-12">
        <ol class="breadcrumb">
            <?php      
            $currentAction = '';
            $agregarNuevo = '';
            if($action =='edit'){ 
                $registerAction = 'Editar cita #'.$_appointmentData['appointment_num'];
                $currentAction = "<li class='active'><i class='fa fa-pencil'></i> ".$_translator->_getTranslation('Editar')."</li>";
                $agregarNuevo = "<a href='Appointment.php' class='btn btn-default'><i class='fa fa-plus'></i> ".$_translator->_getTranslation('Agregar cita')."</a>";
                $agregarNuevo .= "<span class='btn btn-default _forwardEmail'><i class='fa fa-envelope'></i> Reenviar email</span>";
                $agregarNuevo .= '<hr>';                
            }elseif($action =='' || $action =='insert'){
                $registerAction = 'Agregar cita ';
                $currentAction = "<li class='active'><i class='fa fa-plus'></i> ".$_translator->_getTranslation('Agregar')."</li>";
            } ?>
            <li><i class="fa fa-dashboard"></i>  <a href="<?php echo ROOT_HOST?>/Controller/Home.php"><?php echo $_translator->_getTranslation('Home')?></a></li>
            <li class="active"><i class="fa fa-calendar"></i> <?php echo $_translator->_getTranslation('Citas')?></li>
            <?php echo $currentAction?>
        </ol>
    </div>
</div>
<div class="row">
    <div class="col-lg-12">
        <div id="flashmessenger"><?php $flashmessenger->showMessage();?></div>
        <div class="box">
            <div class="box-header"> 
                <h3><i class='fa-fw fa fa-calendar'></i><?php echo $_translator->_getTranslation($registerAction);?></h3>
                <div class='box-icon'><i class='icon fa fa-tasks'></i></div>
            </div>
            <div class='box-content'>
                <div class="row">
                    <div class="col-md-12 col-xs-12 text-right">
                        <?php echo $agregarNuevo;?>                        
                        <div class="clear"></div>
                    </div> 
                    <?php 
                    echo $_form->openForm();
                    echo $_form->showActionController();
                    echo $_form->showId();
                    echo $_form->showElement('appointment_num');
                    echo $_form->showElement('sales_person_id');
                    ?>
                    <div class="col-md-6">
                        <?php echo $_form->showElement('appointment_date');?>
                        <?php echo $_form->showElement('appointment_hour');?>
                        <?php echo $_form->showElement('customer_id');?>
                        <?php echo $_form->showElement('event_type_id');?>
                        <?php echo $_form->showElement('status');?>
                        <div class="form-group">
                            <div class="col-md-3"></div>
                            <div class="col-md-8 p-r-0 text-right">
                                <?php $element = $_form->getElement('send'); echo $_form->createOnlyElement($element);?>
                                <?php $element = $_form->getElement('cancelar'); echo $_form->createOnlyElement($element);?>                               
                            </div>
                        </div>
                    </div>      
                    <?php echo $_form->closeForm();?>
                </div>
                <div class="row">
                    <div class="col-lg-12">
                        <h3><?php echo $_translator->_getTranslation('Lista de citas')?></h3>
                        <hr/>
                        <div class='table-responsive'>
                        <table id="tblAppointments" class="table table-striped table-hover table-condensed">
                            <thead>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Cita #');?></th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Fecha');?></th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Hora');?></th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Cliente');?></th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Vendedor');?></th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Status');?></th>
                            <th class="text-center col-md-1"><?php echo $_translator->_getTranslation('Accion');?></th>
                            </thead>
                            <tbody>
                            <?php 
                                if($_listaAppointments){
                                    foreach($_listaAppointments as $appointment){?>
                                        <tr>
                                            <td class="text-center"><?php echo $appointment['appointment_num']?></td>
                                            <td class="text-center"><?php echo $appointment['formated_date']?></td>
                                            <td class="text-center"><?php echo $appointment['formated_hour']?></td>
                                            <td class="text-center"><?php echo $appointment['customer_name']?></td>
                                            <td class="text-center"><?php echo $appointment['sales_person_name']?></td>
                                            <td class="text-center"><?php echo $appointment['status_name']?></td>
                                            <td>
                                                <a href="Appointment.php?action=edit&id=<?php echo $appointment['id']?>"><i class="fa fa-pencil btn btn-sm btn-default"></i></a>
                                                <a onclick="return deleteRegistry('Appointment.php?action=delete&id=<?php echo $appointment['id']?>')"  href="#"><i class="fa fa-trash btn btn-sm btn-danger"></i></a>
                                            </td>
                                        </tr><?php
                                    }                   
                                }?>
                            </tbody>
                        </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php   include ROOT."/View/Modal/agregarClientePos.php"; ?>
<script type="text/javascript">
    function getAvailableHours(callback){
        $.post('/Controller/Appointment.php', {
            action: 'ajax',
            request: 'getAvailableHours',
            date: $('#appointment_date').val(),
            id: $('form[name=appointment] #id').val()
        }, function(data) {
            if (data.response){
                $('#appointment_hour').html(data.availableHours).trigger('change');
                if(callback){callback();}
            }
        }, 'json');
    }
    
    $("#appointment_date").datetimepicker({format: "MM/DD/YYYY"});    
    $('#customer_id,#appointment_hour,#status,#event_type_id').select2();
    
    $('#appointment_date').on('dp.change',function(){
        getAvailableHours();
    });
    
    $('#guardarCliente').on('click',function(){    
        var options = $('form[name=cliente]').serializeArray();
        $.post('/Controller/Pos.php', {
             action: 'ajax',
             request: 'saveCliente',
             options: options,
             idCustomer: $('#customer').val()
         }, function(data) {
             if (data.response){            
                 $('#flashmessenger').html(data.message);
                 fadeOutAlert();
                 $('#modalAgregarClientePos').modal('hide');
                 $('form[name=cliente] #nombre_empresa').val('');
                 $('form[name=cliente] #nombre').val('');
                 $('form[name=cliente] #calle').val('');
                 $('form[name=cliente] #ciudad').val('');
                 $('form[name=cliente] #telefono').val('');
                 $('form[name=cliente] #correo').val('');

                 $('#customer_id').html(data.listClientes).trigger('change');
             }else{
                 $('#flashmessenger-agregarCliente').html(data.message);
                  fadeOutAlert();

             }
         }, 'json');
    });
    
    $('#tblAppointments').DataTable({
        paginate:true,
        filter:true,
        pageLength: 100,
        aaSorting:[]
        });

    $('#tblAppointments').removeClass( 'display' ).addClass('table table-striped table-bordered');  
    
     $('#guardarCliente').on('click',function(){
       saveCliente(function(listClientes){
           $('#customer').html(listClientes).trigger('change');
       });
   });
   
    $('._setModalClienteAdd').on('click',function(){
        setModalCliente('insert');
    });
    
    $('._setModalClienteEdit').on('click',function(){
         getCustomerData($('#customer_id').val(),function(customerData){setModalCliente('edit',customerData);});         
    });
    
    getAvailableHours(function(){
        $('#appointment_hour').val('<?php echo $_appointmentHour ?>').trigger('change');
    });
    
    $('._forwardEmail').on('click',function(){
        $.post('/Controller/Appointment.php', {
             action: 'ajax',
             request: 'mailingAppointment',
             appointment_id: $('form[name=appointment] #id').val(),
             from_ajax: true
         }, function(data) {
             if (data.response){            
                 $('#flashmessenger').html(data.message);                
             }
         }, 'json');
    });
</script>