<div class="row">
    <div class="col-lg-12">
        <ol class="breadcrumb">
            <?php      
            $currentAction = '';
            $agregarNuevo = '';
            if($action =='edit'){ 
                $registerAction = 'Editar opcion ';
                $currentAction = "<li class='active'><i class='fa fa-pencil'></i> ".$_translator->_getTranslation('Editar')."</li>";
                $agregarNuevo = "<a href='AppointmentOptions.php' class='btn btn-sm btn-default'><i class='fa fa-plus'></i> ".$_translator->_getTranslation('Agregar opcion de cita')."</a>";
                $agregarNuevo .= '<hr>';                
            }elseif($action =='' || $action =='insert'){
                $registerAction = 'Agregar opcion de cita ';
                $currentAction = "<li class='active'><i class='fa fa-plus'></i> ".$_translator->_getTranslation('Agregar')."</li>";
            } ?>
            <li><i class="fa fa-dashboard"></i>  <a href="<?php echo ROOT_HOST?>/Controller/Home.php"><?php echo $_translator->_getTranslation('Home')?></a></li>
            <li class="active"><i class="fa fa-laptop"></i> <?php echo $_translator->_getTranslation('Opciones de citas')?></li>
            <?php echo $currentAction?>
        </ol>
    </div>
</div>
<div class="row">
    <div class="col-lg-12">
        <div id="flashmessenger"><?php $flashmessenger->showMessage();?></div>
        <div class="box">
            <div class="box-header"> 
                <h3><i class='fa-fw fa fa-calendar'></i><?php echo $_translator->_getTranslation($registerAction);?></h3>
                <div class='box-icon'><i class='icon fa fa-tasks'></i></div>
            </div>
            <div class='box-content'>
                <div class="row">
                    <div class="col-md-12 col-xs-12 text-right">
                        <?php echo $agregarNuevo;?>                        
                        <div class="clear"></div>
                    </div> 
                    <?php 
                    echo $_form->openForm();
                    echo $_form->showActionController();
                    echo $_form->showId();
                    ?>
                    <div class="col-md-6">
                        <?php echo $_form->showElement('day');?>
                        <?php echo $_form->showElement('hours');?>
                        <div class="form-group">
                            <div class="col-md-3"></div>
                            <div class="col-md-8 p-r-0 text-right">
                                <?php $element = $_form->getElement('send'); echo $_form->createOnlyElement($element);?>
                                <?php $element = $_form->getElement('cancelar'); echo $_form->createOnlyElement($element);?>                               
                            </div>
                        </div>
                    </div>      
                    <?php echo $_form->closeForm();?>
                </div>
                <div class="row">
                    <div class="col-lg-12">
                        <h3><?php echo $_translator->_getTranslation('Lista de citas')?></h3>
                        <hr/>
                        <div class='table-responsive'>
                        <table id="tblAppointments" class="table table-striped table-hover table-condensed">
                            <thead>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Dia');?></th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Horas');?></th>
                            <th class="text-center col-md-1"><?php echo $_translator->_getTranslation('Accion');?></th>
                            </thead>
                            <tbody>
                            <?php 
                                if($_listaAppointmentOptions){                                    
                                    foreach($_listaAppointmentOptions as $appointmentOptions){?>
                                        <tr>
                                            <td class="text-center"><?php echo $_appointment->getDayNameByDayNum($appointmentOptions['day'])?></td>
                                            <td class="text-center"><?php echo $appointmentOptions['hours']?></td>
                                            <td>
                                                <a href="AppointmentOptions.php?action=edit&id=<?php echo $appointmentOptions['id']?>"><i class="fa fa-pencil btn btn-sm btn-default"></i></a>
                                            <a onclick="return deleteRegistry('AppointmentOptions.php?action=delete&id=<?php echo $appointmentOptions['id']?>')" 
                                               href="#"><i class="fa fa-trash btn btn-sm btn-danger"></i></a>
                                            </td>
                                        </tr><?php
                                    }                   
                                }?>
                            </tbody>
                        </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">  
    $('#hours').select2();       
    $('#tblAppointments').DataTable({
        paginate:true,
        filter:true,
        pageLength: 100
    });

    $('#tblAppointments').removeClass( 'display' ).addClass('table table-striped table-bordered');    
</script>