<!-- Modal -->
<div id="modalUltimasVentas" class='modal fade' data-backdrop="static"  data-keyboard="false" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog" role="document">
    <div class="modal-content">
        <div class="modal-header">
            <h3 id="myModalLabel"><?php echo $_translator->_getTranslation('Ventas de hoy');?></h3>
        </div> 
        <div id="flashmessenger-ultimasVentas" style="height: 40px"></div>
        <div class="modal-body">  
            <div class='col-lg-12 col-md-12 col-sm-12'>
                <table id="tblLastVentas" class="table table-condensed table-striped table-hover table-scroll" style="height: 50vh" >
                    <thead>
                        <th class='text-center' style='width:15%'><?php echo $_translator->_getTranslation('Venta')?></th>
                        <th class='text-right' style='width:15%'><?php echo $_translator->_getTranslation('Monto')?></th>
                        <th class='text-center' style='width:25%'><?php echo $_translator->_getTranslation('Forma de pago')?></th>
                        <th class='text-center' style='width:20%'><?php echo $_translator->_getTranslation('Status')?></th>
                        <th class='text-right' style='width:25%'><?php echo $_translator->_getTranslation('Accion')?></th>
                    </thead>
                    <tbody></tbody>
                </table>
            </div> 
            <div class='clear'></div>
        </div>
        <div class="modal-footer">    
            <div class='col-lg-3 col-md-3 col-sm-12 pull-right'>
                <input type="button" class='btn btn-default pull-right setCursor' data-dismiss='modal' aria-hidden='true' value="<?php echo $_translator->_getTranslation('Cerrar');?>" />
            </div>            
        </div>
    </div>
    </div>
    <script>       
        $('#tblLastVentas').on('click',"tbody tr td a.deleteVenta",function(){  
            var idventa = $(this).data('idventa');
            confirmarAccion('cancelar_venta',function(){
                $.confirm({
                    icon: 'fa fa-exclamation',
                    title:'Mensaje', 
                    content: "<p style='height:50px' id='cancelation_cause_error'></p>\n\
                              <p>Causa de cancelacion</p>\n\
                              <div class='form-group'><textarea class='form-control' id='cancelation_cause'></textarea></div>\n\
                              <p style='height:30px'></p>",
                    type: 'blue',
                    buttons:{                
                        cancel: {
                            text:'Cancealar',
                            action: function(){
                               $(this).remove();
                            }
                        },
                        continuar: {
                            text: 'Continuar ',
                            btnClass: 'btn-primary',
                            action: function(){           
                                if($('#cancelation_cause').val() == ''){
                                    addMsgFlashmessenger('danger','Causa de cancelacion es requerido.','cancelation_cause_error');    
                                    return false;
                                }else{
                                    cancelVenta(idventa);
                                }                               
                            }
                        }
                    }
                });
                
            });
        });
        
          $('#tblLastVentas').on('click',"tbody tr td a.re_email",function(){  
            var idventa = $(this).data('idventa');
            mailingTicketVenta(idventa);
        });
    </script>
</div>