<div class="container-title"></div>
<div class="row">
    <div class="col-lg-12"><ol class="breadcrumb">
            <?php
            $currentAction = '';
            $agregarNuevo = '';
            if ($action == 'edit') {
                $compraAction = 'Editar pago #'.$form->getId(); 
                $currentAction = "<li class='active'><i class='fa fa-pencil'></i> " . $_translator->_getTranslation('Editar') . "</li>";                
            } elseif ($action == '' || $action == 'insert') {
                $compraAction = 'Agregar Pago';
                $currentAction = "<li class='active'><i class='fa fa-plus'></i> " . $_translator->_getTranslation('Agregar') . "</li>";
            }
            ?>
            <li><i class="fa fa-dashboard"></i>  <a href="<?php echo ROOT_HOST ?>/Controller/Home.php"><?php echo $_translator->_getTranslation('Inicio') ?></a></li>
            <li class="active"><i class="fa fa-check-circle"></i> <a href="<?php echo ROOT_HOST ?>/Controller/Payment.php?action=list"><?php echo $_translator->_getTranslation('Lista de pagos') ?></a></li>
            <li class="active"><i class="fa fa-check-circle"></i> <?php echo $_translator->_getTranslation('Pagos') ?></li>
            <?php echo $currentAction ?>
        </ol>
    </div>
</div>
<div id="flashmessenger"><?php $flashmessenger->showMessage(); ?></div>
<div class="box">
    <div class="box-header"> 
        <h3><i class='fa-fw fa fa-check-circle'></i><?php echo $_translator->_getTranslation($compraAction); ?></h3>
        <div class='box-icon'><i class='icon fa fa-tasks'></i></div>
    </div>
    <div class='box-content'>
    <div class='row'>
    <?php 
    if($action == 'edit'){?>
        <div class="col-md-12 col-xs-12 text-right">
            <!--<a class="btn btn-sm btn-default" onclick="javascript: void window.open('Payment.php?action=import&flag=pdf&id=<?php echo $id;?>','','width=700,height=500,status=1,scrollbars=1,resizable=1')"><span class="fa fa-print" ></span> <?php echo $_translator->_getTranslation('Imprimir');?></a>  -->
            <!--<a class="btn btn-sm btn-default" href="#" onclick="setDataInvoicePago(this)" data-idinvoice="<?php echo $form->getId(); ?>" data-toggle='modal' data-target='#modalInvoiceToMailP' title="Enviar por correo"><i class="fa fa-envelope"></i> <?php echo $_translator->_getTranslation('Enviar por correo');?></a>-->  
            <a href="/Controller/Payment.php" class="btn btn-md btn-default"><span class="fa fa-plus"></span> <?php echo $_translator->_getTranslation('Agregar pago');?></a>                        
            <hr>
        </div>            
        <div class="clear"></div>
<?php } 
    echo $form->openForm();?>
    <div style="display: none"><?php
        echo $form->showActionController();
        echo $form->showId();
        echo $form->showElement('status');
        echo $form->showElement('monto_original');
        echo $form->showElement('suma_de_pagos');
        ?>
    </div>   
    <div class="col-xs-12 col-md-12">
        <div class="col-md-5 col-xs-5">
            <?php echo $form->showElement('fecha')?>       
            <?php echo $form->showElement('forma_de_pago')?>
            <?php echo $form->showElement('num_operacion')?>                    
        </div>
        <div class="col-md-5 col-xs-5">
            <?php echo $form->showElement('monto')?>
            <?php echo $form->showElement('proveedor')?>
            <?php echo $form->showElement('notas')?>
        </div>        
         <div class="col-md-2 col-xs-2 text-right">          
            <?php 
                $labelMontoPago = trim($form->getValueElement('monto'));
                $labelSumaPago = trim($form->getValueElement('suma_de_pagos'));
                if($labelMontoPago == ''){$labelMontoPago = 0;}
                if($labelSumaPago == ''){$labelSumaPago = 0;}
            ?>
            <h3 id="label_monto_pago" style="margin: 0px;">$<?php echo number_format($labelMontoPago,2)?></h3>
            <i><?php echo $_translator->_getTranslation('Monto de pago')?></i>
            <div class="m-t-3"></div>
            <h3 id="label_suma_pagos" style="margin: 0px;">$<?php echo number_format($labelSumaPago,2)?></h3>
            <i><?php echo $_translator->_getTranslation('Suma de pagos')?></i>
        </div>
    </div>  
        
    <div class="clear" ></div>
    <hr>
    
    <div class="table-responsive">
        <p>Facturas pendientes de pago</p>

        <table class="table table-striped table-condensed">
            <thead>
            <th class='text-center'><?php echo $_translator->_getTranslation('Num. Factura')?></th>
            <th class='text-center'><?php echo $_translator->_getTranslation('Proveedor')?></th>
            <th class='text-center'><?php echo $_translator->_getTranslation('Fecha')?></th>
            <th class='text-center'><?php echo $_translator->_getTranslation('Fecha pago')?></th>
            <th class='text-right'><?php echo $_translator->_getTranslation('Total')?></th>
            <th class='text-right'><?php echo $_translator->_getTranslation('Balance')?></th>
            <th class='text-center'><?php echo $_translator->_getTranslation('Agregar')?></th>
            </thead>
            <tbody id="listFacturasProveedores">
            <?php 
                #Status de pago en general                 
                if($form->getValueElement('status')=='1' || $form->getValueElement('status')==''){                      
                    $ajaxPago = new PagoAjax();                    
                    $facturasPendientes = $ajaxPago->getListFacturasByProveedor(array('proveedor'=>$form->getValueElement('proveedor')));
                    echo $facturasPendientes['listFacturas'];              
                }
            ?>
            </tbody>
        </table>    
    </div>
    
    <div class="clear" ></div>
    <hr>
    
    <div class="table-responsive">
        <p>Facturas seleccionadas para pago</p>
        
        <table class="table table-striped table-condensed table-thead-customize">
        <thead>
        <th class="text-center"><?php echo $_translator->_getTranslation('Edit')?></th>
        <th class="text-center"><?php echo $_translator->_getTranslation('Num. Factura')?></th>
        <th class="text-center"><?php echo $_translator->_getTranslation('Proveedor')?></th>
        <th class="text-center"><?php echo $_translator->_getTranslation('Fecha')?></th>
        <th class="text-center"><?php echo $_translator->_getTranslation('Fecha pago')?></th>
        <th class="text-right"><?php echo $_translator->_getTranslation('Total')?></th>
        <th class="text-right"><?php echo $_translator->_getTranslation('Balance')?></th>
        <th class="text-right"><?php echo $_translator->_getTranslation('Pago')?></th>
        </thead>
        <tbody id="listFacturasAPagar">
        <?php if(isset($_listFacturas)){
                $entity = new PurchaseRepository();  
                foreach($_facturas as $factura => $value){
                    $result = $entity->getById($factura);
                    if($result){   ?>                    
                        <tr id="deleteInvoice_<?php echo $factura?>">
                        <td>
                            <a onclick="deleteInvoiceFromPayment('<?php echo $factura?>')" class='btn btn-sm btn-danger'><i class='fa fa-trash'></i></a>
                        </td>
                        <td class="text-center"><?php echo $result['reference'] ?></td>
                        <td class="text-center"><?php echo $result['vendorName'] ?></td>
                        <td class="text-center"><?php echo $result['date'] ?></td>
                        <td class="text-center"><?php echo $result['due_date'] ?></td>
                        <td class="text-right"><?php echo number_format($result['total'],2) ?></td>
                        <td class="text-right"><?php echo number_format($result['saldo_pendiente'],2); ?></td>                        
                        <td class="text-right"><?php $form->showElement("pago[$factura]");?></td>                        
                        </tr>
                        <script>$('#addInvoice_<?php echo $factura?>').hide();</script> 

            <?php    }
                }
            }?>                       
        </tbody>
        <tr>
            <td colspan="7" class="text-right"><label><b>Total</b></label></td>
            <td class="text-right"><h3 class='sumPagos'></h3></td>
        </tr>
        </table>
    </div>
    
        <div class="col-md-2 col-xs-12 pull-right text-right"><?php $form->showElement('send');?></div>
    <?php echo $form->closeForm();?>
        </div>
    </div>
</div>
<?php // include ROOT."/View/Modal/enviarPagoPorMail.php"; ?>
<style>
    label.forma_de_pago {
        margin-top: -3px;
    }
</style>
<script>
    $('#forma_de_pago, #proveedor').select2();
    $("#fecha").datetimepicker({format: 'MM/DD/YYYY'});   

    $("#proveedor").on('select2:select', function () {
        getListFacturasProveedores();
        $("#listFacturasAPagar").html('');
    });    

    $('#monto').on('blur',function(){
        var monto = this.value;
        if(monto.trim() === ''){monto = '0';}
        $('#monto_original').val(monto);
        setLabelMonto(monto);
    });

    $('#monto').on('change',function(){ 
        if($('#monto_original').val() === ''){return null;}
        else{limpiarFacturasAPagarPorCambioMonto();}
    });
</script>