<div class="row">
    <div class="col-lg-12">
        <ol class="breadcrumb">
            <?php      
            $currentAction = '';
            $agregarNuevo = '';
            if($action =='edit'){
                $presentationAction = 'Editar Termino de pago';
                $currentAction = "<li class='active'><i class='fa fa-pencil'></i> ".$_translator->_getTranslation('Editar')."</li>";
                $agregarNuevo = "<a href='PaymentTerms.php' class='btn btn-md btn-default'><i class='fa fa-plus'></i> ".$_translator->_getTranslation('Agregar Termino de pago')."</a>";
                $agregarNuevo .= '<hr>';
            }elseif($action =='' || $action =='insert'){
                $presentationAction = 'Agregar Termino de pago';
                $currentAction = "<li class='active'><i class='fa fa-plus'></i> ".$_translator->_getTranslation('Agregar')."</li>";
            } ?>
            <li><i class="fa fa-dashboard"></i>  <a href="<?php echo ROOT_HOST?>/Controller/Home.php"><?php echo $_translator->_getTranslation('Inicio')?></a></li>
            <li class="active"><i class="fa fa-cube"></i> <?php echo $_translator->_getTranslation('Termino de pago')?></li>
            <?php echo $currentAction?>
        </ol>
    </div>
</div>
<div class="row">
    <div class="col-lg-12">
        <div id="flashmessenger"><?php $flashmessenger->showMessage();?></div>
        <div class="box">
            <div class="box-header"> 
                <h3><i class='fa-fw fa fa-cube'></i><?php echo $_translator->_getTranslation($presentationAction);?></h3>
                <div class='box-icon'><i class='icon fa fa-tasks'></i></div>
            </div>
            <div class='box-content'>
                <div class="row">
                    <div class="col-lg-12">  
                        <div class="col-md-12 col-xs-12 text-right">
                            <?php echo $agregarNuevo;?>                        
                            <div class="clear"></div>
                        </div> 
                        <?php 
                            echo $_paymentForm->openForm();
                            echo $_paymentForm->showActionController();
                            echo $_paymentForm->showId();
                        ?>
                        <div class="col-lg-6">
                            <?php echo $_paymentForm->showElement('name');?>
                            <?php echo $_paymentForm->showElement('days');?>
                            <div class="text-right">
                                 <?php $element = $_paymentForm->getElement('send'); echo $_paymentForm->createOnlyElement($element);?>
                                 <?php $element = $_paymentForm->getElement('cancelar'); echo $_paymentForm->createOnlyElement($element);?>                               
                            </div>
                        </div>   
                        <?php echo $_paymentForm->closeForm();?>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-12">
                        <hr/>
                        <div class='table-responsive'>
                        <table id="tblPaymentTerms" class="table table-striped table-hover table-condensed">
                            <thead>
                            <th class="text-center col-md-1">Accion</th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('No.');?></th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Descripcion');?></th>
                            </thead>
                            <tbody>
                            <?php 
                                if($_listPaymentTerms){
                                    foreach($_listPaymentTerms as $paymentTerm){?>
                                        <tr>
                                            <td>
                                                <a href="PaymentTerms.php?action=edit&id=<?php echo $paymentTerm['id']?>"><i class="fa fa-pencil btn btn-sm btn-default"></i></a>
                                                <a onclick="return deleteRegistry('PaymentTerms.php?action=delete&id=<?php echo $paymentTerm['id']?>')" 
                                               href="#"><i class="fa fa-trash btn btn-sm btn-danger"></i></a>
                                            </td>
                                            <td class="text-center"><?php echo $paymentTerm['id']?></td>
                                            <td class="text-center"><?php echo $paymentTerm['name']?></td>
                                        </tr><?php
                                    }                   
                                }?>
                            </tbody>
                        </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript" language="javascript">
	$('#tblPaymentTerms').DataTable( {paginate:true,filter:true});
        $('#tblPaymentTerms')
		.removeClass( 'display' )
		.addClass('table table-striped table-bordered');
</script>