<div class="row">
    <div class="col-lg-12">
        <ol class="breadcrumb">
            <?php      
            $currentAction = '';
            $agregarNuevo = '';
            if($action =='edit'){ 
                $registerAction = 'Editar preorden #'.$_preorderData['preorder_num'];
                $currentAction = "<li class='active'><i class='fa fa-pencil'></i> ".$_translator->_getTranslation('Editar')."</li>";
                $agregarNuevo = "<a href='Preorder.php' class='btn btn-sm btn-default'><i class='fa fa-plus'></i> ".$_translator->_getTranslation('Agregar preorden')."</a>";
                $agregarNuevo .= '<hr>';                
            }elseif($action =='' || $action =='insert'){
                $registerAction = 'Agregar preorden ';
                $currentAction = "<li class='active'><i class='fa fa-plus'></i> ".$_translator->_getTranslation('Agregar')."</li>";
            } ?>
            <li><i class="fa fa-dashboard"></i>  <a href="<?php echo ROOT_HOST?>/Controller/Home.php"><?php echo $_translator->_getTranslation('Home')?></a></li>
            <li class="active"><i class="fa fa-check-square-o"></i> <?php echo $_translator->_getTranslation('Preorden')?></li>
            <?php echo $currentAction?>
        </ol>
    </div>
</div>
<div class="row">
    <div class="col-lg-12">
        <div id="flashmessenger"><?php $flashmessenger->showMessage();?></div>
        <div class="box">
            <div class="box-header"> 
                <h3><i class='fa-fw fa fa-calendar'></i><?php echo $_translator->_getTranslation($registerAction);?></h3>
                <div class='box-icon'><i class='icon fa fa-tasks'></i></div>
            </div>
            <div class='box-content'>
                <div class="row">
                    <div class="col-md-12 col-xs-12 text-right">
                        <?php echo $agregarNuevo;?>                        
                        <div class="clear"></div>
                    </div> 
                    <?php 
                    echo $_form->openForm();
                    echo $_form->showActionController();
                    echo $_form->showId();
                    echo $_form->showElement('preorder_num');
                    echo $_form->showElement('sales_person_id');
                    echo $_form->showElement('create_special_order');
                    ?>
                    <div class="col-md-6">
                        <?php echo $_form->showElement('delivery_date');?>
                        <?php echo $_form->showElement('customer_id');?>    
                        <?php echo $_form->showElement('event_type_id');?>                    
                        <?php echo $_form->showElement('estimated_price');?>
                    </div>                     
                    <div class="col-md-6">                                                
                        <?php echo $_form->showElement('status');?>    
                        <?php echo $_form->showElement('reason_reject');?> 
                        <?php echo $_form->showElement('comments_reject');?>
                    </div>  
                    <div class="clear"></div>
                    <div class="col-md-6">
                        <div>
                            <label><?php echo $_translator->_getTranslation('Descripcion del pedido');?></label>
                            <?php $element = $_form->getElement('comments_customer'); $_form->createElement($element);?>
                        </div>   
                    </div>
                    <div class="col-md-6 col-xs-12">
                        <div>
                            <label><?php echo $_translator->_getTranslation('Descripcion preorden');?></label>
                            <?php $element = $_form->getElement('comments_sales_person'); $_form->createElement($element);?>
                        </div>   
                    </div>                    
                    <div class="form-group">
                            <div class="col-md-3"></div>
                            <div class="col-md-8 p-r-0 text-right">
                                <?php $element = $_form->getElement('send'); echo $_form->createOnlyElement($element);?>
                                <?php $element = $_form->getElement('cancelar'); echo $_form->createOnlyElement($element);?>                               
                            </div>
                        </div>
                    <?php echo $_form->closeForm();?>
                </div>
                <div class="row">
                    <div class="col-lg-12">
                        <h3><?php echo $_translator->_getTranslation('Lista de preordenes')?></h3>
                        <hr/>
                        <div class='table-responsive'>
                        <table id="tblPreorders" class="table table-striped table-hover table-condensed">
                            <thead>                                                                
                            <th class="text-center"><?php echo $_translator->_getTranslation('# Preorden');?></th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Fecha entrega');?></th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Cliente');?></th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Evento');?></th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Precio');?></th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Vendedor');?></th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Status');?></th>
                            <th class="text-center col-md-1"><?php echo $_translator->_getTranslation('Accion');?></th>
                            </thead>
                            <tbody>
                            <?php 
                                if($_listaPreorders){
                                    foreach($_listaPreorders as $appointment){?>
                                        <tr>
                                            <td class="text-center"><?php echo $appointment['preorder_num']?></td>
                                            <td class="text-center"><?php echo $appointment['formated_delivery_date']?></td>
                                            <td class="text-center"><?php echo $appointment['customer_name']?></td>                                                                                       
                                            <td class="text-center"><?php echo $appointment['event_type_name']?></td>
                                            <td class="text-center"><?php echo number_format($appointment['estimated_price'],2)?></td>
                                            <td class="text-center"><?php echo $appointment['sales_person_name']?></td>
                                            <td class="text-center"><?php echo $appointment['status_name']?></td>
                                            <td>
                                                <a href="Preorder.php?action=edit&id=<?php echo $appointment['id']?>"><i class="fa fa-pencil btn btn-sm btn-default"></i></a>
                                                <a onclick="return deleteRegistry('Preorder.php?action=delete&id=<?php echo $appointment['id']?>')"  href="#"><i class="fa fa-trash btn btn-sm btn-danger"></i></a>
                                            </td>
                                        </tr><?php
                                    }                   
                                }?>
                            </tbody>
                        </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php   include ROOT."/View/Modal/agregarClientePos.php"; ?>
<script type="text/javascript">    
    $("#delivery_date").datetimepicker({format: "MM/DD/YYYY hh:mm A"});    
    $('#customer_id,#event_type_id,#status,#reason_reject').select2();
    
    $('#guardarCliente').on('click',function(){    
        var options = $('form[name=cliente]').serializeArray();
        $.post('/Controller/Pos.php', {
             action: 'ajax',
             request: 'saveCliente',
             options: options,
             idCustomer: $('#customer').val()
         }, function(data) {
             if (data.response){            
                 $('#flashmessenger').html(data.message);
                 fadeOutAlert();
                 $('#modalAgregarClientePos').modal('hide');
                 $('form[name=cliente] #nombre_empresa').val('');
                 $('form[name=cliente] #nombre').val('');
                 $('form[name=cliente] #calle').val('');
                 $('form[name=cliente] #ciudad').val('');
                 $('form[name=cliente] #telefono').val('');
                 $('form[name=cliente] #correo').val('');

                 $('#customer_id').html(data.listClientes).trigger('change');
             }else{
                 $('#flashmessenger-agregarCliente').html(data.message);
                  fadeOutAlert();

             }
         }, 'json');
    });
    
    $('#tblPreorders').DataTable({
        paginate:true,
        filter:true,
        pageLength: 100,
        aaSorting:[]
        });

    $('#tblPreorders').removeClass( 'display' ).addClass('table table-striped table-bordered');  
    
     $('#guardarCliente').on('click',function(){
       saveCliente(function(listClientes){
           $('#customer').html(listClientes).trigger('change');
       });
   });
   
    $('._setModalClienteAdd').on('click',function(){
        setModalCliente('insert');
    });
    
    $('._setModalClienteEdit').on('click',function(){
         getCustomerData($('#customer_id').val(),function(customerData){setModalCliente('edit',customerData);});         
    });
    
    $('#send').on('click',function(){
        var status = $('#status').val();
        if(status !== '3'){
            $.confirm({
                theme: 'material',
                columnClass: 'col-md-6 col-md-offset-3',
                icon: 'fa fa-list',
                title: 'Crear orden especial',
                content: 'Despues de guardar la preorden,</br>Desea crear una nueva orden especial para esta preorden ?',
                buttons:{                
                    cancel: {
                        text:'Solo guardar',
                        btnClass: 'btn-default',
                        action: function(){
                           $('#create_special_order').val('');
                           submit('preorder');
                        }
                    },
                    confirm: {
                        text: 'Guardar y crear orden',
                        btnClass: 'btn-primary ',
                        action: function(){
                           $('#create_special_order').val('1');
                           submit('preorder');
                        }
                    }
                }
            });
        }else{
            submit('preorder');
        }
    });
    
</script>