<div class="row">
    <div class="col-lg-12">
        <ol class="breadcrumb">
            <?php      
            $currentAction = '';
            $agregarNuevo = '';
            if($action =='edit'){
                $productAction = 'Editar Producto ';
                $currentAction = "<li class='active'><i class='fa fa-pencil'></i> ".$_translator->_getTranslation('Editar')."</li>";
                $agregarNuevo = "<a href='Product.php' class='btn btn-sm btn-default'><i class='fa fa-plus'></i> ".$_translator->_getTranslation('Agregar producto')."</a>";
                $agregarNuevo .= '<hr>';
            }elseif($action =='' || $action =='insert'){
                $productAction = 'Agregar Producto';
                $currentAction = "<li class='active'><i class='fa fa-plus'></i> ".$_translator->_getTranslation('Agregar')."</li>";
            } ?>
            <li><i class="fa fa-dashboard"></i>  <a href="<?php echo ROOT_HOST?>/Controller/Home.php"><?php echo $_translator->_getTranslation('Inicio')?></a></li>
            <li class="active"><i class="fa fa-database"></i> <?php echo $_translator->_getTranslation('Productos')?></li>
            <?php echo $currentAction?>
        </ol>
    </div>
</div>
<div class="row">
    <div class="col-lg-12">
        <div id="flashmessenger"><?php $flashmessenger->showMessage();?></div>
        <div class="box">
            <div class="box-header"> 
                <h3><i class='fa-fw fa fa-database'></i><?php echo $_translator->_getTranslation($productAction);?></h3>
                <div class='box-icon'><i class='icon fa fa-tasks'></i></div>
            </div>
            <div class='box-content'>
                <div class="row">
                    <div class="col-md-12 col-xs-12 text-right">
                        <?php echo $agregarNuevo;?>                        
                        <div class="clear"></div>
                    </div> 
                    <?php 
                        echo $_form->openForm();
                        echo $_form->showActionController();
                        echo $_form->showId();
                        echo $_form->showElement('idDetailTemp');
                    ?>  
                    <div class="card">
                        <ul class="nav nav-tabs" role="tablist">
                            <li role="presentation" class="active"><a href="#general" aria-controls="home" role="tab" data-toggle="tab"><?php echo $_translator->_getTranslation('Informacion general') ?></a></li>
                            <li role="presentation"><a href="#more" aria-controls="profile" role="tab" data-toggle="tab"><?php echo $_translator->_getTranslation('Informacion para menu') ?></a></li>                
                        </ul>
                        <!-- Tab panes -->
                        <div class="tab-content m-t-3">
                            <div role="tabpanel" class="tab-pane active" id="general">
                            <div class="col-lg-6">
                                <?php echo $_form->showElement('type');?>                               
                                <?php echo $_form->showElement('codigo');?>                               
                                <?php echo $_form->showElement('descripcion');?> 
                                <?php echo $_form->showElement('tamano');?>  
                                <?php echo $_form->showElement('categoria');?> 
                                <?php echo $_form->showElement('marca');?>
                                <?php echo $_form->showElement('unidad_de_medida');?>
                                <?php echo $_form->showElement('presentacion');?>
                                <?php echo $_form->showElement('llevar_inventario');?>
                                <div>
                                    <div class="col-md-3"></div>
                                    <?php $element = $_form->getElement('btn-slices'); echo $_form->createElement($element);?>
                                </div>
                            </div>
                            <div class="col-lg-6">
                                <?php echo $_form->showElement('costo');?>                               
                                <?php echo $_form->showElement('punitarioventa');?>                               
                                <?php echo $_form->showElement('pmayoreoventa');?> 
                                <?php echo $_form->showElement('descuento');?>  
                                <?php echo $_form->showElement('impuestos');?> 
                                <?php echo $_form->showElement('impuestos_incluidos');?>
                                <?php echo $_form->showElement('status');?> 
                                <?php echo $_form->showElement('stock_minimo');?>
                                <?php echo $_form->showElement('imagen');?>
                            </div>
                            </div>
                            <div role="tabpanel" class="tab-pane" id="more">
                                <div class="col-lg-6">
                                    <?php 
                                    echo $_form->showElement('mostrar_en_menu');        
                                    echo $_form->showElement('nombre_para_menu');?>          
                                </div>
                            </div>
                            
                            <div class="clear"></div>
                            <div class="pull-right text-right">
                                <?php $element = $_form->getElement('send'); echo $_form->createOnlyElement($element);?>
                                <?php $element = $_form->getElement('cancel'); echo $_form->createOnlyElement($element);?>                               
                            </div>
                            
                        </div>
                    </div>
                <div class="row">
                    <div class="col-lg-12 col-md-12 col-sm-12">
                        <hr/>
                        <div class='table-responsive'>
                        <table id="tblProductos" class="table table-striped table-hover table-condensed">
                            <thead>
                            <th class="text-center col-md-1">Accion</th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Codigo');?></th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Descripcion');?></th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Tamaño');?></th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Categoria');?></th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Precio venta');?></th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Status');?></th>
                            </thead>
                            <tbody>
                            <?php 
                                if($_listaProductos){
                                    foreach($_listaProductos as $producto){?>
                                        <tr>
                                            <td>
                                                <a href="Product.php?action=edit&id=<?php echo $producto['id']?>"><i class="fa fa-pencil btn btn-sm btn-default"></i></a>
                                                <a onclick="return deleteRegistry('Product.php?action=delete&id=<?php echo $producto['id']?>')" 
                                                   href="#"><i class="fa fa-trash btn btn-sm btn-danger"></i></a>
                                            </td>
                                            <td class="text-center"><?php echo $producto['codigo']?></td>
                                            <td class="text-center"><?php echo $producto['descripcion']?></td>
                                            <td class="text-center"><?php echo $producto['tamano']?></td>
                                            <td class="text-center"><?php echo $producto['categoria']?></td>
                                            <td class="text-right"><?php echo number_format($producto['punitarioventa'],2)?></td>
                                            <td class="text-center"><?php echo $producto['statusName']?></td>
                                        </tr><?php
                                    }                   
                                }?>
                            </tbody>
                        </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php include ROOT."/View/Modal/productSlices.php";?>
</div>
<script type="text/javascript" language="javascript">
        $('#type,#categoria,#marca,#presentacion,#unidad_de_medida,#impuestos,#impuestos_incluidos,#iva_desglozado,#tamano,#mostrar_en_menu,#status').select2();
        
	$('#tblProductos').DataTable({
            paginate:true,
            filter:true,
            pageLength: 100
        });
        
        $('#tblProductos')
		.removeClass( 'display' )
		.addClass('table table-striped table-bordered');        
        
         $("#imagen").fileinput({
            showPreview: false,
            allowedFileExtensions: ["jpg", "jpeg", "png"],
            maxFileSize: 100
        });
</script>