<div class="container-title"></div>
<div class="row">
    <div class="col-lg-12"><ol class="breadcrumb">
            <li><i class="fa fa-dashboard"></i>  <a href="<?php echo ROOT_HOST?>/Controller/Home.php"><?php echo $_translator->_getTranslation('Inicio')?></a></li>            
            <li class="active"><i class="fa fa-download"></i> <?php echo $_translator->_getTranslation('Lista de compras')?></li>
        </ol>
    </div>
</div>
<div id="flashmessenger"><?php $flashmessenger->showMessage();?></div>
<div class="box">
    <div class="box-header">       
        <h3><i class='fa-fw fa fa-download'></i><?php echo $_translator->_getTranslation('Lista de compras');?></h3>
        <div class='box-icon'><i class='icon fa fa-tasks'></i></div>
    </div>
    <div class='box-content'>
        <div class='row'>
            <div class="col-lg-12">
                <div class="pull-right">
                   <a href='Purchase.php' class='btn btn-md  btn-default'><i class='fa fa-plus' style='color:black'></i> <?php echo $_translator->_getTranslation('Agregar compra')?></a>                    
                </div>               
                <div class="clear" ></div>
                <hr/>
                <div class='table-responsive'>
                <table id="tblStoreIn" class="table table-striped table-hover table-condensed">
                    <thead>
                    <th class="col-lg-1 text-center"><?php echo $_translator->_getTranslation('Compra #');?></th>
                    <th class="col-lg-1 text-center"><?php echo $_translator->_getTranslation('Fecha');?></th>                    
                    <th class="col-lg-4 text-center"><?php echo $_translator->_getTranslation('Proveedor');?></th>                    
                    <th class="col-lg-1 text-center"><?php echo $_translator->_getTranslation('Factura');?></th>
                    <th class="col-lg-1 text-right"><?php echo $_translator->_getTranslation('Total');?></th>
                    <th class="col-lg-1 text-right"><?php echo $_translator->_getTranslation('Saldo');?></th>
                    <th class="col-lg-1 text-center"><?php echo $_translator->_getTranslation('Status');?></th>                    
                    <th class="col-lg-1 text-center">Accion</th>
                    </thead>
                    <tbody>
                    <?php 
                        if($_listPurchases){
                            foreach($_listPurchases as $compra){?>
                                <tr>
                                    <td class="text-center"><?php echo $compra['purchase_number']?></td>
                                    <td class="text-center"><?php echo $compra['date']?></td>                                                                        
                                    <td class="text-center"><?php echo $compra['vendor']?></td>
                                    <td class="text-center"><?php echo $compra['reference']?></td>
                                    <td class="text-right"><?php echo number_format($compra['total'],2);?></td>
                                    <td class="text-right"><?php echo number_format($compra['balance'],2);?></td>
                                    <td class="text-center"><?php echo $compra['statusName']?></td>
                                    <td class="text-center" style="white-space: nowrap">
                                        <a class="btn btn-sm btn-primary" href="Purchase.php?action=edit&id=<?php echo $compra['id']?>"><i class="fa fa-pencil"></i></a>
                                        <a class="btn btn-sm btn-info" href="#" onclick="javascript: void window.open('Purchase.php?action=export&format=pdf&flag=po&id=<?php echo $compra['id']?>','','width=700,height=500,status=1,scrollbars=1,resizable=1')"><i class="fa fa-file-pdf-o fa-"></i></a>
                                        <a class="btn btn-sm btn-danger" onclick="return deleteRegistry('Purchase.php?action=delete&id=<?php echo $compra['id']?>')" 
                                               href="#"><i class="fa fa-trash"></i>
                                        </a>
                                    </td>
                                </tr><?php
                            }                   
                        }?>
                    </tbody>
                </table>
                </div>
            </div>                
        </div>
    </div>
</div>
<script type="text/javascript" language="javascript">
    $('#tblStoreIn').DataTable({
            paginate:false,
            filter:true,
            aaSorting:[],
            dom: 'Bfrtip',
            buttons: [
            'excel'
            ]
        });
    $('#tblStoreIn')
            .removeClass( 'display' )
            .addClass('table table-striped table-bordered');
</script>