<div class="container-title"></div>
<div class="row">
    <div class="col-lg-12"><ol class="breadcrumb">
            <?php      
            $currentAction = '';
            $agregarNuevo = '';
            if($action =='edit'){
                $compraAction = 'Editar recibo #'.$form->getValueElement('num_shipment');
                $currentAction = "<li class='active'><i class='fa fa-pencil'></i> ".$_translator->_getTranslation('Editar')."</li>";
                $agregarNuevo = "<a href='Receiving.php' class='btn btn-default'><i class='fa fa-plus'></i> ".$_translator->_getTranslation('Agregar recibo')."</a>";
            }elseif($action =='' || $action =='insert'){
                $compraAction = 'Agregar recibo';
                $currentAction = "<li class='active'><i class='fa fa-plus'></i> ".$_translator->_getTranslation('Agregar')."</li>";
            } ?>
            <li><i class="fa fa-dashboard"></i>  <a href="<?php echo ROOT_HOST?>/Controller/Home.php"><?php echo $_translator->_getTranslation('Inicio')?></a></li>
            <li class="active"><i class="fa fa-list"></i> <a href="<?php echo ROOT_HOST?>/Controller/Receiving.php?action=list"><?php echo $_translator->_getTranslation('Lista de recibos')?></a></li>
            <li class="active"><i class="fa fa-list"></i> <?php echo $_translator->_getTranslation('Recibos')?></li>
            <?php echo $currentAction?>
        </ol>
    </div>
</div>
<div id="flashmessenger"><?php $flashmessenger->showMessage();?></div>
<div class="box">
    <div class="box-header"> 
        <h3><i class='fa-fw fa fa-list'></i><?php echo $_translator->_getTranslation($compraAction);?></h3>
        <div class='box-icon'><i class='icon fa fa-tasks'></i></div>
    </div>
    <div class='box-content'>
        <?php 
        echo $form->openForm();
        echo $form->showActionController();?>
        <div style="display: none">
            <?php
            echo $form->showId();
            echo $form->showElement('status');
            echo $form->showElement('from_store');
            echo $form->showElement('to_store');?>
        </div>
        
        <div class="col-xs-12 col-md-12">
            <div>
                <h5 class="pull-left"><?php echo $_translator->_getTranslation('Informacion de recibo');?></h5>
                <div class="pull-right"><?php echo $agregarNuevo?></div>          
            </div>
            <div class="clear"></div>     
            <hr class="m-a-1"/>  
                
            <div class="col-xs-12 col-md-6">
                <?php $form->showElement('num_shipment');?>
                <?php $form->showElement('date');?>                       
                <?php $form->showElement('from_store_name');?> 
                <?php $form->showElement('to_store_name');?> 
            </div>  
           <div class="col-xs-6 col-md-6">                        
                <?php if($action == 'edit'){$form->showElement('statusName');}?>
                <?php $form->showElement('comments');?>
            </div> 
        </div>
        <div class="col-md-12 col-xs-12">                    
            <h5><?php echo $_translator->_getTranslation('Informacion de envio');?></h5>
            <hr/>
            <div class="col-md-5 col-xs-12">
                <table class="table table-condensed">
                    <tr>
                        <th class="active col-md-6 col-xs-6"><?php echo $_translator->_getTranslation('Fecha de envio');?></th>
                        <td class="col-md-6 col-xs-6"><?php echo $receiving->getShipmentDateFormated();?></td>
                    </tr>
                </table>
            </div>                
            <div class='col-md-7 col-xs-6' style='height:100%;'>
                <label><?php echo $_translator->_getTranslation('Comentarios');?></label><br/>
                <div style='height:100%;overflow: scroll'><?php echo $receiving->getShipmentComments();?></div>
            </div>
        </div>
            <div class='row'>
                <hr/>
                <?php 
                    $receivingAjax = new ReceivingAjax();
                    $listCompraDetalles = $receivingAjax->getListReceivingDetails($form->getValueElement('status'), $form->getTokenForm());?>
                <table id='receiving-table' class="table table-condensed table-striped table-hover table-thead-customize table-tfoot-customize">
                    <thead>                
                        <th class="col-md-1 text-center"><?php echo $_translator->_getTranslation('Accion')?></th>
                        <th class="col-md-1 text-center"><?php echo $_translator->_getTranslation('Codigo');?></th>
                        <th class="col-md-5"><?php echo $_translator->_getTranslation('Descripcion');?></th>
                        <th class="col-md-3"><?php echo $_translator->_getTranslation('Tamaño');?></th>
                        <th class="col-md-1 text-right"><?php echo $_translator->_getTranslation('Cantidad')?></th> 
                        <th class="col-md-1 text-right"><?php echo $_translator->_getTranslation('Recibido')?></th> 
                    </thead>
                    <tbody>
                        <?php echo $listCompraDetalles['receivingDetails'];?>
                    </tbody>
                    <tfoot>
                        <tr>
                          <td></td>
                          <td class="text-right" colspan="3"><?php echo $_translator->_getTranslation('Total');?></td>
                          <td class="text-right"><span id='totalItems'><?php echo $listCompraDetalles['totalItems']?></span></td>                 
                          <td class="text-right"><span id='receivedItems'><?php echo $listCompraDetalles['receivedItems']?></span></td>                 
                        </tr>
                    </tfoot>
                </table>
            </div>
            <div id="_fields" class="row">
                <?php 
                $form->showElement('idDetailTemp');
                $form->showElement('idProduct');
                ?>
                <div class='col-lg-6'>
                    <?php $element = $form->getElement('product');?>
                    <div class='col-lg-12 p-a-0'><label><?php echo $element['label']?></label></div>
                    <?php echo $form->createElement($element);?>
                </div>
                <div class='col-lg-2'>
                    <?php $element = $form->getElement('received');?>
                    <div class='col-lg-12 p-a-0'><label><?php echo $element['label']?></label></div>
                    <?php echo $form->createElement($element);?>
                </div>          
                <div class='col-lg-1 p-t-3'>
                    <?php $element = $form->getElement('buscar');?>
                    <?php echo $form->createElement($element);?>
                </div>
                <div class='col-lg-1 p-t-3'>
                    <?php $element = $form->getElement('terminar');?>
                    <?php echo $form->createElement($element);?>
                </div>
            </div>
         <?php echo $form->closeForm()?>          
    </div>
</div>
<script>  
    $("#date,#dateDatePicker").datetimepicker({format: "MM/DD/YYYY hh:mm A "});
    if($('#status').val() == '4'){$('._btnGetShipmentData').remove();}
    
    $( "#product" ).autocomplete({
        source: function( request, response ) {
          $.post('/Controller/Pos.php', {
              action: 'ajax',
              request: 'getListaProductosPos',
              item: request.term
          }, function(data) {
                  response(data.productos);
             }, 'json');
        }, 

        focus: function( event, ui ) {
            //$( "#product" ).val( ui.item.label );
            return false;
          },      
        select: function( event, ui ) {
            $( "#idProduct" ).val( ui.item.value ); 
            $("#product").val('');
            setReceivingDetails();
            return false;
          }    
    } );     
</script>