<div class="box-header"> 
    <h3><i class='fa-fw fa fa-signal'></i><?php echo $_translator->_getTranslation(ucfirst($_reporte->getTituloReporte()));?></h3>
    <div class='box-icon dropdown'>
        <i class='icon fa fa-tasks' id="moreOptions" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true"></i>
        <!--
        <ul class="dropdown-menu dropdown-menu-right" aria-labelledby="moreOptions">
            <li><a href="<?php echo $_reporte->getStringToSendGET().'&output=excel' ?>"><i class="fa fa-file-excel-o"></i><?php echo $_translator->_getTranslation('Exportar a excel')?></a></li>
            <li><a href="<?php echo $_reporte->getStringToSendGET().'&enviarPorMail' ?>" class="linkSendMail" data-toggle='modal' data-target='#modalSendReportToMail'>
                    <i class="fa fa-envelope"></i><?php echo $_translator->_getTranslation('Enviar por correo')?>
                </a>
            </li>
        </ul>
        -->
    </div>
</div>
<div class='box-content'>
    <div class='row'>
        <div class="col-lg-12">
            <?php
            
            $login = new Login();
            $classToEdit = null;
            if($login->getRole() === '1'){$classToEdit = 'editInventory';}
            
            $data = $_reporte->getReporte();
            $inventory = $data['inventory'];
            $inventoryLocation = $data['inventory_by_location'];
            ?>
            <div class="card">
                <ul class="nav nav-tabs" role="tablist">
                    <li role="presentation" class="active"><a href="#details" aria-controls="home" role="tab" data-toggle="tab"><?php echo $_translator->_getTranslation('Inventario') ?></a></li>
                    <li role="presentation"><a href="#summary" aria-controls="profile" role="tab" data-toggle="tab"><?php echo $_translator->_getTranslation('Inventario por locacion') ?></a></li>
                </ul>
                <!-- Tab panes -->
                <div class="tab-content">
                    <div role="tabpanel" class="tab-pane active" id="details">
                        <div class="table-responsive">
                            <table id="tblInventory" style="font-size: 11px; width: 100%" class="table table-striped table-bordered table-condensed table-hover">
                            <thead>
                            <tr>
                                <td class="text-center col-md-1"><?php echo $_translator->_getTranslation('Codigo');?></td>
                                <td class="text-center"><?php echo $_translator->_getTranslation('Nombre del producto');?></td>
                                <td class="text-center" ><?php echo $_translator->_getTranslation('UDM');?></td>
                                <td class="text-center" ><?php echo $_translator->_getTranslation('Presentacion');?></td>
                                <td class="text-center" ><?php echo $_translator->_getTranslation('Marca');?></td>
                                <td class="text-center" ><?php echo $_translator->_getTranslation('Stock Min');?></td>
                                <td class="text-center" ><?php echo $_translator->_getTranslation('Stock');?></td>
                                <td class="text-center" ><?php echo $_translator->_getTranslation('Diferencia');?></td>
                            </tr>
                            </thead>
                            <tfoot>
                            <tr>
                                <th class="filter"><?php echo $_translator->_getTranslation('Codigo');?></th>
                                <th class="filter"><?php echo $_translator->_getTranslation('Nombre del producto');?></th>
                                <th class="filter"><?php echo $_translator->_getTranslation('UDM');?></th>
                                <th class="filter" ><?php echo $_translator->_getTranslation('Presentacion');?></th>
                                <th class="filter" ><?php echo $_translator->_getTranslation('Marca');?></th>
                                <th class="filter" ><?php echo $_translator->_getTranslation('Stock Min');?></th>
                                <th class="filter" ><?php echo $_translator->_getTranslation('Stock');?></th>
                                <th class="filter" ><?php echo $_translator->_getTranslation('Diferencia');?></th>
                            </tr>
                            </tfoot>
                            <tbody>
                            <?php 
                                    foreach($inventory as $row){?>
                                            <tr>
                                            <td class="text-center"><?php echo $row['code'];?></td>
                                            <td class="text-center"><?php echo $row['description'];?></td>
                                            <td class="text-center"><?php echo $row['unit_measurement'];?></td>
                                            <td class="text-center"><?php echo $row['presentation'];?></td>     
                                            <td class="text-center"><?php echo $row['brand'];?></td> 
                                            <td class="text-center"><?php echo $row['min_stock'];?></td>     
                                            <td class="text-center"><?php echo number_format($row['stock'],2);?></td>
                                             <td class="text-center"><?php echo number_format($row['min_stock'] - $row['stock'],2);?></td>
                            <?php }?>
                                            </tr>
                            </tbody>
                            </table>
                        </div>
                    </div>
                    <div role="tabpanel" class="tab-pane" id="summary">
                        <div class="table-responsive">
                            <table id="tblInventoryLocation" style="font-size: 11px; width: 100%" class="table table-striped table-bordered table-condensed table-hover">
                            <thead>
                            <tr>
                                <td class="text-center col-md-1"><?php echo $_translator->_getTranslation('Codigo');?></td>
                                <td class="text-center"><?php echo $_translator->_getTranslation('Nombre del producto');?></td>
                                <td class="text-center" ><?php echo $_translator->_getTranslation('Presentacion');?></td>
                                <td class="text-center" ><?php echo $_translator->_getTranslation('Locacion');?></td>  
                                <td class="text-center" ><?php echo $_translator->_getTranslation('Stock');?></td>
                            </tr>
                            </thead>
                            <tfoot>
                            <tr>
                                <th class="filter"><?php echo $_translator->_getTranslation('Codigo');?></th>
                                <th class="filter"><?php echo $_translator->_getTranslation('Nombre del producto');?></th>
                                <th class="filter" ><?php echo $_translator->_getTranslation('Presentacion');?></th>
                                <th class="filter" ><?php echo $_translator->_getTranslation('Locacion');?></th>  
                                <th class="filter" ><?php echo $_translator->_getTranslation('Stock');?></th>
                            </tr>
                            </tfoot>
                            <tbody>
                            <?php 
                                    foreach($inventoryLocation as $row){?>
                                            <tr>
                                            <td class="text-center"><?php echo $row['code'];?></td>
                                            <td class="text-center"><?php echo $row['description'];?></td>
                                            <td class="text-center"><?php echo $row['presentation'];?></td>
                                            <td class="text-center"><?php echo $row['location'];?></td>                                            
                                            <td id="<?php echo $row['id_product']?>" class="<?php echo $classToEdit;?> text-right" style="cursor: pointer"
                                                data-idproduct="<?php echo $row['id_product'] ?>" 
                                                data-idlocation="<?php echo $row['id_location'] ?>"
                                                data-productname="<?php echo $row['description'] ?>"
                                                data-stock="<?php echo $row['stock'];?>"><?php echo number_format($row['stock'],2);?>
                                            </td>    
                            <?php }?>
                                            </tr>
                            </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                </div>
        </div>
    </div>
</div>
<?php if($classToEdit !== null){ include ROOT."/View/Modal/editInventorySupplie.php";}?>
<style>
    tfoot {
    display: table-header-group;
}
</style>
<script type="text/javascript" language="javascript">    
    $('.editInventory').click(function(){
        $('#idProduct').val($(this).data('idproduct'));
        $('#idLocation').val($(this).data('idlocation'));
        $('#stock').val($(this).data('stock'));
        $('#productName').html($(this).data('productname'));
        $('#storeName').html($(this).data('storename'));

        $('#modalEditInventory').modal('show');
    });    
    
    $('#tblInventory').DataTable( { 
        paginate:false,
        filter:true,
        bFilter:true,
        aaSorting:[],
        dom: 'Bfrtip',
        buttons: [
            'copy', 'excel', 'print'
        ]});

    
    $('#tblInventory')
        .removeClass( 'display' )
        .addClass('table table-striped table-bordered');

    $('#tblInventory tfoot th.filter').each( function () {
           $(this).html( '<input type="text" placeholder="Buscar" style="width:100%" />' );
       } );  

       var table = $('#tblInventory').DataTable();
       // Apply the search
       table.columns().every( function () {
           var that = this; 
           $( 'input', this.footer() ).on( 'keyup change', function () {
               if ( that.search() !== this.value ) {
                   that
                       .search (this.value.replace("/;/g", "|"), true, false)
                       .draw();
               }
           } );
       } );      
       
       
    $('#tblInventoryLocation').DataTable( { 
        paginate:false,
        filter:true,
        bFilter:true,
        aaSorting:[],
        dom: 'Bfrtip',
        buttons: [
            'copy', 'excel', 'print'
        ]});

    
    $('#tblInventoryLocation')
        .removeClass( 'display' )
        .addClass('table table-striped table-bordered');

    $('#tblInventoryLocation tfoot th.filter').each( function () {
           $(this).html( '<input type="text" placeholder="Buscar" style="width:100%" />' );
       } );  

       var table = $('#tblInventoryLocation').DataTable();
       // Apply the search
       table.columns().every( function () {
           var that = this; 
           $( 'input', this.footer() ).on( 'keyup change', function () {
               if ( that.search() !== this.value ) {
                   that
                       .search (this.value.replace("/;/g", "|"), true, false)
                       .draw();
               }
           } );
       } );      
</script>
