<div class="box-header"> 
    <h3><i class='fa-fw fa fa-shopping-basket'></i><?php echo $_translator->_getTranslation(ucfirst($_reporte->getTituloReporte()));?></h3>
    <div class='box-icon dropdown'>
        <i class='icon fa fa-tasks' id="moreOptions" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true"></i>
        <!--
        <ul class="dropdown-menu dropdown-menu-right" aria-labelledby="moreOptions">
            <li><a href="<?php echo $_reporte->getStringToSendGET().'&output=excel' ?>"><i class="fa fa-file-excel-o"></i><?php echo $_translator->_getTranslation('Exportar a excel')?></a></li>
            <li><a href="<?php echo $_reporte->getStringToSendGET().'&enviarPorMail' ?>" class="linkSendMail" data-toggle='modal' data-target='#modalSendReportToMail'>
                    <i class="fa fa-envelope"></i><?php echo $_translator->_getTranslation('Enviar por correo')?>
                </a>
            </li>
        </ul>
        -->
    </div>
</div>
<div class='box-content'>
    <div class='row'>
        <div class="col-lg-12">
            <?php
            $result = $_reporte->getReporte();
            $data = $result['data'];
            if(count($data)<= 0){
                echo "There is not any data.";
                exit;
            }
            ?>
            <div class="table-responsive">
            <table id="tblDetails" class="table table-striped table-bordered table-condensed table-hover" style="font-size: 10px">
            <thead>
            <tr>
                <td class="text-center col-lg-1 col-md-1"><?php echo $_translator->_getTranslation('Compra');?></td>
                <td class="text-center"><?php echo $_translator->_getTranslation('Fecha');?></td>
                <td class="text-center"><?php echo $_translator->_getTranslation('Proveedor');?></td>
                <td class="text-center"><?php echo $_translator->_getTranslation('Codigo');?></td>
                <td class="text-center"><?php echo $_translator->_getTranslation('Producto');?></td>
                <td class="text-center"><?php echo $_translator->_getTranslation('Presentacion');?></td>
                <td class="text-center"><?php echo $_translator->_getTranslation('Marca');?></td>
                <td class="text-center"><?php echo $_translator->_getTranslation('Cantidad');?></td>
                <td class="text-center"><?php echo $_translator->_getTranslation('Costo');?></td>
                <td class="text-center"><?php echo $_translator->_getTranslation('Total');?></td>
            </tr>
            </thead>
            <tfoot>
            <tr>
                <th class="filter"><?php echo $_translator->_getTranslation('Compra');?></th>
                <th class="filter"><?php echo $_translator->_getTranslation('Fecha');?></th>
                <th class="filter"><?php echo $_translator->_getTranslation('Proveedor');?></th>
                <th class="filter"><?php echo $_translator->_getTranslation('Producto');?></th>
                <th class="filter"><?php echo $_translator->_getTranslation('Codigo');?></th>
                <th class="filter"><?php echo $_translator->_getTranslation('Presentacion');?></th>
                <th class="filter"><?php echo $_translator->_getTranslation('Marca');?></th>
                <th class="filter"><?php echo $_translator->_getTranslation('Cantidad');?></th>
                <th class="filter"><?php echo $_translator->_getTranslation('Costo');?></th>
                <th class="filter"><?php echo $_translator->_getTranslation('Total');?></th>
            </tr>
            </tfoot>
            <tbody>
            <?php 
                foreach($data as $row){?>
                    <tr>
                    <td class="text-center"><?php echo $row['compra'];?></td>
                    <td class="text-center"><?php echo $row['fecha'];?></td>
                    <td class="text-center"><?php echo $row['proveedor'];?></td>                                              
                    <td class="text-center"><?php echo $row['codigo'];?></td>
                    <td class="text-center"><?php echo $row['descripcion'];?></td>
                    <td class="text-center"><?php echo $row['presentacion'];?></td>
                    <td class="text-center"><?php echo $row['marca'];?></td>
                    <td class="text-right"><?php echo number_format($row['cantidad'],2);?></td>
                    <td class="text-right"><?php echo number_format($row['costo'],2);?></td>
                    <td class="text-right"><?php echo number_format($row['total'],2);?></td>                       
            <?php }?>
                    </tr>
            </tbody>
            </table>
            </div>
        </div>
    </div>
</div>
<style>
    tfoot {
    display: table-header-group;
}
</style>
<script type="text/javascript" language="javascript">
   $('#tblDetails').DataTable({
           paginate:false,
           iDisplayLength :50,
           filter:true,
           bFilter:true,
           aaSorting:[],
           dom: 'Bfrtip',
           buttons: [
               'excel','print'
           ]
       });
    $('#tblDetails')
        .removeClass( 'display' )
        .addClass('table table-striped table-bordered');

    $('#tblDetails tfoot th.filter').each( function () {
           $(this).html( '<input type="text" placeholder="Buscar" style="width:100%" />' );
       } );  

       var table = $('#tblDetails').DataTable();
       // Apply the search
       table.columns().every( function () {
           var that = this; 
           $( 'input', this.footer() ).on( 'keyup change', function () {
               if ( that.search() !== this.value ) {
                   that
                       .search (this.value.replace("/;/g", "|"), true, false)
                       .draw();
               }
           } );
       } );
</script>