<div class="box-header"> 
    <h3><i class='fa-fw fa fa-signal'></i><?php echo $_translator->_getTranslation(ucfirst($_reporte->getTituloReporte()));?></h3>
    <div class='box-icon dropdown'>
        <i class='icon fa fa-tasks' id="moreOptions" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true"></i>
    </div>
</div>
<div class='box-content'>
    <div class='row'>
        <div class="col-lg-12">
            <?php
            $data = $_reporte->getReporte();
            if($data == null){
                echo "No se encontraron registros para el reporte.";
                exit;
            }
            ?>
            <div class="table-responsive">
            <table id="tblReport" style="font-size: 11px" class="table table-striped table-bordered table-condensed table-hover">
            <thead>
            <tr>
                <td class="text-center col-md-1"><?php echo $_translator->_getTranslation('Fecha');?></td>
                <td class="text-center"><?php echo $_translator->_getTranslation('Codigo');?></td>
                <td class="text-center"><?php echo $_translator->_getTranslation('Producto');?></td>
                <td class="text-center" ><?php echo $_translator->_getTranslation('Presentacion');?></td>
                <td class="text-center" ><?php echo $_translator->_getTranslation('Marca');?></td>
                <td class="text-center" ><?php echo $_translator->_getTranslation('Locacion');?></td>  
                <td class="text-center" ><?php echo $_translator->_getTranslation('Cantidad');?></td>
                <td class="text-center" ><?php echo $_translator->_getTranslation('Requerido por');?></td>
            </tr>
            </thead>
            <tfoot>
            <tr>
                <th class="filter"><?php echo $_translator->_getTranslation('Fecha');?></th>
                <th class="filter"><?php echo $_translator->_getTranslation('Codigo');?></th>
                <th class="filter"><?php echo $_translator->_getTranslation('Producto');?></th>
                <th class="filter"><?php echo $_translator->_getTranslation('Presentacion');?></th>  
                <th class="filter" ><?php echo $_translator->_getTranslation('Marca');?></th>
                <th class="filter"><?php echo $_translator->_getTranslation('Locacion');?></th>
                <th class="filter"><?php echo $_translator->_getTranslation('Cantidad');?></th>
                <th class="filter"><?php echo $_translator->_getTranslation('Requerido por');?></th>
            </tr>
            </tfoot>
            <tbody>
            <?php 
                foreach($data as $row){?>
                    <tr>
                    <td class="text-center"><?php echo $row['date'];?></td>
                    <td class="text-center"><?php echo $row['code'];?></td>
                    <td class="text-center"><?php echo $row['description'];?></td>
                    <td class="text-center"><?php echo $row['presentation'];?></td>
                    <td class="text-center"><?php echo $row['brand'];?></td>
                    <td class="text-center"><?php echo $row['location'];?></td> 
                    <td class="text-center"><?php echo number_format($row['quantity'],2);?></td>     
                    <td class="text-center"><?php echo $row['requested_by'];?></td> 
            <?php }?>
                    </tr>
            </tbody>
            </table>
            </div>
        </div>
    </div>
</div>
<style>
    tfoot {
    display: table-header-group;
}
</style>
<script type="text/javascript" language="javascript">    
    $('#tblReport').DataTable( { 
        paginate:false,
        filter:true,
        bFilter:true,
        aaSorting:[],
        dom: 'Bfrtip',
        buttons: [
            'copy', 'excel', 'print'
        ]});

    
    $('#tblReport')
        .removeClass( 'display' )
        .addClass('table table-striped table-bordered');

    $('#tblReport tfoot th.filter').each( function () {
           $(this).html( '<input type="text" placeholder="Buscar" style="width:100%" />' );
       } );  

       var table = $('#tblReport').DataTable();
       // Apply the search
       table.columns().every( function () {
           var that = this; 
           $( 'input', this.footer() ).on( 'keyup change', function () {
               if ( that.search() !== this.value ) {
                   that
                       .search (this.value.replace("/;/g", "|"), true, false)
                       .draw();
               }
           } );
       } );      
</script>
