<div class="container-title"></div>
<div class="row">
    <div class="col-lg-12"><ol class="breadcrumb">
            <?php      
            $currentAction = '';
            $agregarNuevo = '';
            if($action =='edit'){
                $compraAction = 'Editar Salida #'. $form->getId();
                $currentAction = "<li class='active'><i class='fa fa-pencil'></i> ".$_translator->_getTranslation('Editar')."</li>";
                $agregarNuevo = "<a href='SupplieOut.php' class='btn btn-md btn-default'><i class='fa fa-plus'></i> ".$_translator->_getTranslation('Agregar salida')."</a>";
                $agregarNuevo .= " <a class='btn btn-md btn-default' onclick=\"javascript: void window.open('SupplieOut.php?action=export&flag=pdf&id={$form->getId()}','','width=700,height=500,status=1,scrollbars=1,resizable=1')\"><span class='fa fa-print' ></span> ".$_translator->_getTranslation('Imprimir')."</a>";
            }elseif($action =='' || $action =='insert'){
                $compraAction = 'Agregar Salida';
                $currentAction = "<li class='active'><i class='fa fa-plus'></i> ".$_translator->_getTranslation('Agregar')."</li>";
            } ?>
            <li><i class="fa fa-dashboard"></i>  <a href="<?php echo ROOT_HOST?>/Controller/Home.php"><?php echo $_translator->_getTranslation('Inicio')?></a></li>
            <li class="active"><i class="fa fa-cube"></i> <?php echo $_translator->_getTranslation('Almacen')?></li>
            <li class="active"><i class="fa fa-upload"></i> <a href="<?php echo ROOT_HOST?>/Controller/SupplieOut.php?action=list"><?php echo $_translator->_getTranslation('Lista de salidas')?></a></li>
            <li class="active"><i class="fa fa-upload"></i> <?php echo $_translator->_getTranslation('Salidas')?></li>
            <?php echo $currentAction?>
        </ol>
    </div>
</div>
<div id="flashmessenger"><?php $flashmessenger->showMessage();?></div>
<div class="box">
    <div class="box-header"> 
        <h3><i class='fa-fw fa fa-upload'></i><?php echo $_translator->_getTranslation($compraAction);?></h3>
        <div class='box-icon'><i class='icon fa fa-tasks'></i></div>
    </div>
    <div class='box-content'>
        <div class='row'>
        <div class="col-md-12 col-xs-12 text-right">
            <?php echo $agregarNuevo;?>
            <hr>
            <div class="clear"></div>
        </div>
        <?php echo $form->openForm();
              echo $form->showId();
              echo $form->showActionController();
              echo $form->showElement('idProduct');
              echo $form->showElement('idDetailTemp');?>
            <div class="row">                   
                <div class="col-xs-12 col-md-6">
                    <?php $form->showElement('date');?>
                    <?php $form->showElement('requested_by');?>
                    <?php $form->showElement('comments');?>
                </div>                   
            </div>   
            <div class="row">
                <hr/>
                <?php 
                    $storeOutAjax = new SupplieOutAjax();
                    $listStoreOutDetalles = $storeOutAjax->getListStoreOutDetails();?>
                <div class="table-responsive">
                    <table id='supplieout-table' class="table table-condensed table-striped table-hover table-thead-customize table-tfoot-customize">
                        <thead>        
                            <th class="col-md-1 text-center"><?php echo $_translator->_getTranslation('Accion');?></th>
                            <th class="col-md-2 text-center"><?php echo $_translator->_getTranslation('Codigo');?></th>
                            <th class="col-md-4"><?php echo $_translator->_getTranslation('Descripcion');?></th>                          
                            <th class="col-md-2 text-center"><?php echo $_translator->_getTranslation('Presentacion');?></th>                            
                            <th class="col-md-2 text-center"><?php echo $_translator->_getTranslation('Locacion');?></th>                            
                            <th class="col-md-1 text-right"><?php echo $_translator->_getTranslation('Cantidad')?></th> 
                        </thead>
                        <tbody>
                            <?php echo $listStoreOutDetalles['storeOutDetails'];?>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th colspan="5" class="text-right"><?php echo $_translator->_getTranslation('Total items');?></th>
                                <th id='total_items' class="text-right"><?php echo $listStoreOutDetalles['totalItems'];?></th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
            <div class="row">
                <div class='col-lg-5'>
                    <?php $element = $form->getElement('product');?>
                    <div class='col-lg-12 p-a-0'><label><?php echo $element['label']?></label></div>
                    <?php echo $form->createElement($element);?>
                </div>
                <div class='col-lg-2'>
                    <?php $element = $form->getElement('quantity');?>
                    <div class='col-lg-12 p-a-0'><label><?php echo $element['label']?></label></div>
                    <?php echo $form->createElement($element);?>
                </div>  
                <div class='col-lg-2'>
                    <?php $element = $form->getElement('location');?>
                    <div class='col-lg-12 p-a-0'><label><?php echo $element['label']?></label></div>
                    <?php echo $form->createElement($element);?>
                </div>  
                <div class='col-md-2 p-t-1 m-t-1'>
                    <?php $element = $form->getElement('add');?>
                    <?php echo $form->createElement($element);?>
                </div>
                <div class="clear"></div>
                <div class="pull-right">                    
                    <div class='col-md-6 p-t-3'>
                        <?php $element = $form->getElement('cancelar');?>
                        <?php echo $form->createElement($element);?>
                    </div>
                    <div class='col-md-6 p-t-3'>
                        <?php $element = $form->getElement('terminar');?>
                        <?php echo $form->createElement($element);?>
                    </div>
                </div>
            </div>
        <?php echo $form->closeForm();?>
        </div>            
    </div>
</div>
<script>  
    $('#location').select2({placeholderOption: 'first'});
    $("#date").datetimepicker({
             format: 'MM/DD/YYYY'
       });       
       
    $('#product').on('keyPress',function(){onEnterSupplieOut();});
       
    $( "#product" ).autocomplete({
        source: function( request, response ) {
          $.post('/Controller/SupplieOut.php', {
              action: 'ajax',
              request: 'getListSupplies',
              item: request.term
          }, function(data) {
                  response(data.supplies);
             }, 'json');
        },     
        select: function( event, ui ) {
            $( "#idProduct" ).val( ui.item.value ); 
            $( "#product" ).val( ui.item.label );
            validateSupplieLocations();
            return false;
          }    
    } );     
</script>