<div class="row">
    <div class="col-lg-12">
        <ol class="breadcrumb">
            <?php      
            $currentAction = '';
            $agregarNuevo = '';
            if($action =='edit'){
                $customerAction = 'Editar Proveedor ';
                $currentAction = "<li class='active'><i class='fa fa-pencil'></i> ".$_translator->_getTranslation('Editar')."</li>";
                $agregarNuevo = "<a href='Vendor.php' class='btn btn-sm btn-default'><i class='fa fa-plus'></i> ".$_translator->_getTranslation('Agregar cliente')."</a>";
                $agregarNuevo .= '<hr>';                
            }elseif($action =='' || $action =='insert'){
                $customerAction = 'Agregar Proveedor ';
                $currentAction = "<li class='active'><i class='fa fa-plus'></i> ".$_translator->_getTranslation('Agregar')."</li>";
            } ?>
            <li><i class="fa fa-dashboard"></i>  <a href="<?php echo ROOT_HOST?>/Controller/Home.php"><?php echo $_translator->_getTranslation('Home')?></a></li>
            <li class="active"><i class="fa fa-group"></i> <?php echo $_translator->_getTranslation('Proveedors')?></li>
            <?php echo $currentAction?>
        </ol>
    </div>
</div>
<div class="row">
    <div class="col-lg-12">
        <div id="flashmessenger"><?php $flashmessenger->showMessage();?></div>
        <div class="box">
            <div class="box-header"> 
                <h3><i class='fa-fw fa fa-group'></i><?php echo $_translator->_getTranslation($customerAction);?></h3>
                <div class='box-icon'><i class='icon fa fa-tasks'></i></div>
            </div>
            <div class='box-content'>
                <div class="row">
                    <div class="col-md-12 col-xs-12 text-right">
                        <?php echo $agregarNuevo;?>                        
                        <div class="clear"></div>
                    </div> 
                    <div class="col-lg-12">  
                        <?php 
                            echo $_form->openForm();
                            echo $_form->showActionController();
                            echo $_form->showId();
                            ?>
                       <div class="col-lg-6">
                           <div><?php echo $_form->showElement('type');?></div>
                            <div><?php echo $_form->showElement('name');?></div>
                            <div><?php echo $_form->showElement('address');?></div>
                            <div><?php echo $_form->showElement('city');?></div>
                            <div><?php echo $_form->showElement('state');?></div>
                            <div><?php echo $_form->showElement('zipcode');?></div>
                        </div>
                        <div class="col-lg-6">                            
                            <div><?php echo $_form->showElement('contact_name');?></div>            
                            <div><?php echo $_form->showElement('phone');?></div>
                            <div><?php echo $_form->showElement('fax');?></div>
                            <div><?php echo $_form->showElement('email');?></div>
                            <div><?php echo $_form->showElement('webpage');?></div>
                            <div><?php echo $_form->showElement('payment_terms');?></div>            
                            <div><?php echo $_form->showElement('status');?></div>
                            <div class="text-right">
                                <?php $element = $_form->getElement('send'); echo $_form->createOnlyElement($element);?>
                                <?php $element = $_form->getElement('cancelar'); echo $_form->createOnlyElement($element);?>                               
                            </div>
                        </div>        
                        <?php echo $_form->closeForm();?>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-12">
                        <hr/>
                        <div class='table-responsive'>
                        <table id="tblProveedors" class="table table-striped table-hover table-condensed">
                            <thead>
                            <th class="text-center col-md-1">Accion</th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('No.');?></th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Nombre');?></th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Contacto');?></th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Telefono');?></th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Correo');?></th>
                            </thead>
                            <tbody>
                            <?php 
                                if($_listVendors){
                                    foreach($_listVendors as $vendor){?>
                                        <tr>
                                            <td class="text-center">
                                                <a href="Vendor.php?action=edit&id=<?php echo $vendor['id']?>"><i class="fa fa-pencil btn btn-sm btn-default"></i></a>
                                                <a onclick="return deleteRegistry('Vendor.php?action=delete&id=<?php echo $vendor['id']?>')" 
                                                   href="#"><i class="fa fa-trash btn btn-sm btn-danger"></i></a>
                                            </td>
                                            <td class="text-center"><?php echo $vendor['id']?></td>
                                            <td class="text-center"><?php echo $vendor['name']?></td>
                                            <td class="text-center"><?php echo $vendor['contact_name']?></td>
                                            <td class="text-center"><?php echo $vendor['phone']?></td>
                                            <td class="text-center"><?php echo $vendor['email']?></td>
                                        </tr><?php
                                    }                   
                                }?>
                            </tbody>
                        </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript" language="javascript">
        $('#type,#payment_terms,#status').select2();
	$('#tblProveedors').DataTable({
            paginate:true,
            filter:true,
            pageLength: 100
        });
        $('#tblProveedors')
		.removeClass( 'display' )
		.addClass('table table-striped table-bordered');
</script>