<?php
class autoloader {
    static function autoloadClasses($className) {
        $classes = array(
            'Form' => '/Form/Form.php',
            'EntityRepository' => '/Entity/EntityRepository.php',
            'Acl' => '/class/ACL/Acl.php',
            'AclRepository' => '/class/ACL/AclRepository.php',
            'Translator' => '/class/Translator/Translator.php',
            'Login' => '/class/Login/Login.php',
            'LoginRepository' => '/class/Login/LoginRepository.php',
            'LogSystemRepository'=>'/Entity/LogSystemRepository.php',
            'LoginForm' => '/Form/LoginForm.php',
            'MailForm' => '/Form/MailForm.php',
            'DataBase' => '/class/DataBase/DataBase.php',
            'FlashMessenger' => '/class/FlashMessenger/FlashMessenger.php',
            'FormValidator' => '/class/FormValidator/FormValidator.php',
            'Ajax'=>'/Controller/Ajax/Ajax.php',
            'PDF' => '/class/Pdf/pdf.php',
            'FPDI' => '/class/Pdf/fpdi.php',
            'UploadFile' => '/class/UploadFile/UploadFile.php',
            'jUploadPHP' => '/class/UploadFile/jUploadPHP.php',
            'Tools' => '/class/Tools/Tools.php',
            'Emailer' => '/class/PHPMailer/Emailer.php',
            'PHPMailer' => '/class/PHPMailer/class.phpmailer.php',
            'PHPExcel' => '/class/PHPExcel/PHPExcel.php',
            'PHPExcel_IOFactory' => '/class/PHPExcel/PHPExcel/IOFactory.php',
            'PHPExcel_Reader_IReadFilter' => '/class/PHPExcel/PHPExcel/Reader/IReadFilter.php',
            'NumeroALetra' => '/class/Tools/NumeroALetra.php',
            'CURP' => '/class/CURP/CURP.php',
            'RFC' => '/class/RFC/RFC.php', 
            //'InitStripe' => '/class/Stripe/InitStripe.php', 
            'GenericForm' => '/Form/GenericForm.php',
            'WoocommerceRepository' => '/Entity/WoocommerceRepository.php',
            
            'DBMobileServer' => '/Entity/Mobile/DBMobileServer.php',
            'MobileServerEntityRepository' => '/Entity/Mobile/MobileServerEntityRepository.php',
            
            'DBMainServer' => '/Entity/DBMainServer.php',
            'MainServerEntityRepository' => '/Entity/MainServerEntityRepository.php',
            'MainServerRepository' => '/Entity/MainServerRepository.php',
            'EmpresaEntity' => '/Entity/EmpresaEntity.php',
            'EmpresaRepository' => '/Entity/EmpresaRepository.php',
            'EmpresaForm' => '/Form/EmpresaForm.php',            
            
            'BarCode' => '/class/BarCode/BarCode.php',
            'SettingsEntity' => '/Entity/SettingsEntity.php',
            'SettingsRepository' => '/Entity/SettingsRepository.php',
                        
            'FormaMetodoPagoRepository'=>'/Entity/FormaMetodoPagoRepository.php',
            
            'CompanyEntity' => '/Entity/CompanyEntity.php',
            'CompanyRepository' => '/Entity/CompanyRepository.php',
            
            'UsuarioEntity' => '/Entity/UsuarioEntity.php',
            'UsuarioRepository' => '/Entity/UsuarioRepository.php',
            'UsuarioForm' => '/Form/UsuarioForm.php',
            
            'EstacionEntity' => '/Entity/EstacionEntity.php',
            'EstacionRepository' => '/Entity/EstacionRepository.php',
            'EstacionForm' => '/Form/EstacionForm.php',
            
            'AperturaCierreCajaEntity' => '/Entity/AperturaCierreCajaEntity.php',
            'AperturaCierreCajaRepository' => '/Entity/AperturaCierreCajaRepository.php',
            'AperturaCierreCajaForm' => '/Form/AperturaCierreCajaForm.php',
            'DenominacionesForm' => '/Form/DenominacionesForm.php',
            
            'RetiroEntity' => '/Entity/RetiroEntity.php',
            'RetiroRepository' => '/Entity/RetiroRepository.php',
            'RetiroForm' => '/Form/RetiroForm.php',
            
            'GenericRepository' => '/Entity/GenericRepository.php',
            
            'ShipmentEntity' => '/Entity/ShipmentEntity.php',
            'ShipmentRepository' => '/Entity/ShipmentRepository.php',
            'ShipmentForm' => '/Form/ShipmentForm.php', 
            'ShipmentAjax' => '/Controller/Ajax/ShipmentAjax.php', 
            'ShipmentPDF' => '/Controller/Pdf/ShipmentPDF.php', 
            'ShipmentDetailsTempRepository'=>'/Entity/ShipmentDetailsTempRepository.php',
            
            'ReceivingEntity' => '/Entity/ReceivingEntity.php',
            'ReceivingRepository' => '/Entity/ReceivingRepository.php',
            'ReceivingForm' => '/Form/ReceivingForm.php', 
            'ReceivingAjax' => '/Controller/Ajax/ReceivingAjax.php', 
            'ReceivingPDF' => '/Controller/Pdf/ReceivingPDF.php', 
            'ReceivingDetailsTempEntity'=>'/Entity/ReceivingDetailsTempEntity.php',
            'ReceivingDetailsTempRepository'=>'/Entity/ReceivingDetailsTempRepository.php',
            
            'VentaAjax'=>'/Controller/Ajax/VentaAjax.php',
            'VentaEntity'=>'/Entity/VentaEntity.php',
            'VentaRepository'=>'/Entity/VentaRepository.php',
            'VentaForm' => '/Form/VentaForm.php',
            'VentaBuscarForm' => '/Form/VentaBuscarForm.php',
            'VentaDetallesTempEntity'=>'/Entity/VentaDetallesTempEntity.php',
            'VentaDetallesTempRepository'=>'/Entity/VentaDetallesTempRepository.php',
            'VentaDetallesEntity'=>'/Entity/VentaDetallesEntity.php',
            'VentaDetallesRepository'=>'/Entity/VentaDetallesRepository.php',
            'VentaDetallesForm'=>'/Form/VentaDetallesForm.php',
            'InvoicePDF'=>'/Controller/Pdf/InvoicePDF.php',            
            
            'SpecialRequisitionEntity' => '/Entity/SpecialRequisitionEntity.php',
            'SpecialRequisitionRepository' => '/Entity/SpecialRequisitionRepository.php',
            'SpecialRequisitionForm' => '/Form/SpecialRequisitionForm.php', 
            'SpecialRequisitionBuscarForm' => '/Form/SpecialRequisitionBuscarForm.php', 
            'SpecialRequisitionAjax' => '/Controller/Ajax/SpecialRequisitionAjax.php', 
            'SpecialRequisitionPDF' => '/Controller/Pdf/SpecialRequisitionPDF.php', 
            'SpecialRequisitionDetailsTempEntity'=>'/Entity/SpecialRequisitionDetailsTempEntity.php',
            'SpecialRequisitionDetailsTempRepository'=>'/Entity/SpecialRequisitionDetailsTempRepository.php',             
            
            'SliceEntity' => '/Entity/SliceEntity.php',
            'SliceRepository' => '/Entity/SliceRepository.php',
            'SliceForm' => '/Form/SliceForm.php', 
            'SliceDetailsTempEntity'=>'/Entity/SliceDetailsTempEntity.php',
            'SliceDetailsTempRepository'=>'/Entity/SliceDetailsTempRepository.php',
            'SliceAjax' => '/Controller/Ajax/SliceAjax.php', 
            'SlicePDF' => '/Controller/Pdf/SlicePDF.php', 
            
            'RequisitionEntity' => '/Entity/RequisitionEntity.php',
            'RequisitionRepository' => '/Entity/RequisitionRepository.php',
            'RequisitionForm' => '/Form/RequisitionForm.php', 
            'RequisitionAjax' => '/Controller/Ajax/RequisitionAjax.php', 
            'RequisitionPDF' => '/Controller/Pdf/RequisitionPDF.php', 
            'RequisitionDetailsTempEntity'=>'/Entity/RequisitionDetailsTempEntity.php',
            'RequisitionDetailsTempRepository'=>'/Entity/RequisitionDetailsTempRepository.php',
            
            'ClienteEntity' => '/Entity/ClienteEntity.php',
            'ClienteRepository' => '/Entity/ClienteRepository.php',
            'ClienteForm' => '/Form/ClienteForm.php',

            'VendorRepository' => '/Entity/VendorRepository.php',
            'VendorForm' => '/Form/VendorForm.php',
            
            'CategoriaEntity' => '/Entity/CategoriaEntity.php',
            'CategoriaRepository' => '/Entity/CategoriaRepository.php',
            'CategoriaForm' => '/Form/CategoriaForm.php',
            
            'ParquesEntity' => '/Entity/ParquesEntity.php',
            'ParquesRepository' => '/Entity/ParquesRepository.php',
            'ParquesForm' => '/Form/ParquesForm.php',
            
            'MarcaEntity' => '/Entity/MarcaEntity.php',
            'MarcaRepository' => '/Entity/MarcaRepository.php',
            'MarcaForm' => '/Form/MarcaForm.php',
            
            'UnidadMedidaEntity' => '/Entity/UnidadMedidaEntity.php',
            'UnidadMedidaRepository' => '/Entity/UnidadMedidaRepository.php',
            'UnidadMedidaForm' => '/Form/UnidadMedidaForm.php',
            
            'PresentacionEntity' => '/Entity/PresentacionEntity.php',
            'PresentacionRepository' => '/Entity/PresentacionRepository.php',
            'PresentacionForm' => '/Form/PresentacionForm.php',
            
            'TamanoEntity' => '/Entity/TamanoEntity.php',
            'TamanoRepository' => '/Entity/TamanoRepository.php',
            'TamanoForm' => '/Form/TamanoForm.php',
            
            'ImpuestosRepository' => '/Entity/ImpuestosRepository.php',
            
            'ProductAjax' => '/Controller/Ajax/ProductAjax.php', 
            'ProductoEntity' => '/Entity/ProductoEntity.php',
            'ProductoRepository' => '/Entity/ProductoRepository.php',
            'ProductDetailsTempRepository'=>'/Entity/ProductDetailsTempRepository.php',
            'ProductoForm' => '/Form/ProductoForm.php',
            'ProductoBuscarForm' => '/Form/ProductoBuscarForm.php',            
           
            'SupplieAndServiceRepository' => '/Entity/SupplieAndServiceRepository.php',
            'SupplieAndServiceForm' => '/Form/SupplieAndServiceForm.php',
            
            'SupplieLocationRepository' => '/Entity/SupplieLocationRepository.php',
            
            'CobroEntity' => '/Entity/CobroEntity.php',
            'CobroRepository' => '/Entity/CobroRepository.php',
            'CobroTempRepository' => '/Entity/CobroTempRepository.php',
            'RefundForm' => '/Form/RefundForm.php',
            'CobroForm' => '/Form/CobroForm.php',
            'OperacionesTarjetasRepository' => '/Entity/OperacionesTarjetasRepository.php',
            
            'StoreAjax'=>'/Controller/Ajax/StoreAjax.php',
            'SucursalEntity' => '/Entity/SucursalEntity.php',
            'SucursalRepository' => '/Entity/SucursalRepository.php',
            'StoreDetailsTempRepository' => '/Entity/StoreDetailsTempRepository.php',
            'SucursalForm' => '/Form/SucursalForm.php', 
            
            'StoreStockTemplateRepository' => '/Entity/StoreStockTemplateRepository.php',
            'StoreStockTemplateForm' => '/Form/StoreStockTemplateForm.php', 
            'StoreStockTemplateAjax' => '/Controller/Ajax/StoreStockTemplateAjax.php', 
            'StoreStockTemplatePDF' => '/Controller/Pdf/StoreStockTemplatePDF.php', 
            'StoreStockTemplateDetailsTempEntity'=>'/Entity/StoreStockTemplateDetailsTempEntity.php',
            'StoreStockTemplateDetailsTempRepository'=>'/Entity/StoreStockTemplateDetailsTempRepository.php',
            
            'InventarioEntity' => '/Entity/InventarioEntity.php',
            'InventarioRepository' => '/Entity/InventarioRepository.php',
            
            'PosAjax'=>'/Controller/Ajax/PosAjax.php',
            
            'DevolucionEntity' => '/Entity/DevolucionEntity.php',
            'DevolucionRepository' => '/Entity/DevolucionRepository.php',
            
            'ProductionAjax'=>'/Controller/Ajax/ProductionAjax.php',
            'ProductionEntity' => '/Entity/ProductionEntity.php',
            'ProductionRepository' => '/Entity/ProductionRepository.php',
            'ProductionForm' => '/Form/ProductionForm.php',
            
            'ReportAjax'=>'/Controller/Ajax/ReportAjax.php',
            'ReporteForm' => '/Form/ReporteForm.php',
            'ReportListasEntity' => '/Entity/ReportListasEntity.php',
            'ReportListasRepository' => '/Entity/ReportListasRepository.php',
            
            'AccountingReportAjax'=>'/Controller/Ajax/AccountingReportAjax.php',
            'AccountingReportForm' => '/Form/AccountingReportForm.php',
            'AccountingReportListasEntity' => '/Entity/AccountingReportListasEntity.php',
            'AccountingReportListasRepository' => '/Entity/AccountingReportListasRepository.php',
            
            'TimeClockEntity' => '/Entity/TimeClockEntity.php',
            'TimeClockRepository' => '/Entity/TimeClockRepository.php',
            'TimeClockForm' => '/Form/TimeClockForm.php',
            'TimeClockBuscarForm' => '/Form/TimeClockBuscarForm.php',
            'TimeClockAjax'=>'/Controller/Ajax/TimeClockAjax.php',
            
            'LoadLineAjax' => '/Controller/Ajax/LoadLineAjax.php', 
            'LoadLineEntity' => '/Entity/LoadLineEntity.php',
            'LoadLineRepository' => '/Entity/LoadLineRepository.php',
            'LoadLineForm' => '/Form/LoadLineForm.php', 
            
            'AppointmentAjax' => '/Controller/Ajax/AppointmentAjax.php', 
            'AppointmentEntity' => '/Entity/AppointmentEntity.php',
            'AppointmentRepository' => '/Entity/AppointmentRepository.php',
            'AppointmentForm' => '/Form/AppointmentForm.php',
            
            'PromotionAjax' => '/Controller/Ajax/PromotionAjax.php', 
            'PromotionEntity' => '/Entity/PromotionEntity.php',
            'PromotionRepository' => '/Entity/PromotionRepository.php',
            'PromotionForm' => '/Form/PromotionForm.php',
            
            'AppointmentOptionsEntity' => '/Entity/AppointmentOptionsEntity.php',
            'AppointmentOptionsRepository' => '/Entity/AppointmentOptionsRepository.php',
            'AppointmentOptionsForm' => '/Form/AppointmentOptionsForm.php',
            
            'PreorderAjax' => '/Controller/Ajax/PreorderAjax.php', 
            'PreorderEntity' => '/Entity/PreorderEntity.php',
            'PreorderRepository' => '/Entity/PreorderRepository.php',
            'PreorderForm' => '/Form/PreorderForm.php',
            
            'NotificationAjax' => '/Controller/Ajax/NotificationAjax.php', 
            'NotificationEntity' => '/Entity/NotificationEntity.php',
            'NotificationRepository' => '/Entity/NotificationRepository.php',
            'NotificationForm' => '/Form/NotificationForm.php',
            
            'MailboxAjax' => '/Controller/Ajax/MailboxAjax.php', 
            'MailboxEntity' => '/Entity/MailboxEntity.php',
            'MailboxRepository' => '/Entity/MailboxRepository.php',
            'MailboxForm' => '/Form/MailboxForm.php',
            
            'PaymentTermsEntity' => '/Entity/PaymentTermsEntity.php',
            'PaymentTermsRepository' => '/Entity/PaymentTermsRepository.php',
            'PaymentTermsForm' => '/Form/PaymentTermsForm.php',
            
            'PurchaseRepository' => '/Entity/PurchaseRepository.php',
            'PurchaseForm' => '/Form/PurchaseForm.php', 
            'AddProductForm' => '/Form/AddProductForm.php', 
            'PurchaseAjax' => '/Controller/Ajax/PurchaseAjax.php', 
            'PurchasePDF' => '/Controller/Pdf/PurchasePDF.php', 
            'PurchaseDetailsTempRepository'=>'/Entity/PurchaseDetailsTempRepository.php',
            'InventorySupplieRepository'=>'/Entity/InventorySupplieRepository.php',
            
            'SupplieReturnRepository' => '/Entity/SupplieReturnRepository.php',
            'SupplieReturnDetailsTempRepository' => '/Entity/SupplieReturnDetailsTempRepository.php',
            'SupplieReturnForm' => '/Form/SupplieReturnForm.php', 
            'SupplieReturnAjax' => '/Controller/Ajax/SupplieReturnAjax.php', 
            'SupplieReturnPDF' => '/Controller/Pdf/SupplieReturnPDF.php', 
            
            'SupplieOutRepository' => '/Entity/SupplieOutRepository.php',
            'SupplieOutDetailsTempRepository' => '/Entity/SupplieOutDetailsTempRepository.php',
            'SupplieOutForm' => '/Form/SupplieOutForm.php', 
            'SupplieOutAjax' => '/Controller/Ajax/SupplieOutAjax.php', 
            'SupplieOutPDF' => '/Controller/Pdf/SupplieOutPDF.php', 
            
            'PagoAjax'=>'/Controller/Ajax/PagoAjax.php',
            'PagoPDF'=>'/Controller/Pdf/PagoPDF.php',
            'PagoEntity' => '/Entity/PagoEntity.php',
            'PagoRepository' => '/Entity/PagoRepository.php',
            'PagoForm' => '/Form/PagoForm.php',
            'PagoBuscarForm' => '/Form/PagoBuscarForm.php', 
            
            /*Rewards*/
            'RewardsAjax'=>'/Rewards/Controller/Ajax/RewardsAjax.php',
            'RewardsRepository' => '/Rewards/Entity/RewardsRepository.php',            
            'RewardsRulesRepository' => '/Rewards/Entity/RewardsRulesRepository.php',
            'RewardsCustomersRepository' => '/Rewards/Entity/RewardsCustomersRepository.php',
            'RewardsReedemRepository' => '/Rewards/Entity/RewardsReedemRepository.php',
            'RewardsForm'=>'/Rewards/Form/RewardsForm.php',
            'RewardsRulesForm'=>'/Rewards/Form/RewardsRulesForm.php',
            'RewardsReedemForm'=>'/Rewards/Form/RewardsReedemForm.php',
            'AdvancedSearchForm'=>'/Rewards/Form/AdvancedSearchForm.php',
            
            'CustomerRewardsRepository' => '/Rewards/Entity/CustomerRewardsRepository.php',
            'CustomerRewardsForm'=>'/Rewards/Form/CustomerRewardsForm.php',            
            
            'RewardsReportAjax'=>'/Rewards/Controller/Ajax/RewardsReportAjax.php',
            'RewardsReportListasEntity' => '/Rewards/Entity/RewardsReportListasEntity.php',
            'RewardsReportListasRepository' => '/Rewards/Entity/RewardsReportListasRepository.php',
            'RewardsReportsForm'=>'/Rewards/Form/RewardsReportsForm.php',
            
            'EmailingAjax'=>'/Rewards/Controller/Ajax/EmailingAjax.php',
            'EmailingForm'=>'/Rewards/Form/EmailingForm.php',
            'RewardEmailer' => '/Rewards/class/sendgrid-php/vendor/Emailer.php',           
            
            //validators
            'OptionsArrayValidator' => '/app/class/Import/Validators/OptionsArrayValidator.php',

            //interfaces
            'Importable' => '/class/App/Interfaces/Importable.php',
            'Saveable' => '/class/App/Interfaces/Saveable.php',
            'Uploader' => '/class/App/Interfaces/Uploader.php',
            'Validable' => '/class/App/Interfaces/Validable.php',
            'Validator' => '/class/App/Interfaces/Validator.php',

            //PHP Excel
            'PHPExcelByBatches' => '/app/class/PHPExcelReadFilters/PHPExcelByBatches.php',
            'PHPExcelRemedyFilter' => '/app/class/PHPExcelReadFilters/PHPExcelRemedyFilter.php',

            //Import
            'ImportExcelFileToEntity' => '/class/App/Import/ImportExcelFileToEntity.php', 
            'ImportFromExcel' => '/class/App/Import/ImportFromExcel.php',   
            'BancoMovimientosImport' => '/class/App/Import/BancoMovimientosImport.php',   
            
            //Utilities
            'EatonDateTime' => '/class/App/Import/EatonDateTime.php',
            
            //Store Request
            'StoreRequestPDF' => '/Controller/Pdf/StoreRequestPDF.php', 
            'StoreRequestAjax' => '/Controller/Ajax/StoreRequestAjax.php', 
            'StoreRequestRepository' => '/Entity/StoreRequestRepository.php',
            'StoreRequestForm' => '/Form/StoreRequestForm.php', 
            'StoreRequestDetailsTempRepository'=>'/Entity/StoreRequestDetailsTempRepository.php',
            'StoreRepository' => '/Entity/StoreRepository.php'
        );
        if (isset($classes[$className])) {
            require_once(ROOT . $classes[$className]);
        }
    }    
}