<?php
/**
 * Description of Ajax
 *
 * @author carlos
 */
class PreorderAjax extends PreorderRepository {
    
    public function getResponse($request, $options) {
        return $this->$request($options);
    }
    
    public function _getTranslation($text){
        $translator = new Translator();
        return $translator->_getTranslation($text);
    }
    
    public function getTranslation($options){
        $msj = $options['msj'];
        
        return array(
            'response'=>true,
            'translation'=>$this->_getTranslation($msj)
                );
    }
    
    public function mailingPreorder($options){
         $empresa = new EmpresaEntity();
         $empresa->setOptions($empresa->getById(1));
         
         $preorder = $this->getById($options['preorder_id']);
         
         $emailer = new Emailer();
         $rs = $emailer->sendEmail(array(
             'to'=>$options['email'],
             'subject'=>$this->_getTranslation('Su preorden #').' '.$preorder['preorder_num'].' '.$this->_getTranslation('de')." ".$empresa->getNombre(),
             'message'=>  file_get_contents(ROOT_HOST."/View/Tickets/email_templates/preorder.php?idPreorder={$options['preorder_id']}"),
             'msg-success'=>'Preorden enviado correctamente.'
         ));
             
         return array(
             'response'=>true,
             'message'=>$this->flashmessenger->getMessageString()
         );
     }
}