<?php 
    
    $idShipment = $id;
    $shipment = new StoreRequestRepository();
    $shipment->setOptions($shipment->getById($idShipment));
    $shipment->setId($idShipment);    
    $arrayData = $detalles = $shipment->getStoreRequestDetallesSavedExcel($idShipment,true);
    
    $colTitulos[] = 'Codigo';
    $colTitulos[] = 'Description';
    $colTitulos[] = 'Tamaño';
    $colTitulos[] = 'Existencia';
    
    $empresa = new CompanyEntity();
    $empresa->setOptions($empresa->getById(1));     
    
    $sucursal = new StoreRepository();        
    $sucursal->setOptions($sucursal->getById($shipment->getStoreId()));
    
    $objPHPExcel = new PHPExcel();
    $sheet = $objPHPExcel->getActiveSheet();
    $sheet->freezePane('A3');
    $col = count($colTitulos);
    $lastCol = 'D';    
    
    $sheet->mergeCells("A1:".$lastCol."1");            
    $sheet->getRowDimension('1')->setRowHeight(50);
    $sheet->getStyle("A1")->getFont()->setBold(true);
    $sheet->setCellValue("A1", "PEDIDO No: ".$idShipment."\n"."Status:".$shipment->getStatusName()."\n"."Fecha de pedido: ".$shipment->getFormatedDate()."\n"."Sucursal: ".$sucursal->getNombre());
    $sheet->getStyle('A1')->getAlignment()->setWrapText(true);
    $sheet->getStyle("A1")->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
    $sheet->getStyle("A1")->getAlignment()->setVertical(PHPExcel_Style_Alignment::VERTICAL_CENTER);      
    
    $sheet->getStyle("A2:".$lastCol."2")->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
    $sheet->getStyle("A2:".$lastCol."2")->getFont()->setBold(true);
    $sheet->fromArray($colTitulos,NULL,'A2');    
    
    $row=3;
    $firstRow = $row;    
   foreach ($arrayData as $key => $data) {      // var_dump($data);  
        $sheet->setCellValue("A$row", $data['code']);                          
        $sheet->setCellValue("B$row", $data['description']);                          
        $sheet->setCellValue("C$row", $data['size']);                                 
        $sheet->setCellValue("D$row", $data['quantity']);       
        
        $row++;        
    }
    $sheet->getStyle("A$firstRow:$lastCol$row")->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
    $sheet->getStyle("D$firstRow:D$row")->getNumberFormat()->setFormatCode('#,##0.00_ ;[Red]-#,##0.00');    
    
    foreach(range('A',$lastCol) as $columnID) {
        $sheet->getColumnDimension($columnID)
            ->setAutoSize(true);
    }

    $objPHPExcel->setActiveSheetIndex(0);   
    $objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
                 
    header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
    header("Content-Disposition: attachment;filename=store_request_$idShipment.xlsx");
    header('Cache-Control: max-age=0');
    $objWriter->save('php://output');
    exit;