<?php 
$controller = 'Notification';
$action = '';
if(isset($_POST['action'])){
    $action = $_POST['action'];
    if (isset($_POST['id'])) {$id = $_POST['id'];}
}elseif(isset($_GET['action'])){
    $action = $_GET['action'];
    if (isset($_GET['id'])) {$id = $_GET['id'];}
}
include $_SERVER["DOCUMENT_ROOT"].'/app/include/bootstrap.php';

$_form = new NotificationForm();
$_notification = new NotificationRepository();
$_listaNotifications = $_notification->getListaNotifications();
switch($action){
    case 'insert':
        $_form->populate($_POST);
        if($_form->isValid()){
            $_notification->setOptions($_POST);
            $result = $_notification->save($_notification->getOptions());
            if($result){
                $flashmessenger->addMessage(array('success'=>'Mensaje registrado exitosamente.'));                
                header('Location: Notification.php');
            }else{
                $flashmessenger->addMessage(array('danger'=>'Error. Intenta nuevamente o contacta a tu proveedor de sistemas.'));
            }
        }else{
            $vista = 'Notification.php';
            include $root.'/View/Template.php';
        }
        break;
   
    case 'edit':
        if($_GET){
            $_notificationData = $_notification->getById($id);
            $_notificationData['send_to'] = $_notification->sendtoStringToArray($_notificationData['send_to']);
        }
        
        if($_POST){$_notificationData = $_POST;}
        $_form->setActionController('edit');
        $_form->setId($id);
        $_form->populate($_notificationData);
        
        $_usersReadList = $_notification->getUserReadMessageById($_notificationData['id']);
        $_usersResponsesList = $_notification->getUserResponsesMessageById($_notificationData['id']);
        
        if(isset($_POST['id'])){
            if($_form->isValid()){
                $_notification->setOptions($_notificationData);
                $result = $_notification->update($id,$_notification->getOptions()); //no tengo id porque viene de post
                if($result){
                    $flashmessenger->addMessage(array('success'=>'Mensaje actualizado exitosamente.'));
                    header("Location: Notification.php?action=edit&id=$id");
                }else{
                    $flashmessenger->addMessage(array('danger'=>'Error. Intenta nuevamente o contacta a tu proveedor de sistemas.'));
                }       
            }else{
                $vista = 'Notification.php';
                include $root . '/View/Template.php';
            }
        }else{
            $vista = 'Notification.php';
            include $root . '/View/Template.php';
        }        
        break;
    
    case 'delete': 
        if(!$_notification->isUsedInRecord($id)){
            if($_notification->delete($id)){
                $flashmessenger->addMessage(array('success'=>'Mensaje eliminado satisfactoriamente.'));
            }
        }else{
            $message = 'Esta Mensaje no puede ser eliminado, esta siendo utilizado en almenos un registro.';
            $flashmessenger->addMessage(array('info'=>$message));
        }
        header('Location: Notification.php');
        break;
        
    case 'ajax':
        $loadLineAjax = new NotificationAjax();
        $json = $loadLineAjax->getResponse($_POST['request'],$_POST);
        
        echo json_encode($json);
        break;       
    
    default:
        $vista = 'Notification.php';
        include $root.'/View/Template.php';
}