<?php 
    $controller = 'Pos';
    $action = 'print';
    include $_SERVER["DOCUMENT_ROOT"].'/app/include/bootstrap.php';
    //echo "<pre>";var_dump($_GET); echo "</pre>";exit;
    
    $data = $_GET;
    $login = new Login();
    $requisition = new SpecialRequisitionRepository();
    
    $empresa = new EmpresaEntity();
    $empresa->setOptions($empresa->getById(1));        
    
    $customerRepo = new ClienteRepository();
    $customerData = $customerRepo->getById($data['customer']);      
    
    $store = $login->getSucursalNombre();
    
    $storeRepo = new StoreRepository();
    $entregar_en = '';    
    $entregarEnData = $storeRepo->getById($data['pickup_on']);
    
    if($entregarEnData){
        $entregar_en = $entregarEnData['nombre'];
    }
    
    $pdf = new PDF();   
    $pdf->AddPage('','');
    //$pdf->Image(ROOT."/public/img/logo.png",10,10,80,0);
    //$pdf->Image(ROOT."/public/img/logo.png",170,275,30,0);
        
    $pdf->SetFont('Arial','','16');
    $pdf->SetTextColor(255);
    $pdf->SetFillColor(51,153,255);
    $pdf->SetX(0);
    $pdf->Cell(90,10, utf8_decode("COTIZACIÓN"), '0', 0, 'R',true);   
    $pdf->Cell(15, 10, "", '', 0, 'C'); //<== margin left 
    $pdf->SetTextColor(0);
    $pdf->Cell(95, 10, $empresa->getNombre(), '0', 1, 'R');          
        
    $pdf->SetFont('Arial','B','8');
    $pdf->Cell(50, 4, 'FECHA DE ORDEN: ', '', 0, 'R');
    $pdf->SetFont('Arial','','8');
    $pdf->Cell(30, 4, $data['date'], '', 1, 'R');        
        
    $pdf->Ln(1);
    $pdf->SetFont('Arial','','10');
    $pdf->SetTextColor(0);        

    $pdf->SetFont('Arial','B','8');
    $pdf->Cell(50, 4, 'SUCURSAL: ', '0', 0, 'R');
    $pdf->SetFont('Arial','','8');
    $pdf->Cell(30, 4, $store, '', 1, 'R');

    $pdf->SetFont('Arial','B','8');
    $pdf->Cell(50, 4, 'FECHA DE ENTREGA: ', '', 0, 'R');
    $pdf->SetFont('Arial','','8');
    $pdf->Cell(30, 4, $data['delivery_date'], '', 1, 'R');  

    $pdf->SetFont('Arial','B','8');
    $pdf->Cell(50, 4, 'ENTREGAR EN: ', '0', 0, 'R');
    $pdf->SetFont('Arial','','8');
    $pdf->Cell(30, 4, $entregar_en, '', 1, 'R');  
    
    $pdf->SetY(10);
    $direccion  = $empresa->getDireccion();
    $direccion .= "\n".$empresa->getCiudad().', '.$empresa->getEstado().' '.$empresa->getCodigoPostal();
    $direccion .= "\n".$empresa->getTelefono();
    $pdf->Cell(190, 28, $direccion, '0', 1, 'R');     

    $pdf->SetFont('Arial','B','8');         
    $pdf->cell(100,7,'INFORMACION:','',0,'L'); 
    $pdf->cell(105,7,'DIRECCION DE ENTREGA','',1,'L'); 

    $pdf->SetFont('Arial','','8');         
    $pdf->Cell(20, 4, "Cliente:", '0', 0, 'R');
    $pdf->Cell(40, 4, $customerData['nombre'], '0', 0, 'L');
    $pdf->Cell(35, 4, '', '0', 0);
    $pdf->Cell(35, 4, "Empresa/Negocio:", '0', 0, 'R');
    $pdf->Cell(50, 4, $data['company_name'], '0', 1, 'L');


    $pdf->Cell(20, 4, "Telefono:", '0', 0, 'R');
    $pdf->Cell(40, 4, $data['phone'], '0', 0, 'L');
    $pdf->Cell(35, 4, '', '0', 0);
    $pdf->Cell(35, 4, "Direccion:", '0', 0, 'R');
    $pdf->Cell(50, 4, $data['phone'], '0', 1, 'L');        

    $pdf->Cell(20, 4, "Status:", '0', 0, 'R');
    $pdf->Cell(40, 4, 'Cotizado', '0', 0, 'L');
    $pdf->Cell(35, 4, '', '0', 0);
    $pdf->Cell(35, 4, "Ciudad:", '0', 0, 'R');
    $pdf->Cell(50, 4, $data['city'], '0', 1, 'L');


    $pdf->Cell(20, 4, "Creado por:", '0', 0, 'R');
    $pdf->Cell(40, 4, $login->getUusario(), '0', 0, 'L');

    $pdf->Ln(5);        
    $pdf->SetFont('Arial','B','8');

    $pdf->Cell(80, 7, "Descripcion", 'B', 0, 'L');
    $pdf->Cell(30, 7, utf8_decode("Tamaño"), 'B', 0, 'L');
    $pdf->Cell(25, 7, "Cantidad", 'B', 0, 'R'); 
    $pdf->Cell(25, 7, "P.Unitario", 'B', 0, 'R'); 
    $pdf->Cell(25, 7, "Total", 'B', 1, 'R'); 

    $pdf->SetFont('Arial','','8');
    $detalles = $requisition->getRequisitionDetailsForEstimate($data['token_form'],true);
    $grandTotal = 0;

    foreach($detalles as $detalle){
        if($detalle['type']=='Line'){
            $total = $detalle['quantity'] * $detalle['price'];
            $grandTotal += $total;  
            $quantity = number_format($detalle['quantity'],2);
            $price = number_format($detalle['price'],2);

        }elseif($detalle['type']=='Special'){
            $total = $detalle['price'];
            $grandTotal += $total;  
            $quantity = 'X';
            $price = 'X';
        }             

        $pdf->Cell(80, 5, utf8_decode($detalle['description']), 'B', 0, 'L');
        $pdf->Cell(30, 5, utf8_decode($detalle['size']), 'B', 0, 'L');
        $pdf->Cell(25, 5, $quantity, 'B', 0, 'R');
        $pdf->Cell(25, 5, $price, 'B', 0, 'R');
        $pdf->Cell(25, 5, number_format($total,2), 'B', 1, 'R');
    }      

    $pdf->SetFont('Arial','B','8');
    $pdf->Cell(160, 5, 'Subtotal', '', 0, 'R');
    $pdf->SetFont('Arial','','8');
    $subtotal = 0;
    if(!empty($data['subTotal'])){$subtotal = $data['subTotal'];}
    $pdf->Cell(25, 5, number_format($subtotal,2), '0', 1, 'R');

   
    if(!is_null($data['discount_amount']) && $data['discount_amount'] > 0 ){             
        $pdf->SetFont('Arial','B','8');
        $pdf->Cell(160, 5, 'Descuentos', '', 0, 'R');
        $pdf->SetFont('Arial','','8');
        $pdf->Cell(25, 5, number_format($data['discount_amount'],2), '0', 1, 'R');
    }       

    $pdf->SetFont('Arial','B','8');
    $pdf->Cell(160, 5, 'Comisiones', '', 0, 'R');
    $pdf->SetFont('Arial','','8');
    $totalComision = 0;
    if(!empty($data['total_comision'])){$totalComision = $data['total_comision'];}
    $pdf->Cell(25, 5, number_format($totalComision,2), '0', 1, 'R');

    $pdf->SetFont('Arial','B','8');
    $pdf->Cell(160, 5, 'Total', '', 0, 'R');
    $pdf->SetFont('Arial','','8');
    $totalAmmount = 0;
    if(!empty($data['ammount'])){$totalComision = $data['ammount'];}
    $pdf->Cell(25, 5, number_format($totalAmmount,2), 'T', 0, 'R');

    $detalles = $requisition->getRequisitionDetailsForSpecialForEstimate($data['token_form']);
    if($detalles){
        $pdf->Ln(5);        
        $pdf->SetFont('Arial','B','8');

        $pdf->Cell(135, 7, "Detalles de pedidos especiales", 'B', 1, 'L');

        $pdf->Cell(10, 7, "PE #", 'B', 0, 'C');
        $pdf->Cell(25, 7, "Categoria", 'B', 0, 'C');
        $pdf->Cell(50, 7, "Descripcion", 'B', 0, 'L'); 
        $pdf->Cell(25, 7, utf8_decode("Tamaño"), 'B', 0, 'C'); 
        $pdf->Cell(25, 7, "Cantidad", 'B', 1, 'R'); 

       $pdf->SetFont('Arial','','8');
        foreach($detalles as $detalle){
            $prefix = '';
            if($detalle['type']=='Special'){
                $prefix = "s_";
                $pdf->Cell(10, 5, $detalle['multiple'], 'B', 0, 'C');
                $pdf->Cell(25, 5, $detalle[$prefix.'category'], 'B', 0, 'C');
                $pdf->Cell(50, 5, $detalle[$prefix.'description'], 'B', 0, 'L'); 
                $pdf->Cell(25, 5, $detalle[$prefix.'size'], 'B', 0, 'C'); 
                $pdf->Cell(25, 5, number_format($detalle['quantity'],2), 'B', 1, 'R');               
            }          
        }
    }

    $pdf->Ln(2);
    $msgArray = explode("<br />",nl2br($requisition->getComments()));
    $comments = "";
    foreach($msgArray as $line){
        $comments .= $line."\n";
    }

    $msgArray = explode("<br />",nl2br($requisition->getComments1()));
    $comments1 = "";
    foreach($msgArray as $line){
        $comments1 .= $line."\n";
    }

    $pdf->SetFont('Arial','B','8');
    $pdf->Cell(85, 7, "Notas de pastel", 'B', 1, 'L');
    $pdf->SetFont('Arial','','8');
    $pdf->Cell(85, 25,  $comments, '0', 1, 'L');

    $pdf->SetFont('Arial','B','8');
    $pdf->Cell(85, 7, "Notas de decorado", 'B', 1, 'L');        
    $pdf->SetFont('Arial','','8');
    //$pdf->Cell(85, 6,  $comments1, '0', 1, 'L');  
    $pdf->MultiCell(85, 6,  $comments1);         
    
    $string = "Our products do not contain preservatives; consume within 36 hours of purchasing.
	Once product has left the store, it can not be returned or exchanged
	Changes and cancellations on special orders must be requested 72 hours before date of delivery.
	Changes or refunds are not accepted.";    
             
    $pdf->SetFont('Arial','','8');    
    $pdf->cell(190, 20,  $string,'0', 1, 'C');   

    $pdf->Output();       