<?php 
$controller = 'Preorder';
$action = '';
if(isset($_POST['action'])){
    $action = $_POST['action'];
    if (isset($_POST['id'])) {$id = $_POST['id'];}
}elseif(isset($_GET['action'])){
    $action = $_GET['action'];
    if (isset($_GET['id'])) {$id = $_GET['id'];}
}
include $_SERVER["DOCUMENT_ROOT"].'/app/include/bootstrap.php';

$_form = new PreorderForm();
$_preorder = new PreorderRepository();
$_listaPreorders = $_preorder->getListaPreorders();
switch($action){
    case 'insert':
        $_form->populate($_POST);
        if($_form->isValid()){
            $_preorder->setOptions($_POST);
            $result = $_preorder->save($_preorder->getOptions());
            if($result){
                if($_POST['create_special_order']){
                    header('Location: Special-requisition.php?preorder='.$_preorder->getLastInsertId());
                    exit;
                }
                $flashmessenger->addMessage(array('success'=>'Preorden registrada exitosamente.'));
                header('Location: Preorder.php');
            }else{
                $flashmessenger->addMessage(array('danger'=>'Error. Intenta nuevamente o contacta a tu proveedor de sistemas.'));
            }
        }else{
            $vista = 'Preorder.php';
            include $root.'/View/Template.php';
        }
        break;
   
    case 'edit':
        if($_GET){$_preorderData = $_preorder->getById($id);}
        if($_POST){$_preorderData = $_POST;}
        $_form->setActionController('edit');
        $_form->setId($id);
        $_form->populate($_preorderData);
        
        if(isset($_POST['id'])){
            if($_form->isValid()){
                $_preorder->setOptions($_preorderData);
                $result = $_preorder->update($id,$_preorder->getOptions()); //no tengo id porque viene de post
                if($result){
                    if($_POST['create_special_order']){
                        header('Location: Special-requisition.php?preorder='.$_POST['id']);
                        exit;
                    }
                    $flashmessenger->addMessage(array('success'=>'Preorden actualizada exitosamente.'));
                    header("Location: Preorder.php?action=edit&id=$id");
                }else{
                    $flashmessenger->addMessage(array('danger'=>'Error. Intenta nuevamente o contacta a tu proveedor de sistemas.'));
                }       
            }else{
                $vista = 'Preorder.php';
                include $root . '/View/Template.php';
            }
        }else{
            $vista = 'Preorder.php';
            include $root . '/View/Template.php';
        }        
        break;
    
    case 'delete': 
        if(!$_preorder->isUsedInRecord($id)){
            if($_preorder->delete($id)){
                $flashmessenger->addMessage(array('success'=>'Preorden eliminada satisfactoriamente.'));
            }
        }else{
            $message = 'Esta Preorden no puede ser eliminada, esta siendo utilizado en almenos un registro.';
            $flashmessenger->addMessage(array('info'=>$message));
        }
        header('Location: Preorder.php');
        break;
        
    case 'ajax':
        $loadLineAjax = new PreorderAjax();
        $json = $loadLineAjax->getResponse($_POST['request'],$_POST);
        
        echo json_encode($json);
        break;       
    
    default:
        $vista = 'Preorder.php';
        include $root.'/View/Template.php';
}