<?php 
$controller = 'Promotion';
$action = '';
if(isset($_POST['action'])){
    $action = $_POST['action'];
    if (isset($_POST['id'])) {$id = $_POST['id'];}
}elseif(isset($_GET['action'])){
    $action = $_GET['action'];
    if (isset($_GET['id'])) {$id = $_GET['id'];}
}
include $_SERVER["DOCUMENT_ROOT"].'/app/include/bootstrap.php';

$_form = new PromotionForm();
$_promotion = new PromotionRepository();
$_listaPromotions = $_promotion->getListaPromotions();
switch($action){
    case 'insert':
        $_form->populate($_POST);
        if($_form->isValid()){
            $_promotion->setOptions($_POST);
            $result = $_promotion->save($_promotion->getOptions());
            if($result){
                $flashmessenger->addMessage(array('success'=>'Promocion registrada exitosamente.'));                
                header('Location: Promotion.php');
            }else{
                $flashmessenger->addMessage(array('danger'=>'Error. Intenta nuevamente o contacta a tu proveedor de sistemas.'));
            }
        }else{
            $vista = 'Promotion.php';
            include $root.'/View/Template.php';
        }
        break;
   
    case 'edit':
        if($_GET){$_promotionData = $_promotion->getById($id);}
        if($_POST){$_promotionData = $_POST;}
        $_form->setActionController('edit');
        $_form->setId($id);
        $_form->populate($_promotionData);
        
        if(isset($_POST['id'])){
            if($_form->isValid()){
                $_promotion->setOptions($_promotionData);
                $result = $_promotion->update($id,$_promotion->getOptions()); //no tengo id porque viene de post
                if($result){
                    $flashmessenger->addMessage(array('success'=>'Promocion actualizada exitosamente.'));
                    header("Location: Promotion.php?action=edit&id=$id");
                }else{
                    $flashmessenger->addMessage(array('danger'=>'Error. Intenta nuevamente o contacta a tu proveedor de sistemas.'));
                }       
            }else{
                $vista = 'Promotion.php';
                include $root . '/View/Template.php';
            }
        }else{
            $vista = 'Promotion.php';
            include $root . '/View/Template.php';
        }        
        break;
    
    case 'delete': 
        if(!$_promotion->isUsedInRecord($id)){
            if($_promotion->delete($id)){
                $flashmessenger->addMessage(array('success'=>'Promocion eliminada satisfactoriamente.'));
            }
        }else{
            $message = 'Esta Promocion no puede ser eliminada, esta siendo utilizado en almenos un registro.';
            $flashmessenger->addMessage(array('info'=>$message));
        }
        header('Location: Promotion.php');
        break;
        
    case 'ajax':
        $loadLineAjax = new PromotionAjax();
        $json = $loadLineAjax->getResponse($_POST['request'],$_POST);
        
        echo json_encode($json);
        break;       
    
    default:
        $_promotionHour = null;
        $vista = 'Promotion.php';
        include $root.'/View/Template.php';
}