<?php 
$controller = 'StoreStockTemplate';
$action = '';
if(isset($_POST['action'])){
    $action = $_POST['action'];
    if (isset($_POST['id'])) {$id = $_POST['id'];}
}elseif(isset($_GET['action'])){
    $action = $_GET['action'];
    if (isset($_GET['id'])) {$id = $_GET['id'];}
}

include $_SERVER["DOCUMENT_ROOT"].'/app/include/bootstrap.php';

$form = new StoreStockTemplateForm();
$store = new StoreStockTemplateRepository();

switch($action){
    case 'insert':
        $form->populate($_POST);
        $form->setTokenForm($_POST['token_form']);
        if ($form->isValid()) {
            $store->setOptions($_POST); 
            if ($store->save($store->getOptions())) {                
                $storeNo = $store->getLastInsertId();                
                $flashmessenger->addMessage(array(
                    "success"=>$_translator->_getTranslation("Plantilla")." #$storeNo ".$_translator->_getTranslation("registrada exitosamente.")));
                
                header("Location: StoreStockTemplate.php?action=edit&id=$storeNo");
            }else{                
                $vista = 'StoreStockTemplate.php';
                include $root . '/View/Template.php';                
            }
        } else {
            $vista = 'StoreStockTemplate.php';
            include $root . '/View/Template.php';
        }
        break;
    
    case 'list':
        $_listStoreStockTemplates = $store->getListStoresStockTemplate();
        
        $vista = 'StoreStockTemplateList.php';
        include $root . '/View/Template.php';
        break;
        
    case 'import':
        switch($_GET['flag']){
            case 'pdf':
                $pdf = new StoreStockTemplatePDF($_GET['id']);
                break;
        }        
        break;
    
    case 'edit':   
        if($_GET){
            $storeData = $store->getById($id);
            $store->crearTablaDetallesForUser();
            $store->setStoreStockTemplateDetailsById($id, $form->getTokenForm());
        }
        if($_POST){
            $storeData = $_POST;
            $form->setTokenForm($_POST['token_form']);
        }

        $form->setActionController('edit');
        $form->setId($id);
        $form->populate($storeData);
        
        if(isset($_POST['id'])){
            if($form->isValid()){
                $store->setOptions($storeData);
                $result = $store->update($id,$store->getOptions()); //no tengo id porque viene de post
                if($result){
                    $flashmessenger->addMessage(array('success'=>'Plantilla actualizada exitosamente.'));
                    header("Location: StoreStockTemplate.php?action=edit&id=$id");
                }else{
                     $vista = 'StoreStockTemplate.php';
                    include $root . '/View/Template.php';                    
                }       
            }else{
                $vista = 'StoreStockTemplate.php';
                include $root . '/View/Template.php';
            }
        }else{
            $vista = 'StoreStockTemplate.php';
            include $root . '/View/Template.php';
        }        
        break;
    
    case 'delete':
        if($store->delete($id)){
            $flashmessenger->addMessage(array('success'=>'Plantilla se ha puesto como inactiva satisfactoriamente.'));
        }        
        header("Location: StoreStockTemplate.php?action=list");
        break;
        
    case 'ajax':
        $ajaxStoreStockTemplate = new StoreStockTemplateAjax();
        $json = $ajaxStoreStockTemplate->getResponse($_POST['request'],$_POST);
        
        echo json_encode($json);
        break;       
        
    case 'pdf':
        $storePDF = new StoreStockTemplatePDF($_GET['id']);
        break;
    
    default:      
        $store->crearTablaDetallesForUser();
        $vista = 'StoreStockTemplate.php';
        include $root.'/View/Template.php';
        break;
}