<?php 
$controller = 'SupplieOut';
$action = '';
if(isset($_POST['action'])){
    $action = $_POST['action'];
    if (isset($_POST['id'])) {$id = $_POST['id'];}
}elseif(isset($_GET['action'])){
    $action = $_GET['action'];
    if (isset($_GET['id'])) {$id = $_GET['id'];}
}

include $_SERVER["DOCUMENT_ROOT"].'/app/include/bootstrap.php';

$form = new SupplieOutForm();
$supplieOut = new SupplieOutRepository();

switch($action){
    case 'insert':
        $form->populate($_POST);   
        if ($form->isValid()) {
            $supplieOut->setOptions($_POST); 
            if ($supplieOut->save($supplieOut->getOptions())) {                
                $supplieOutNo = $supplieOut->getLastInsertId();                
                $flashmessenger->addMessage(array(
                    "success"=>$_translator->_getTranslation("Salida")." #$supplieOutNo ".$_translator->_getTranslation("registrada exitosamente.")));
                
                header("Location: SupplieOut.php?action=edit&id=$supplieOutNo");
            }else{                
                $vista = 'SupplieOut.php';
                include $root . '/View/Template.php';                
            }
        } else {
            $vista = 'SupplieOut.php';
            include $root . '/View/Template.php';
        }
        break;
    
    case 'list':
        $_listSupplieOut = $supplieOut->getListSupplieOut();
        
        $vista = 'SupplieOutList.php';
        include $root . '/View/Template.php';
        break;
        
    case 'export':
        switch($_GET['flag']){
            case 'pdf':
                $pdf = new SupplieOutPDF($_GET['id']);                
                break;
        }        
        break;
    
    case 'edit':   
        #Para usar status y statusName, y asigno todo a $supplieOutData cuando viene de GET
        $supplieOutDataTemp = $supplieOut->getById($id);
        $_statusName = $supplieOutDataTemp['statusName'];
        
        if($_GET){
            $supplieOutData = $supplieOut->getById($id);
            $supplieOut->crearTablaDetallesForUser();
            $supplieOut->setSupplieOutDetailsById($id);
        }
        if($_POST){$supplieOutData = $_POST;}

        $form->setActionController('edit');
        $form->setId($id);     
        $form->populate($supplieOutData);
        
        if($supplieOutDataTemp['status'] === '2' || $supplieOutDataTemp['status'] === '3'){
            $form->disabledAllElements();
        }
        
        if(isset($_POST['id'])){
            if($form->isValid()){
                $supplieOut->setOptions($supplieOutData);
                $result = $supplieOut->update($id,$supplieOut->getOptions()); //no tengo id porque viene de post
                if($result){
                    $flashmessenger->addMessage(array('success'=>'Salida actualizada exitosamente.'));
                    header("Location: SupplieOut.php?action=edit&id=$id");
                }else{
                     $vista = 'SupplieOut.php';
                    include $root . '/View/Template.php';                    
                }       
            }else{
                $vista = 'SupplieOut.php';
                include $root . '/View/Template.php';
            }
        }else{
            $vista = 'SupplieOut.php';
            include $root . '/View/Template.php';
        }        
        break;
    
    case 'delete':
        if($supplieOut->delete($id)){
            $flashmessenger->addMessage(array('success'=>'Salida eliminada satisfactoriamente.'));
        }        
        header("Location: SupplieOut.php?action=list");
        break;
        
    case 'ajax':
        $ajaxSupplieOut = new SupplieOutAjax();
        $json = $ajaxSupplieOut->getResponse($_POST['request'],$_POST);
        
        echo json_encode($json);
        break;       
    
    default:      
        $supplieOut->crearTablaDetallesForUser();
        $vista = 'SupplieOut.php';
        include $root.'/View/Template.php';
        break;
}