<?php 
$controller = 'SupplieReturn';
$action = '';
if(isset($_POST['action'])){
    $action = $_POST['action'];
    if (isset($_POST['id'])) {$id = $_POST['id'];}
}elseif(isset($_GET['action'])){
    $action = $_GET['action'];
    if (isset($_GET['id'])) {$id = $_GET['id'];}
}

include $_SERVER["DOCUMENT_ROOT"].'/app/include/bootstrap.php';

$form = new SupplieReturnForm();
$return = new SupplieReturnRepository();

switch($action){
    case 'insert':
        $form->populate($_POST);   
        if ($form->isValid()) {
            $return->setOptions($_POST); 
            if ($return->save($return->getOptions())) {                
                $returnNo = $return->getLastInsertId();                
                $flashmessenger->addMessage(array(
                    "success"=>$_translator->_getTranslation("Retorno")." #$returnNo ".$_translator->_getTranslation("registrado exitosamente.")));
                
                header("Location: SupplieReturn.php?action=edit&id=$returnNo");
            }else{                
                $vista = 'SupplieReturn.php';
                include $root . '/View/Template.php';                
            }
        } else {
            $vista = 'SupplieReturn.php';
            include $root . '/View/Template.php';
        }
        break;
    
    case 'list':
        $_listSupplieReturn = $return->getListReturn();
        
        $vista = 'SupplieReturnList.php';
        include $root . '/View/Template.php';
        break;
        
    case 'export':
        switch($_GET['flag']){
            case 'pdf':
                $pdf = new SupplieReturnPDF($_GET['id']);
                break;
        }        
        break;
    
    case 'edit':   
        #Para usar status y statusName, y asigno todo a $returnData cuando viene de GET
        $returnDataTemp = $return->getById($id);
        $_statusName = $returnDataTemp['statusName'];
        
        if($_GET){
            $returnData = $return->getById($id);
            $return->crearTablaDetallesForUser();
            $return->setReturnDetailsById($id);
        }
        if($_POST){$returnData = $_POST;}

        $form->setActionController('edit');
        $form->setId($id);      
        $form->populate($returnData);
        
        if($returnDataTemp['status'] === '2' || $returnDataTemp['status'] === '3'){
            $form->disabledAllElements();
        }
        
        if(isset($_POST['id'])){
            if($form->isValid()){
                $return->setOptions($returnData);
                $result = $return->update($id,$return->getOptions()); //no tengo id porque viene de post
                if($result){
                    $flashmessenger->addMessage(array('success'=>'Retorno actualizada exitosamente.'));
                    header("Location: SupplieReturn.php?action=edit&id=$id");
                }else{
                     $vista = 'SupplieReturn.php';
                    include $root . '/View/Template.php';                    
                }       
            }else{
                $vista = 'SupplieReturn.php';
                include $root . '/View/Template.php';
            }
        }else{
            $vista = 'SupplieReturn.php';
            include $root . '/View/Template.php';
        }        
        break;
    
    case 'delete':
        if($return->delete($id)){
            $flashmessenger->addMessage(array('success'=>'Salida eliminada satisfactoriamente.'));
        }        
        header("Location: SupplieReturn.php?action=list");
        break;
        
    case 'ajax':
        $ajaxSupplieReturn = new SupplieReturnAjax();
        $json = $ajaxSupplieReturn->getResponse($_POST['request'],$_POST);
        
        echo json_encode($json);
        break;       
    
    default:      
        $return->crearTablaDetallesForUser();
        $vista = 'SupplieReturn.php';
        include $root.'/View/Template.php';
        break;
}