<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

class SupplieLocationRepository extends EntityRepository {

    private $table = 'supplies_location';
    private $options = array(
        'description'=>null
    );
    
    public function setOptions($data){
      foreach ($this->options as $option => $value){
          if(isset($data[$option])){
            $this->options[$option] = $data[$option];
          }
      }
    }
  
    public function getOptions(){
        return $this->options;
    }
    
    public function getTable(){
        return $this->table;
    }

    public function save(array $data, $table = null) {
        return parent::save($data, $this->table);
    }
    
    public function delete($id, $table = null) {        
        return parent::delete($id, $this->table);
    }

    public function update($id, $data, $table = null) {        
        return parent::update($id, $data, $this->table);
    }

    public function getById($id, $table = null,$selectAux = null) {
        return parent::getById($id, $this->table,$selectAux);
    }

    public function isUsedInRecord($id, array $buscarEn = null,$andWhere = null) {
        return parent::isUsedInRecord($id, array('supplies' => 'location'));
    }

    public function getListSelectSupplieLocations($idsSupplieLocaion = null) {
        if($idsSupplieLocaion !== null){ $idsSupplieLocaion = " AND find_in_set(id,'$idsSupplieLocaion')";}
         
        $select = "SELECT * FROM $this->table WHERE 1 = 1 $idsSupplieLocaion";
        $result = $this->query($select);

        if ($result) {
            $array = array();
            while ($row = $result->fetch_assoc()) {
                $array[$row['id']] = $row['description'];
            }
            return $array;
        }
        return null;
    }
    
    public function getListSelectVariety($idsVariety = null){
        if($idsVariety !== null){ $idsVariety = " AND find_in_set(id,'$idsVariety')";}
        
        $query = "SELECT id,descripcion FROM $this->table WHERE 1 = 1 $idsVariety ORDER BY descripcion ASC";
        $result = $this->query($query);
        
        if($result->num_rows > 0){
            $array = array();
            while($row = $result->fetch_object()){
                $array[$row->id] = $row->descripcion; 
            }
            
            return $array;
        }
        
        return null;
    }
    
     public function getListSupplieLocations() {
        $select = "SELECT * from $this->table ";
        $result = $this->query($select);

        if ($result) {
           return $this->resultToArray($result);
        }
        return null;
    }
}
