<?php
require ROOT . '/vendor/autoload.php';
use Automattic\WooCommerce\Client;

class WoocommerceRepository extends EntityRepository {
    private $woocommerce = null;
    
    function __construct() {
        $this->woocommerce = new Client(
            'http://bwr.demo.cfdi.live',
            'ck_22c7d19ec97e6cb8897175df4c01a4ab94896863',/*consumer_key*/
            'cs_490823af83038deba00c9e225132c08d22f28064',/*consumer_secret*/
            [
                'wp_api' => true,
                'version' => 'wc/v3'
            ]
        );
    }
    
    public function getProductList(){
        return $this->woocommerce->get('orders');
    }
    
    public function createCoupon(){
        $data = [
            'code' => '10off',
            'discount_type' => 'percent',
            'amount' => '10',
            'individual_use' => true,
            'exclude_sale_items' => true,
            'minimum_amount' => '50.00'
        ];
        
        $this->woocommerce->post('coupons',$data);
    }
}


