<?php
/**
 * Description of LoginForm
 *
 * @author carlos augusto vazquez lara
 */
class MailboxForm extends Form {
    public function __construct() {
        $this->setName('mailbox');
        $this->setMethod('post');
        $this->init();
        parent::__construct();
    }
    public function init() {      
        $this->addElement(array(
            'type' => 'hidden',
            'name' => 'notification_id', /*Este es el id de la notificacion original creada, es el id de la tabla notificaitons*/
        ));
        
        $this->addElement(array(
            'type' => 'textarea',
            'name' => 'message',
            'col-size-element'=>'12',
            'required'=>false,          
        ));
        
        $this->addElement(array(
            'type' => 'submit',
            'name' => 'send_response',
            'value'=> 'Enviar respuesta',
            'optionals'=>array(
                'onclick'=>"submit()"),
            'class'=>'btn btn-primary'
        ));
        
        $this->addElement(array(
            'type' => 'button',
            'name' => 'cerrar',
            'value'=> 'Cerrar',
            'class'=>'btn btn-default',
            'optionals'=>array(
                'data-dismiss'=>'modal',
                'aria-hidden'=>'true',
                )
        ));
    }
    
    public function populate($data){        
        parent::populate($data);
    }
}