<div class="container-title"></div>
<div class="row">
    <?php echo $currentAction = ''?>
    <div class="col-lg-12">
        <ol class="breadcrumb">
            <li><i class="fa fa-dashboard"></i>  <a href="<?php echo ROOT_HOST?>/Controller/Home.php"><?php echo $_translator->_getTranslation('Inicio')?></a></li>
            <li class="active"><i class="fa fa-balance-scale"></i> <?php echo $_translator->_getTranslation('Contabilidad')?></li>
            <li class="active"><i class="fa fa-signal"></i> <?php echo $_translator->_getTranslation('Reportes')?></li>
            <?php echo $currentAction?>
        </ol>
    </div>
</div>
<div id="flashmessenger"><?php $flashmessenger->showMessage();?></div>
<div class="box">
    <div class="box-header"> 
        <h3><i class='fa-fw fa fa-signal'></i><?php echo $_translator->_getTranslation('Reportes');?></h3>
    </div>
    <div class='box-content'>
        <div class="list-reports">
                <div class="row">                     
                    <div class="col col-lg-3 box-link-report">
                        <a href="?action=create&report=accounts_payable&output=screen">
                            <div><i class="fa fa-signal"></i><br /><?php echo $_translator->_getTranslation('Cuentas por pagar');?></div>
                        </a>
                    </div>
                    <div class="col col-lg-3 box-link-report">
                        <a href="?action=create&report=accounts_payable_details&output=excel">
                            <div><i class="fa fa-signal"></i><br /><?php echo $_translator->_getTranslation('Cuentas por pagar detalles');?></div>
                        </a>
                    </div>
                    <div class="col col-lg-3 box-link-report">
                        <a href="?action=create&report=accounts_payable_details&vendor_type=bienesyservicios&output=excel">
                            <div><i class="fa fa-signal"></i><br /><?php echo $_translator->_getTranslation('Cuentas por pagar detalles (Servicios)');?></div>
                        </a>
                    </div>
                    <!--
                    <div class="col col-lg-3 box-link-report">
                        <span class="_report" data-reportname="vendor_statement" data-toggle='modal' data-target='#modalFiltroReportesContables' data-targetform='_<?php echo date('%s'); ?>'>
                            <div><i class="fa fa-signal"></i><br /><?php echo $_translator->_getTranslation('Estado de cuenta proveedores');?></div>
                        </span>
                    </div>-->
                    <!--
                    <div class="col col-lg-3 box-link-report">
                        <span class="_report" data-reportname="inventory_cost" data-toggle='modal' data-target='#modalFiltroReportesContables' data-targetform='_<?php echo date('%s'); ?>'>
                            <div><i class="fa fa-signal"></i><br /><?php echo $_translator->_getTranslation('Costo de inventario');?></div>
                        </span>
                    </div>-->
                </div>
        </div>
    </div>
</div>
 <?php include ROOT."/View/Modal/filtroReportesContables.php";?>
 <?php include ROOT."/View/Modal/enviarMailReporte.php";?>
<div class="box">
    <?php if(isset($_reporte)){
        include $_reporte->getTemplateReporteOnScreen();
    }
?>
</div>
<script type="text/javascript">
    $("#startDate,#endDate").datetimepicker({format: 'DD/MM/YYYY'});

    $('.linkSendMail').click( function(e) {
        e.preventDefault(); 
        $('#modalSendReportToMail').modal('show');
        $("#optionsFromGet").val(this.href);
        return false; 
    });
    
    $('._report').on('click',function(){
        var callback = function(){};
        if($(this).data('reportname') == 'inventory_cost'){
            callback = function(){
                $('#startDate').data('DateTimePicker').destroy();   
                $('#startDate').datetimepicker({format: 'DD/MM/YYYY',maxDate: "<?php echo date('Y-m-d') ?>"});   
            }
        }
        setFilterAccountingReport(this,callback);
    });
</script>