<!-- Page Heading -->
<div class="row">
    <div class="col-lg-12">
        <h1 class="page-header">
            Inicio <small>Resumen de informacion</small>
        </h1>
        <ol class="breadcrumb">
            <li class="active">
                <i class="fa fa-dashboard"></i> Inicio
            </li>
        </ol>
    </div>
</div>

<?php 
switch($login->getRole()){
    case '1':
        if($login->getId() == '1' || $login->getId() == '32' || $login->getId() == '33' || $login->getId() == '35'){
            include ROOT."/View/Dashboard/role_admin.php";
        }        
    break;
}?>
<div class="box">
    <div class="box-header">       
        <h3><i class='fa fa-truck'></i><?php echo $_translator->_getTranslation('Ordenes especiales pendientes de entregar');?></h3>
    </div>
    <div class='table-responsiveOld'>
        <table id="tblRequisition" class="table table-striped table-hover table-condensed" style="font-size: 11px">
            <thead>
            <th class="col-lg-1 text-center"><?php echo $_translator->_getTranslation('No.');?></th>
            <th class="col-lg-1 text-center"><?php echo $_translator->_getTranslation('Sucursal');?></th>
            <th class="col-lg-1 text-center"><?php echo $_translator->_getTranslation('Fecha entrega');?></th>                     
            <th class="col-lg-1 text-center"><?php echo $_translator->_getTranslation('Entregar en');?></th>
            <th class="col-lg-1 text-center"><?php echo $_translator->_getTranslation('Cliente');?></th>
            <th class="col-lg-1 text-center"><?php echo $_translator->_getTranslation('Telefono');?></th>
            <th class="col-lg-1 text-center"><?php echo $_translator->_getTranslation('Total');?></th>
            <th class="col-lg-1 text-center"><?php echo $_translator->_getTranslation('Balance');?></th>
            <th class="col-lg-1 text-center"><?php echo $_translator->_getTranslation('Producido');?></th>
            <th class="col-lg-2 text-center">Accion</th>
            </thead>
            <tbody>
            <?php 
                if($_listRequisitions){
                    foreach($_listRequisitions as $salesOnlineSN){?>
                        <tr>
                            <td class="text-center"><?php echo $salesOnlineSN['req_number']?></td> 
                            <td class="text-center"><?php echo $salesOnlineSN['storeName']?></td> 
                            <td class="text-center"><?php echo $salesOnlineSN['delivery_date']?></td>  
                            <td class="text-center"><?php echo $salesOnlineSN['pickup_on_name']?></td>
                            <td class="text-center"><?php echo $salesOnlineSN['customerName']?></td>
                            <td class="text-center"><?php echo $salesOnlineSN['phone']?></td>
                            <td class="text-center"><?php echo number_format($salesOnlineSN['ammount'],2)?></td>
                            <td class="text-center"><?php echo number_format($salesOnlineSN['ammount'] - $salesOnlineSN['ammount_payments'],2)?></td>
                            <td class="text-center"><?php
                                if($salesOnlineSN['status_production'] == 1){ ?>
                                    <span style="color: green;" class="fa fa-check"></span>
                                <?php }else{ ?>
                                    <span class="fa fa-circle-thin"></span>
                                <?php } ?>
                            </td>
                            <td class="text-center">
                                <a class="btn btn-sm btn-default" href="#" onclick="javascript: void window.open('Special-requisition.php?action=import&flag=pdf&id=<?php echo $salesOnlineSN['id']?>','','width=700,height=500,status=1,scrollbars=1,resizable=1')"><i class="fa fa-file-pdf-o fa-"></i></a>     
                            </td>
                        </tr><?php
                    }                   
                }?>
            </tbody>
        </table>
    </div>
</div>
<div class="box">
    <div class="box-header">       
        <h3><i class='fa fa-check'></i><?php echo $_translator->_getTranslation('Ventas en linea para entregar el dia de hoy');?></h3>
    </div>
    <div class='table-responsiveOld'>
        <table id="tblSalesOnlineSN" class="table table-striped table-hover table-condensed " style="font-size: 11px">
            <thead>
            <th class="col-lg-1 text-center"><?php echo $_translator->_getTranslation('No. venta');?></th>
            <th class="col-lg-1 text-center"><?php echo $_translator->_getTranslation('Pedido');?></th>
            <th class="col-lg-1 text-center"><?php echo $_translator->_getTranslation('Sucursal');?></th>
            <th class="col-lg-1 text-center"><?php echo $_translator->_getTranslation('Cliente');?></th>
            <th class="col-lg-1 text-center"><?php echo $_translator->_getTranslation('Telefono');?></th>                         
            <th class="col-lg-1 text-center"><?php echo $_translator->_getTranslation('Entregar en');?></th>     
            <th class="col-lg-1 text-center"><?php echo $_translator->_getTranslation('Fecha entrega');?></th>   
            <th class="col-lg-1 text-center"><?php echo $_translator->_getTranslation('Hora entrega');?></th>
            <th class="col-lg-1 text-center"><?php echo $_translator->_getTranslation('F. Pago');?></th>
            <th class="col-lg-1 text-center"><?php echo $_translator->_getTranslation('Total');?></th>
            <th class="col-lg-1 text-center"><?php echo $_translator->_getTranslation('Estado');?></th>
            <th class="col-lg-1 text-center"><?php echo $_translator->_getTranslation('Acciones');?></th>
            </thead>
            <tfoot>
            <th class="filter"><?php echo $_translator->_getTranslation('No. venta');?></th>
            <th class="filter"><?php echo $_translator->_getTranslation('Pedido');?></th>
            <th class="filter"><?php echo $_translator->_getTranslation('Sucursal');?></th>
            <th class="filter"><?php echo $_translator->_getTranslation('Cliente');?></th>
            <th class="filter"><?php echo $_translator->_getTranslation('Telefono');?></th>                         
            <th class="filter"><?php echo $_translator->_getTranslation('Entregar en');?></th>       
            <th class="filter"><?php echo $_translator->_getTranslation('Fecha entrega');?></th> 
            <th class="filter"><?php echo $_translator->_getTranslation('Hora entrega');?></th>
            <th class="filter"><?php echo $_translator->_getTranslation('F.Pago');?></th>
            <th class="filter"><?php echo $_translator->_getTranslation('Total');?></th>
            <th class="filter"><?php echo $_translator->_getTranslation('Estado');?></th>
            <th></th>
            </tfoot>
            <tbody>
            <?php 
                if($_listSalesOnLineSN){
                    foreach($_listSalesOnLineSN as $salesOnlineSN){?>
                        <tr>
                            <td class="text-center"><?php echo $salesOnlineSN['num_venta']?></td> 
                            <td class="text-center"><?php echo $salesOnlineSN['prefix_for_sale'].$salesOnlineSN['id']?></td>
                            <td class="text-center"><?php echo $salesOnlineSN['store_name']?></td> 
                            <td class="text-center"><?php echo $salesOnlineSN['customer_name']?></td>  
                            <td class="text-center"><?php echo $salesOnlineSN['telefono']?></td>
                            <td class="text-center"><?php echo $salesOnlineSN['pickup_store_name']?></td>
                            <td class="text-center"><?php echo $salesOnlineSN['formated_pickup_datetime']?></td>
                            <td class="text-center"><?php echo $salesOnlineSN['pickup_hour']?></td>
                             <td class="text-center">
                            <?php 
                            $classPaymentMethod = '';       
                            if($salesOnlineSN['payment_method_id'] == '8'){$classPaymentMethod = 'label-cashapp';}
                            if($salesOnlineSN['payment_method_id'] == '9'){$classPaymentMethod = 'label-venmo';}?>
                            
                            <span class="<?php echo $classPaymentMethod ?>"><?php echo $salesOnlineSN['payment_method_name']; ?></span>
                            </td>  
                            <td class="text-center"><?php echo number_format($salesOnlineSN['total_venta'],2)?></td>
                            <?php
                            $classStatus = 'label-info';
                            if($salesOnlineSN['over_due'] == 1){$classStatus = 'label-danger';}
                            
                            if($salesOnlineSN['status_pickup_online'] == '2'){
                                $classStatus = 'label-success';?>
                                <td class="text-center status_<?php echo $salesOnlineSN['id'] ?>" ><span style="padding: 5px 10px;color: #fff" class="_tooltip_delivery <?php echo $classStatus; ?>" data-html="true" title="<?php echo "Entregada en: ".$salesOnlineSN['delivery_sale_online_store_name']."<br/>Enregada el: ".$salesOnlineSN['delivery_date_formated']."<br/>Enregada por: ".$salesOnlineSN['delivery_sale_online_by_name']; ?>"><?php echo $salesOnlineSN['status_pickup_name']?></span></td><?php
                            }else{?>
                                <td class="text-center  status_<?php echo $salesOnlineSN['id'] ?>"><span style="padding: 5px 10px;color: #fff" class="<?php echo $classStatus; ?>"><?php echo $salesOnlineSN['status_pickup_name']?></span></td><?php                                
                            } ?>
                            
                            <td class="text-center" style="white-space: nowrap">
                                <?php 
                                if($salesOnlineSN['status_pickup_online'] == '1'){?>
                                    <span class="btn btn-sm btn-primary _setAsDelivery" data-salesid="<?php echo $salesOnlineSN['id'] ?>" data-salesnumber="<?php echo $salesOnlineSN['num_venta'] ?>"><i class="fa fa-check"></i></span><?php
                                }else{?>
                                    <span class="btn btn-sm btn-primary disabled"><i class="fa fa-check"></i></span><?php                                    
                                }?>
                                
                                <a class="btn btn-sm btn-default" href="#" onclick="javascript: void window.open('https://pcgus.pos.lunis.app/View/Tickets/viewTicketVenta.php?id=<?php echo $salesOnlineSN['id']?>','','width=700,height=500,status=1,scrollbars=1,resizable=1')"><i class="fa fa-file-pdf-o fa-"></i></a>     
                            </td>
                        </tr><?php
                    }                   
                }?>
            </tbody>
        </table>
    </div>
</div>
<style>
    tfoot {
        display: table-header-group;
    }
    
    ._tooltip_delivery{
        cursor: pointer;
    }
</style>

<script src="<?php echo ROOT_HOST?>/public/chart.js/Chart.js"></script>
<script src="<?php echo ROOT_HOST?>/public/js/app-dashboard.js"></script>

<script type="text/javascript" language="javascript">
    $ = jQuery.noConflict();
    $.fn.dataTable.moment( 'DD/M/YYYY hh:mm a' );
    $('#tblRequisition').DataTable( {paginate:true,filter:true,aaSorting:[]});
    $('#tblRequisition')
            .removeClass( 'display' )
            .addClass('table table-striped table-bordered');
    
    $('._tooltip_delivery').tooltip({template: '<div class="tooltip" role="tooltip"><div class="tooltip-arrow"></div><div class="tooltip-inner _tootip_type"></div></div>'});
    
    var table = $('#tblSalesOnlineSN').DataTable( {paginate:false,filter:true,aaSorting:[]});
    $('#tblSalesOnlineSN').removeClass( 'display' ).addClass('table table-striped table-bordered');    
    $('#tblSalesOnlineSN_filter').hide();
    $('#tblSalesOnlineSN tfoot th.filter').each(function() {
        $(this).html('<input type="text" class="text-center" placeholder="<?php echo $_translator->_getTranslation('Buscar') ?>"style="width:100%" />');
    });
    // Apply the search
    table.columns().every(function() {
        var that = this;
        $('input', this.footer()).on('keyup change', function() {
            if (that.search() !== this.value) {
                that
                    .search(this.value.replace("/;/g", "|"), true, false)
                    .draw();
            }
        });
    });
    
    $('._setAsDelivery').on('click',function(){
        var salesid = $(this).data('salesid');       
        var salesnumber = $(this).data('salesnumber');    
        
         $.confirm({
            icon: 'fa fa-exclamation',
            title:'Mensaje', 
            content:'Marcar Venta en linea #'+salesnumber+' como entregada',
            type: 'blue',
            buttons:{                
                cancel: {
                    text:'No',
                    action: function(){
                       $(this).remove();
                    }
                },
                confirm: {
                    text: 'Si ',
                    btnClass: 'btn-primary',
                    action: function(){              
                        setSalesOnlineAsDelivery(salesid,true);
                    }
                }
            }
        });
       
    });
</script>