<div class="row">
    <div class="col-lg-12">
        <ol class="breadcrumb">
            <li><i class="fa fa-dashboard"></i>  <a href="<?php echo ROOT_HOST?>/Controller/Home.php"><?php echo $_translator->_getTranslation('Home')?></a></li>
            <li class="active"><i class="fa fa-envelope"></i> <?php echo $_translator->_getTranslation('Mailbox')?></li>
        </ol>
    </div>
</div>
<div class="row">
    <div class="col-lg-12">
        <div id="flashmessenger"><?php $flashmessenger->showMessage();?></div>
        <div class="box">
            <div class="box-header"> 
                <h3><i class='fa-fw fa fa-envelope'></i><?php echo $_translator->_getTranslation('Mailbox');?></h3>
                <div class='box-icon'><i class='icon fa fa-tasks'></i></div>
            </div>
            <div class='box-content'>
                <div class="row">
                    <div class="col-md-12 col-xs-12 text-right">                    
                        <div class="clear"></div>
                    </div> 
                </div>
                <div class="row">
                    <div class="col-lg-12">
                        <h3><?php echo $_translator->_getTranslation('Inbox')?></h3>
                        <hr/>
                        <div class='table-responsive'>
                        <table id="tblMailbox" class="table table-striped table-hover table-condensed font-size-10">
                            <thead>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Enviado por');?></th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Asunto');?></th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Mensaje');?></th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Fecha');?></th>
                            <th class="text-center col-md-1"><?php echo $_translator->_getTranslation('Accion');?></th>
                            </thead>
                            <tbody>
                            <?php 
                                if($_listaMailbox){
                                    foreach($_listaMailbox as $notification){
                                        $style = '';
                                        if($notification['unread'] == '1'){
                                            $style = "background-color:#fce5e5;font-weight:bold";
                                        }?>
                                        <tr style="<?php echo $style; ?>">
                                            <td class="text-center"><?php echo $notification['created_by_name']?></td>
                                            <td class="text-center"><?php echo $notification['subject']?></td>
                                            <td class="text-center"><?php echo $notification['message']?></td>
                                            <td class="text-center"><?php echo $notification['sent_date']?></td>
                                            <td>
                                                <a href="Mailbox.php?action=read&id=<?php echo $notification['message_id'] ?>"><i class="fa fa-eye btn btn-sm btn-default"></i></a>                                                
                                            </td>
                                        </tr><?php
                                    }                   
                                }?>
                            </tbody>
                        </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<style>
     input[type=checkbox]{
        -ms-transform: scale(1.5); /* IE */
        -moz-transform: scale(1); /* FF */
        -webkit-transform: scale(1.5); /* Safari and Chrome */
        -o-transform: scale(1.5); /* Opera */
        transform: scale(1.5);
        padding: 10px;
     }   
</style>
<script type="text/javascript">    
    $('#tblMailbox').DataTable({
        paginate:true,
        filter:true,
        pageLength: 100,
        aaSorting:[]
        });

    $('#tblMailbox').removeClass( 'display' ).addClass('table table-striped table-bordered');  
</script>