<div class="row">
    <div class="col-lg-12">
        <ol class="breadcrumb">
            <?php      
            $currentAction = '';
            $agregarNuevo = '';
            if($action =='edit'){ 
                $registerAction = 'Editar Mensaje #'.$_notificationData['notification_num'];
                $currentAction = "<li class='active'><i class='fa fa-pencil'></i> ".$_translator->_getTranslation('Editar')."</li>";
                $agregarNuevo = "<a href='Notification.php' class='btn btn-default'><i class='fa fa-plus'></i> ".$_translator->_getTranslation('Agregar mensaje')."</a>";
                $agregarNuevo .= " <span class='btn btn-info _resendNotification'><i class='fa fa-send'></i> Enviar este mensaje ahora</span>";
                $agregarNuevo .= '<hr>';                
            }elseif($action =='' || $action =='insert'){
                $registerAction = 'Agregar mensaje ';
                $currentAction = "<li class='active'><i class='fa fa-plus'></i> ".$_translator->_getTranslation('Agregar')."</li>";
            } ?>
            <li><i class="fa fa-dashboard"></i>  <a href="<?php echo ROOT_HOST?>/Controller/Home.php"><?php echo $_translator->_getTranslation('Home')?></a></li>
            <li class="active"><i class="fa fa-comments-o"></i> <?php echo $_translator->_getTranslation('Mensajes')?></li>
            <?php echo $currentAction?>
        </ol>
    </div>
</div>
<div class="row">
    <div class="col-lg-12">
        <div id="flashmessenger"><?php $flashmessenger->showMessage();?></div>
        <div class="box">
            <div class="box-header"> 
                <h3><i class='fa-fw fa fa-comments'></i><?php echo $_translator->_getTranslation($registerAction);?></h3>
                <div class='box-icon'><i class='icon fa fa-tasks'></i></div>
            </div>
            <div class='box-content'>
                <div class="row">
                    <div class="col-md-12 col-xs-12 text-right">
                        <?php echo $agregarNuevo;?>                        
                        <div class="clear"></div>
                    </div>
                    <div style='display:none'>
                        <?php 
                        echo $_form->openForm();
                        echo $_form->showActionController();
                        echo $_form->showId();
                        echo $_form->showElement('notification_num');
                        echo $_form->showElement('created_by_name');
                        echo $_form->showElement('created_date');
                        ?>
                    </div>
                   
                     <div class="card">
                        <ul class="nav nav-tabs" role="tablist">
                            <li role="presentation" class="active"><a href="#general" aria-controls="home" role="tab" data-toggle="tab"><?php echo $_translator->_getTranslation('Informacion general') ?></a></li>
                            <?php 
                            if($action == 'edit'){?>
                                <li role="presentation"><a href="#_read" aria-controls="profile" role="tab" data-toggle="tab"><?php echo $_translator->_getTranslation('Visto por') ?></a></li>                
                                <li role="presentation"><a href="#_response" aria-controls="profile" role="tab" data-toggle="tab"><?php echo $_translator->_getTranslation('Respuestas') ?></a></li><?php
                            }?>                    
                        </ul>
                        <!-- Tab panes -->
                        <div class="tab-content m-t-3">
                            <div role="tabpanel" class="tab-pane active" id="general">
                                <div class="col-md-6">
                                    <?php echo $_form->showElement('send_to');?>  
                                    <?php echo $_form->showElement('subject');?>
                                    <?php echo $_form->showElement('message');?>                                     
                                </div>      
                                <div class="col-md-6">
                                    <?php echo $_form->showElement('send_now');?> 
                                    <?php echo $_form->showElement('when_send');?> 
                                    <?php echo $_form->showElement('repeat');?>
                                    <?php echo $_form->showElement('repeat_from');?>
                                    <?php echo $_form->showElement('repeat_to');?>
                                    <?php echo $_form->showElement('repeat_hour');?>
                                    <?php echo $_form->showElement('status');?>        
                                </div>
                            </div>
                            <div role="tabpanel" class="tab-pane" id="_read">
                                <div class='col-md-6'>
                                <table class='table table-condensed'>
                                <thead>
                                <th class='text-center'>Usuario</th>
                                <th class='text-center'>Enviado</th>
                                <th class='text-center'>Visto</th>
                                </thead>  
                                 <tbody>
                                <?php
                                if($_usersReadList){?>
                                   <?php
                                    foreach($_usersReadList as $userRead){?>
                                        <tr>
                                            <td class='text-center'><?php echo $userRead['user_name'] ?></td>
                                            <td class='text-center'><?php echo $userRead['formated_sent_date'] ?></td>
                                            <td class='text-center'><?php echo $userRead['formated_reading_date'] ?></td>
                                        </tr><?php                                       
                                    }                                     
                                }
                                ?>
                                </tbody>
                                </table>
                                </div>
                            </div>
                             <div role="tabpanel" class="tab-pane" id="_response">
                                 <div class='col-md-6'>
                                 <table class='table table-condensed'>
                                <thead>
                                <th class='text-center'>Fecha de mensaje</th>
                                <th class='text-center'>Usuario</th>
                                <th class='text-center'>Respuestas</th>
                                <th class='text-center'>Ultima respuesta</th>
                                </thead>  
                                 <tbody>
                                <?php
                                if($_usersResponsesList){?>
                                   <?php
                                    foreach($_usersResponsesList as $userResponse){?>
                                        <tr>
                                            <td class='text-center'><?php echo $userResponse['formated_sent_date'] ?></td>
                                            <td class='text-center'><?php echo $userResponse['user_name'] ?></td>
                                            <td class='text-center'>
                                                <a href="Mailbox.php?action=read&id=<?php echo $userResponse['notification_sent_id'] ?>" target="_answer"><span class="label label-info" style="display: inline-block;width: 50%;color:#fff"><?php echo $userResponse['messages_qty'] ?></span></a>
                                            </td>
                                            <td class='text-center'><?php echo $userResponse['formated_last_response_date'] ?></td>
                                        </tr><?php                                       
                                    }                                     
                                }
                                ?>
                                </tbody>
                                </table>
                                 </div>
                            </div>
                        </div>
                     </div>

                    <div class="col-md-12  text-right">
                        <?php $element = $_form->getElement('send'); echo $_form->createOnlyElement($element);?>
                        <?php $element = $_form->getElement('cancelar'); echo $_form->createOnlyElement($element);?>                               
                    </div>

                    <?php echo $_form->closeForm();?>
                </div>
                <div class="row">
                    <div class="col-lg-12">
                        <h3><?php echo $_translator->_getTranslation('Lista de mensajes')?></h3>
                        <hr/>
                        <div class='table-responsive'>
                        <table id="tblNotifications" class="table table-striped table-hover table-condensed">
                            <thead>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Mensaje #');?></th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Creado el');?></th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Creado por');?></th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Asunto');?></th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Ultima vez enviado');?></th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Status');?></th>
                            <th class="text-center col-md-1"><?php echo $_translator->_getTranslation('Accion');?></th>
                            </thead>
                            <tbody>
                            <?php 
                                if($_listaNotifications){
                                    foreach($_listaNotifications as $notification){?>
                                        <tr>
                                            <td class="text-center"><?php echo $notification['notification_num']?></td>
                                            <td class="text-center"><?php echo $notification['created_date']?></td>
                                            <td class="text-center"><?php echo $notification['created_by_name']?></td>
                                            <td class="text-center"><?php echo $notification['subject']?></td>
                                            <td class="text-center"><?php echo $notification['last_sent_date']?></td>
                                            <td class="text-center"><?php echo $notification['status_name']?></td>
                                            <td>
                                                <a href="Notification.php?action=edit&id=<?php echo $notification['id']?>"><i class="fa fa-pencil btn btn-sm btn-default"></i></a>
                                                <a onclick="return deleteRegistry('Notification.php?action=delete&id=<?php echo $notification['id']?>')"  href="#"><i class="fa fa-trash btn btn-sm btn-danger"></i></a>
                                            </td>
                                        </tr><?php
                                    }                   
                                }?>
                            </tbody>
                        </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php include ROOT."/View/Modal/agregarClientePos.php"; ?>
<style>
     input[type=checkbox]{
        -ms-transform: scale(1.5); /* IE */
        -moz-transform: scale(1); /* FF */
        -webkit-transform: scale(1.5); /* Safari and Chrome */
        -o-transform: scale(1.5); /* Opera */
        transform: scale(1.5);
        padding: 10px;
     }   
</style>
<script type="text/javascript">
    $('#send_to,#status').select2();
    $("#when_send").datetimepicker({format: "MM/DD/YYYY hh:mm A"});        
    $("#repeat_from,#repeat_to").datetimepicker({format: "MM/DD/YYYY"});        
    $("#repeat_hour").datetimepicker({format: 'hh:mm A'});          
    
    $('#repeat').on('click',function(){ 
        if($(this).prop('checked') == false){
            $(this).val('0');
            $('._repeat').val('').attr('readonly',true);            
        }else{
            $(this).val('1');
            $('._repeat').val('').attr('readonly',false);
        }
    });
    
    if($('#repeat').prop('checked') == true){
        $('._repeat').attr('readonly',false);
    }else{
        $('._repeat').val('').attr('readonly',true);
    }
    
    $('#send_now').on('click',function(){ 
        if($('#send_now').prop('checked') == true){ 
            $(this).val('1');
            $('#when_send').val('').attr('readonly',true);
        }else{
            $(this).val('0');
            $('#when_send').val('').attr('readonly',null);
        }
    });
    
    if($('#send_now').prop('checked') == true){
        $('#when_send').val('').attr('readonly',true);        
    }else{
        $('#when_send').attr('readonly',false);
    }    
    
    $('._resendNotification').on('click',function(){
        $.post('/Controller/Notification.php', {
             action: 'ajax',
             request: 'resendNotification',
             notification_id: $('form[name=notification] #id').val()
         }, function(data) {
             if (data.response){            
                 $('#flashmessenger').html(data.message);                
             }
         }, 'json');
    });
    
    $('#tblNotifications').DataTable({
        paginate:true,
        filter:true,
        pageLength: 100,
        aaSorting:[]
        });

    $('#tblNotifications').removeClass( 'display' ).addClass('table table-striped table-bordered');  
</script>