<div class="container-title"></div>
<div class="row">
    <div class="col-lg-12"><ol class="breadcrumb">
            <?php      
            $currentAction = '';
            $agregarNuevo = '';
            if($action =='edit'){
                $currentAction = "<li class='active'><i class='fa fa-pencil'></i> ".$_translator->_getTranslation('Editar')."</li>";                
            }elseif($action =='' || $action =='insert'){
                $currentAction = "<li class='active'><i class='fa fa-plus'></i> ".$_translator->_getTranslation('Agregar')."</li>";
            } ?>
            <li><i class="fa fa-dashboard"></i>  <a href="<?php echo ROOT_HOST?>/Controller/Home.php"><?php echo $_translator->_getTranslation('Inicio')?></a></li>
            <li class="active"><i class="fa fa-check-circle"></i> <?php echo $_translator->_getTranslation('Lista de pagos')?></li>
            <?php echo $currentAction?>
        </ol>
    </div>
</div>
<div id="flashmessenger"><?php $flashmessenger->showMessage();?></div>
<div class="box">
    <div class="box-header">       
        <h3><i class='fa-fw fa fa-check-circle'></i><?php echo $_translator->_getTranslation('Lista de pagos');?></h3>
        <div class='box-icon'><i class='icon fa fa-tasks'></i></div>
    </div>
    <div class='box-content'>
        <div class='row'>
            <div class="col-lg-12">
                <div class='pull-right'>
                    <a href='Payment.php' class='btn btn-md btn-default'><i class='fa fa-plus'></i> <?php echo $_translator->_getTranslation('Agregar pago')?></a>                    
                     <button class="btn btn-md btn-default" data-toggle='modal' data-target='#modalBusquedaAvanzadaPago'><i class="fa fa-search-plus"></i> <?php echo $_translator->_getTranslation('Busqueda avanzada')?></button>
                </div>
                <div class="clear"></div>
                <hr/>
                <div class='table-responsive'>
                <table id="tblPagos" class="table table-striped table-hover table-condensed">
                    <thead>                        
                    <th class="col-lg-1 col-md-1 text-center"><?php echo $_translator->_getTranslation('Num. Factura');?></th>                                     
                    <th class="col-lg-1 col-md-1 text-center"><?php echo $_translator->_getTranslation('Fecha');?></th>
                    <th class="col-lg-4 col-md-4 text-center"><?php echo $_translator->_getTranslation('Proveedor');?></th>    
                    <th class="col-lg-1 col-md-1 text-center"><?php echo $_translator->_getTranslation('Referencia');?></th>
                    <th class="col-lg-2 col-md-2 text-center"><?php echo $_translator->_getTranslation('Total');?></th>
                    <th class="col-lg-2 col-md-2 text-center"><?php echo $_translator->_getTranslation('Status');?></th>
                    <th class="col-lg-1 col-md-1 text-center">Accion</th>
                    </thead>
                    <tfoot>                        
                    <th class="filter"><?php echo $_translator->_getTranslation('Num. Factura');?></th>
                    <th class="filter"><?php echo $_translator->_getTranslation('Fecha');?></th>
                    <th class="filter"><?php echo $_translator->_getTranslation('Proveedor');?></th>
                    <th class="filter"><?php echo $_translator->_getTranslation('Referencia');?></th>
                    <th class="filter"><?php echo $_translator->_getTranslation('Total');?></th>
                    <th class="filter"><?php echo $_translator->_getTranslation('Status');?></th>
                    <th></th>
                    </tfoot>
                    <tbody>
                    <?php 
                        if($_listPagos){
                            foreach($_listPagos as $pago){?>
                                <tr>
                                    <td class="text-center"><?php echo $pago['reference']?></td>  
                                    <td class="text-center"><?php echo $pago['fecha']?></td>
                                    <td class="text-center"><?php echo $pago['proveedorName']?></td>
                                    <td class="text-center"><?php echo $pago['num_operacion']?></td>
                                    <td class="text-right"><?php echo number_format($pago['total'],2)?></td>                          
                                    <td class="text-center"><?php echo $pago['statusName']?></td>
                                    <td class="text-right">
                                        <a class="btn btn-md btn-primary" href="Payment.php?action=edit&id=<?php echo $pago['id']?>"><i class="fa fa-pencil"></i></a>
                                        <!--<a class="btn btn-xs btn-info" href="#" onclick="javascript: void window.open('Payment.php?action=import&flag=pdf&id=<?php echo $pago['id']?>','','width=700,height=500,status=1,scrollbars=1,resizable=1')"><i class="fa fa-file-pdf-o fa-"></i></a>-->
                                        <a class="btn btn-md btn-danger" onclick="return deleteRegistry('Payment.php?action=delete&id=<?php echo $pago['id']?>')" href="#"><i class="fa fa-trash"></i></a>
                                    </td>
                                </tr><?php
                            }                   
                        }?>
                    </tbody>
                </table>
                </div>
            </div>                
        </div>
    </div>
</div>
<?php  include ROOT."/View/Modal/BusquedaAvanzadaPago.php"; ?>
<style>
    tfoot {
    display: table-header-group;
}
</style>

<script type="text/javascript" language="javascript">   
    // DataTable
    $('#tblPagos').DataTable( { 
        searching: true,
        paginate:false,
        filter:true,
        bFilter:true,
        aaSorting:[],
        dom: 'Bfrtip',
        buttons: [
            'excel',
        ]});
    $('#tblPagos')
            .removeClass( 'display' )
            .addClass('table table-striped table-bordered');        

    $('#tblPagos tfoot th.filter').each( function () {
        var title = $(this).text();
        $(this).html( '<input type="text" placeholder="Buscar '+title+'" style="width:100%" />' );
    } );  

    var table = $('#tblPagos').DataTable();
    // Apply the search
    table.columns().every( function () {
        var that = this; 
        $( 'input', this.footer() ).on( 'keyup change', function () {
            if ( that.search() !== this.value ) {
                that
                    .search (this.value.replace("/;/g", "|"), true, false)
                    .draw();
            }
        } );
    } );
</script>