<div class="row">
    <div class="col-lg-12">
        <ol class="breadcrumb">
            <?php      
            $currentAction = '';
            $agregarNuevo = '';
            if($action =='edit'){ 
                $registerAction = 'Editar promocion #'.$_promotionData['promotion_num'];
                $currentAction = "<li class='active'><i class='fa fa-pencil'></i> ".$_translator->_getTranslation('Editar')."</li>";
                $agregarNuevo = "<a href='Promotion.php' class='btn btn-default'><i class='fa fa-plus'></i> ".$_translator->_getTranslation('Agregar promocion')."</a>";                
                $agregarNuevo .= '<hr>';                
            }elseif($action =='' || $action =='insert'){
                $registerAction = 'Agregar promocion ';
                $currentAction = "<li class='active'><i class='fa fa-plus'></i> ".$_translator->_getTranslation('Agregar')."</li>";
            } ?>
            <li><i class="fa fa-dashboard"></i>  <a href="<?php echo ROOT_HOST?>/Controller/Home.php"><?php echo $_translator->_getTranslation('Home')?></a></li>
            <li class="active"><i class="fa fa-calendar"></i> <?php echo $_translator->_getTranslation('Promociones')?></li>
            <?php echo $currentAction?>
        </ol>
    </div>
</div>
<div class="row">
    <div class="col-lg-12">
        <div id="flashmessenger"><?php $flashmessenger->showMessage();?></div>
        <div class="box">
            <div class="box-header"> 
                <h3><i class='fa-fw fa fa-calendar'></i><?php echo $_translator->_getTranslation($registerAction);?></h3>
                <div class='box-icon'><i class='icon fa fa-tasks'></i></div>
            </div>
            <div class='box-content'>
                <div class="row">
                    <div class="col-md-12 col-xs-12 text-right">
                        <?php echo $agregarNuevo;?>                        
                        <div class="clear"></div>
                    </div> 
                    <?php 
                    echo $_form->openForm();
                    echo $_form->showActionController();
                    echo $_form->showId();
                    echo $_form->showElement('promotion_num');
                    ?>
                    <div class="col-md-6">
                        <?php echo $_form->showElement('tipo');?>
                        <?php echo $_form->showElement('name');?>                        
                        <?php echo $_form->showElement('percentage');?>
                        <?php echo $_form->showElement('code');?>
                        <?php echo $_form->showElement('start_date');?>
                        <?php echo $_form->showElement('end_date');?>
                        <?php echo $_form->showElement('status');?>
                        <div class="form-group">
                            <div class="col-md-3"></div>
                            <div class="col-md-8 p-r-0 text-right">
                                <?php $element = $_form->getElement('send'); echo $_form->createOnlyElement($element);?>
                                <?php $element = $_form->getElement('cancelar'); echo $_form->createOnlyElement($element);?>                               
                            </div>
                        </div>
                    </div>      
                    <?php echo $_form->closeForm();?>
                </div>
                <div class="row">
                    <div class="col-lg-12">
                        <h3><?php echo $_translator->_getTranslation('Lista de promociones')?></h3>
                        <hr/>
                        <div class='table-responsive'>
                        <table id="tblPromotions" class="table table-striped table-hover table-condensed">
                            <thead>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Promocion #');?></th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Nombre');?></th>                            
                            <th class="text-center"><?php echo $_translator->_getTranslation('Codigo');?></th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Inicia');?></th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Termina');?></th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Status');?></th>
                            <th class="text-center col-md-1"><?php echo $_translator->_getTranslation('Accion');?></th>
                            </thead>
                            <tbody>
                            <?php 
                                if($_listaPromotions){
                                    foreach($_listaPromotions as $promotion){?>
                                        <tr>
                                            <td class="text-center"><?php echo $promotion['promotion_num']?></td>
                                            <td class="text-center"><?php echo $promotion['name']?></td>
                                            <td class="text-center"><?php echo $promotion['code']?></td>
                                            <td class="text-center"><?php echo $promotion['formated_start_date']?></td>
                                            <td class="text-center"><?php echo $promotion['formated_end_date']?></td>
                                            <td class="text-center"><?php echo $promotion['status_name']?></td>
                                            <td class="text-center">
                                                <a href="Promotion.php?action=edit&id=<?php echo $promotion['id']?>"><i class="fa fa-pencil btn btn-sm btn-default"></i></a>
                                                <?php /*<a onclick="return deleteRegistry('Promotion.php?action=delete&id=<?php echo $promotion['id']?>')"  href="#"><i class="fa fa-trash btn btn-sm btn-danger"></i></a> */?>
                                            </td>
                                        </tr><?php
                                    }                   
                                }?>
                            </tbody>
                        </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
        
    $("#start_date,#end_date").datetimepicker({format: "MM/DD/YYYY hh:mm A"});    
    $('#tipo,#status').select2();
    
    $('#tblPromotions').DataTable({
        paginate:true,
        filter:true,
        pageLength: 100,
        aaSorting:[]
        });

    $('#tblPromotions').removeClass( 'display' ).addClass('table table-striped table-bordered');  
</script>