<div class="container-title"></div>
<div class="row">
    <div class="col-lg-12"><ol class="breadcrumb">
            <?php      
            $currentAction = '';
            $agregarNuevo = '';
            if($action =='edit'){
                $currentAction = "<li class='active'><i class='fa fa-pencil'></i> ".$_translator->_getTranslation('Editar')."</li>";
                $agregarNuevo = "<a href='Receiving.php' class='btn btn-primary'><i class='fa fa-plus'></i> ".$_translator->_getTranslation('Agregar recibo')."</a>";
            }elseif($action =='' || $action =='insert'){
                $currentAction = "<li class='active'><i class='fa fa-plus'></i> ".$_translator->_getTranslation('Agregar')."</li>";
            } ?>
            <li><i class="fa fa-dashboard"></i>  <a href="<?php echo ROOT_HOST?>/Controller/Home.php"><?php echo $_translator->_getTranslation('Inicio')?></a></li>
            <li class="active"><i class="fa fa-list"></i> <?php echo $_translator->_getTranslation('Lista de recibos')?></li>
            <?php echo $currentAction?>
        </ol>
    </div>
</div>
<div id="flashmessenger"><?php $flashmessenger->showMessage();?></div>
<div class="box">
    <div class="box-header">       
        <h3><i class='fa-fw fa fa-list'></i><?php echo $_translator->_getTranslation('Lista de recibos');?></h3>
        <div class='box-icon'><i class='icon fa fa-tasks'></i></div>
    </div>
    <div class='box-content'>
        <div class='row'>
            <div class="col-lg-12">
                <hr/>
                <div class='table-responsive'>
                <table id="tblReceiving" class="table table-striped table-hover table-condensed">
                    <thead>
                    <th class="col-md-1 text-center"><?php echo $_translator->_getTranslation('ID.');?></th>
                    <th class="col-md-1 text-center"><?php echo $_translator->_getTranslation('No.');?></th>                    
                    <th class="col-md-2 text-center"><?php echo $_translator->_getTranslation('Fecha');?></th>    
                    <th class="col-md-2 text-center"><?php echo $_translator->_getTranslation('Origen');?></th>
                    <th class="col-md-2 text-center"><?php echo $_translator->_getTranslation('Destino');?></th>                
                    <th class="col-md-1 text-center"><?php echo $_translator->_getTranslation('Enviado');?></th>
                    <th class="col-md-1 text-center"><?php echo $_translator->_getTranslation('Recibido');?></th>
                    <th class="col-lg-2 text-center"><?php echo $_translator->_getTranslation('Status');?></th>
                    <th class="col-lg-1 text-center">Accion</th>
                    </thead>
                    <tfoot>                            
                        <th class="filter"><?php echo $_translator->_getTranslation('ID');?></th> 
                        <th class="filter"><?php echo $_translator->_getTranslation('No');?></th>                        
                        <th class="filter"><?php echo $_translator->_getTranslation('Fecha');?></th>
                        <th class="filter"><?php echo $_translator->_getTranslation('Origen');?></th>
                        <th class="filter"><?php echo $_translator->_getTranslation('Destino');?></th>
                        <th class="filter"><?php echo $_translator->_getTranslation('Enviado');?></th>
                        <th class="filter"><?php echo $_translator->_getTranslation('Recibido');?></th>
                        <th class="filter"><?php echo $_translator->_getTranslation('Status');?></th>
                        <th></th>
                        </tfoot>
                    <tbody>
                    <?php 
                        if($_listReceivings){
                            foreach($_listReceivings as $receiving){?>
                                <tr>
                                    <td class="text-center"><?php echo $receiving['id']?></td>
                                    <td class="text-center"><?php echo $receiving['num_shipment']?></td>
                                    <td class="text-center"><?php echo $receiving['date']?></td>                                       
                                    <td class="text-center"><?php echo $receiving['from_name']?></td>                                  
                                    <td class="text-center"><?php echo $receiving['store_name']?></td>   
                                    <td class="text-center"><?php echo $receiving['quantity']?></td>
                                    <td class="text-center"><?php echo $receiving['received']?></td>
                                    <td class="text-center"><?php echo $receiving['statusName']?></td>
                                    <td class="text-center" style='white-space:nowrap'>
                                        <a class="btn btn-md btn-primary" href="Receiving.php?action=edit&id=<?php echo $receiving['id']?>"><i class="fa fa-pencil fa-"></i></a>
                                        <a class="btn btn-md btn-info" href="#" onclick="javascript: void window.open('Receiving.php?action=import&flag=pdf&id=<?php echo $receiving['id']?>','','width=700,height=500,status=1,scrollbars=1,resizable=1')"><i class="fa fa-file-pdf-o fa-"></i></a>
                                        <a class="btn btn-md btn-danger" onclick="return deleteRegistry('Receiving.php?action=delete&id=<?php echo $receiving['id']?>')" 
                                               href="#"><i class="fa fa-trash"></i>
                                        </a>
                                    </td>
                                </tr><?php
                            }                   
                        }?>
                    </tbody>
                </table>
                </div>
            </div>                
        </div>
    </div>
</div>
<style>
    tfoot {
    display: table-header-group;
}
</style>
<script type="text/javascript" language="javascript">
	$('#tblReceiving').DataTable({
            paginate:false,
            filter:true,
            aaSorting:[],
            dom: 'Bfrtip',
            buttons: [
            'excel'
            ]
        });
        
        $('#tblReceiving')
		.removeClass( 'display' )
		.addClass('table table-striped table-bordered');
        
        $('#tblReceiving tfoot th.filter').each( function () {
            var title = $(this).text();
            $(this).html( '<input type="text" placeholder="Buscar" style="width:100%" />' );
        } );  
 
    var table = $('#tblReceiving').DataTable();
    // Apply the search
    table.columns().every( function () {
        var that = this; 
        $( 'input', this.footer() ).on( 'keyup change', function () {
            if ( that.search() !== this.value ) {
                that
                    .search (this.value.replace("/;/g", "|"), true, false)
                    .draw();
            }
        } );
    } );
</script>