<div class="container-title"></div>
<div class="row">
    <?php echo $currentAction = ''?>
    <div class="col-lg-12">
        <ol class="breadcrumb">
            <li><i class="fa fa-dashboard"></i>  <a href="<?php echo ROOT_HOST?>/Controller/Home.php"><?php echo $_translator->_getTranslation('Home')?></a></li>
            <li class="active"><i class="fa fa-shopping-basket"></i> <?php echo $_translator->_getTranslation('Reportes')?></li>
            <?php echo $currentAction?>
        </ol>
    </div>
</div>
<div id="flashmessenger"><?php $flashmessenger->showMessage();?></div>
<div class="box">
    <div class="box-header"> 
        <h3><i class='fa-fw fa fa-shopping-basket'></i><?php echo $_translator->_getTranslation('Reportes');?></h3>
    </div>
    <div class='box-content'>
        <div class="list-reports">
                <div class="row">           
                    <?php 
                    $login = new Login();
                    switch($login->getRole()){
                        case '1';?>
                                <div class="col col-lg-3 box-link-report">
                                    <a href="?action=create&reporte=inventario&output=pantalla">
                                        <div><?php echo $_translator->_getTranslation('Inventario');?></div>
                                    </a>
                                </div>
                                <div class="col col-lg-3  box-link-report">
                                    <a href="?action=create&reporte=inventory_stores&output=pantalla">
                                        <div><?php echo $_translator->_getTranslation('Inventario de pasteles');?><br/><?php echo $_translator->_getTranslation('en sucursales');?></div>
                                    </a>
                                </div>
                                <div class="col col-lg-3  box-link-report">
                                    <span class="_report" data-reportname="summary_sales" data-toggle='modal' data-target='#modalFiltroReportes'>
                                        <div><?php echo $_translator->_getTranslation('Resumen de ventas');?></div>
                                    </span>
                                </div>
                                <div class="col col-lg-3  box-link-report">
                                    <span class="_report" data-reportname="ventasPorFecha" data-toggle='modal' data-target='#modalFiltroReportes'>
                                        <div><?php echo $_translator->_getTranslation('Ventas por fecha');?></div>
                                    </span>
                                </div>
                                <div class="col col-lg-3  box-link-report">
                                    <span class="_report" data-reportname="ventasDetalles" data-toggle='modal' data-target='#modalFiltroReportes'>
                                        <div><?php echo $_translator->_getTranslation('Ventas detalles');?></div>
                                    </span>
                                </div>
                                <div class="col col-lg-3  box-link-report">
                                    <span class="_report" data-reportname="ventas_por_producto" data-toggle='modal' data-target='#modalFiltroReportes'>
                                        <div><?php echo $_translator->_getTranslation('Ventas por producto');?></div>
                                    </span>
                                </div>
                                <div class="col col-lg-3  box-link-report">
                                    <span  class="_report" data-reportname="ventas_por_producto_en_ordenes_especiales" data-toggle='modal' data-target='#modalFiltroReportes'>
                                        <div><?php echo $_translator->_getTranslation('Ventas por producto en ordenes especiales');?></div>
                                    </span>
                                </div>
                                <div class="col col-lg-3  box-link-report">
                                    <span class="_report" data-reportname="saldosPendientes" data-toggle='modal' data-target='#modalFiltroReportes'>
                                        <div><?php echo $_translator->_getTranslation('Saldos pendientes');?></div>
                                    </span>
                                </div>
                                <div class="col col-lg-3  box-link-report">
                                    <span class="_report" data-reportname="time_clock" data-toggle='modal' data-target='#modalFiltroReportes'>
                                        <div><?php echo $_translator->_getTranslation('Reloj checador');?></div>
                                    </span>
                                </div>
                                <div class="col col-lg-3 box-link-report">
                                    <span class="_report" data-reportname="historial_inventario" data-toggle='modal' data-target='#modalFiltroReportes'>
                                        <div><i class="fa fa-signal"></i><br /><?php echo $_translator->_getTranslation('Historial inventario');?></div>
                                    </span>
                                </div>
                                <div class="col col-lg-3 box-link-report">
                                    <span class="_report" data-reportname="production"  onclick="setParametrosReporte('production','screen')" data-toggle='modal' data-target='#modalFiltroReportes'>
                                        <div><i class="fa fa-signal"></i><br /><?php echo $_translator->_getTranslation('Produccion');?></div>
                                    </span>
                                </div>
                                <div class="col col-lg-3 box-link-report">
                                    <span class="_report" data-reportname="shipment_special_order" data-toggle='modal' data-target='#modalFiltroReportes'>
                                        <div><i class="fa fa-signal"></i><br /><?php echo $_translator->_getTranslation('Envio de ordenes especiales');?></div>
                                    </span>
                                </div>
                                <div class="col col-lg-3 box-link-report">
                                    <span class="_report" data-reportname="sales_by_user" data-toggle='modal' data-target='#modalFiltroReportes'>
                                        <div><i class="fa fa-signal"></i><br /><?php echo $_translator->_getTranslation('Ventas por usuario');?></div>
                                    </span>
                                </div>  
                                <?php 
                                if($login->getId() == '22' || $login->getId() == '1'){?>
                                    <div class="col col-lg-3 box-link-report">
                                        <span class="_report" data-reportname="production_and_sale" data-toggle='modal' data-target='#modalFiltroReportes'>
                                            <div><i class="fa fa-signal"></i><br /><?php echo $_translator->_getTranslation('Produccion y venta');?></div>
                                        </span>
                                    </div><?php
                                }?>
                                
                                <div class="col col-lg-3 box-link-report">
                                    <span class="_report" data-reportname="sales_online" data-toggle='modal' data-target='#modalFiltroReportes'>
                                        <div><i class="fa fa-signal"></i><br /><?php echo $_translator->_getTranslation('Ventas en linea');?></div>
                                    </span>
                                </div>
                                <div class="col col-lg-3 box-link-report">
                                    <span class="_report" data-reportname="special_order_comisions" data-toggle='modal' data-target='#modalFiltroReportes'>
                                        <div><i class="fa fa-signal"></i><br /><?php echo $_translator->_getTranslation('Comisiones por ordenes especiales');?></div>
                                    </span>
                                </div>
                                <div class="col col-lg-3 box-link-report">
                                    <a href="?action=create&reporte=inventory_supplies&output=pantalla">
                                        <div><i class="fa fa-signal"></i><br /><?php echo $_translator->_getTranslation('Inventario Insumos');?></div>
                                    </a>
                                </div>
                                <div class="col col-lg-3 box-link-report">
                                    <span class="_report" data-reportname="supplie_outs" data-toggle='modal' data-target='#modalFiltroReportes'>
                                        <div><i class="fa fa-signal"></i><br /><?php echo $_translator->_getTranslation('Salida de insumos');?></div>
                                    </span>
                                </div>
                                <div class="col col-lg-3 box-link-report">
                                    <span class="_report" data-reportname="supplie_returns" onclick="setParametrosReporte('returns','screen')" data-toggle='modal' data-target='#modalFiltroReportes'>
                                        <div><i class="fa fa-signal"></i><br /><?php echo $_translator->_getTranslation('Retorno de insumos');?></div>
                                    </span>
                                </div>
                                <div class="col col-lg-3 box-link-report">
                                    <span class="_report" data-reportname="purchase_details" data-toggle='modal' data-target='#modalFiltroReportes'>
                                        <div><i class="fa fa-signal"></i><br /><?php echo $_translator->_getTranslation('Compras detalles');?></div>
                                    </span>
                                </div><?php  
                            break;
   
                        case '3':?>
                                <div class="col col-lg-3 box-link-report">
                                    <a href="?action=create&reporte=inventario&output=pantalla">
                                        <div><?php echo $_translator->_getTranslation('Inventario');?></div>
                                    </a>
                                </div>
                                <div class="col col-lg-3 box-link-report">
                                    <span class="_report" data-reportname="historial_inventario" data-toggle='modal' data-target='#modalFiltroReportes'>
                                        <div><i class="fa fa-signal"></i><br /><?php echo $_translator->_getTranslation('Historial inventario');?></div>
                                    </span>
                                </div><?php
                            break;
                        
                        case '2':?>
                                <div class="col col-lg-3 box-link-report">
                                    <a href="?action=create&reporte=inventario&output=pantalla">
                                        <div><i class="fa fa-signal"></i><br /><?php echo $_translator->_getTranslation('Inventario');?></div>
                                    </a>
                                </div>
                                <div class="col col-lg-3 box-link-report">
                                    <span class="_report" data-reportname="historial_inventario" data-toggle='modal' data-target='#modalFiltroReportes'>
                                        <div><i class="fa fa-signal"></i><br /><?php echo $_translator->_getTranslation('Historial inventario');?></div>
                                    </span>
                                </div>
                                <?php
                            break;
                    } ?>
                            
                    
                </div>
        </div>
    </div>
</div>
 <?php include ROOT."/View/Modal/filtroReportes.php";?>
 <?php include ROOT."/View/Modal/enviarMailReporte.php";?>
<div class="box">
    <?php if(isset($_reporte)){
        include $_reporte->getTemplateReporteOnScreen();
    }
?>
</div>
<script type="text/javascript">
    $("#fechaInicio,#fechaFin").datetimepicker({
            format: 'MM/DD/YYYY'
      });

    $('.linkSendMail').click( function(e) {
        e.preventDefault(); 
        $('#modalSendReportToMail').modal('show');
        $("#optionsFromGet").val(this.href);
        return false; 
    });
    
    $('._report').on('click',function(){setFilterReport(this);});
</script>