<?php 
    $arrayData = $data['data'];
    $optionsReport = $this->getOptions();
    
    $colTitulos[] = 'Orden #';
    $colTitulos[] = 'Sucursal';
    $colTitulos[] = 'Fecha entrega';
    $colTitulos[] = 'Entregar en';
    $colTitulos[] = 'Cliente';
    $colTitulos[] = 'Telefono';
    $colTitulos[] = 'Total';
    $colTitulos[] = 'Enviada a sucursal';
    $colTitulos[] = 'Recibida en sucursal';
    $colTitulos[] = 'Entregada a cliente';
    
    $objPHPExcel = new PHPExcel();
    $sheet = $objPHPExcel->getActiveSheet();
    $sheet->freezePane('A3');
    $col = count($colTitulos);
    $lastCol = $this->getColLetter($col-1);    
    
    $sheet->mergeCells("A1:".$lastCol."1");            
    $sheet->getRowDimension('1')->setRowHeight(50);
    $sheet->getStyle("A1")->getFont()->setBold(true);
    $sheet->setCellValue("A1", $this->headerExcelReport);
    $sheet->getStyle('A1')->getAlignment()->setWrapText(true);
    $sheet->getStyle("A1")->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
    $sheet->getStyle("A1")->getAlignment()->setVertical(PHPExcel_Style_Alignment::VERTICAL_CENTER);      
    
    $sheet->getStyle("A2:".$lastCol."2")->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
    $sheet->getStyle("A2:".$lastCol."2")->getFont()->setBold(true);
    $sheet->fromArray($colTitulos,NULL,'A2');    
    
    $row=3;
    $firstRow = $row;    
   foreach ($arrayData as $key => $data) {       
        $enviada_a_sucursal = 'No';
        $recibida_en_sucursal = 'No';
        $entregada_a_cliente = 'No';
        if($data['status_delivery_to_store'] == '2'){$enviada_a_sucursal = 'Si';}
        if($data['status_received_on_store'] == '2'){$recibida_en_sucursal = 'Si';}        
        if($data['status_delivery'] == '2'){$entregada_a_cliente = 'Si';}       
        
        /*
        if($data['store'] == $data['pickup_on']){
            $enviada_a_sucursal = 'Si';
            $recibida_en_sucursal = 'Si';
        }*/
        
        $sheet->setCellValue("A$row", $data['req_number']);                          
        $sheet->setCellValue("B$row", $data['storeName']);                                 
        $sheet->setCellValue("C$row", $data['deliveryDate']);       
        $sheet->setCellValue("D$row", $data['pickup_on_name']);              
        $sheet->setCellValue("E$row", $data['customer_name']);
        $sheet->setCellValue("F$row", $data['phone']);
        $sheet->setCellValue("G$row", $data['ammount']);
        $sheet->setCellValue("H$row", $enviada_a_sucursal);
        $sheet->setCellValue("I$row", $recibida_en_sucursal);
        $sheet->setCellValue("J$row", $entregada_a_cliente);
        
        $row++;        
    }
    $sheet->getStyle("A$firstRow:$lastCol$row")->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
    $sheet->getStyle("G$firstRow:G$row")->getNumberFormat()->setFormatCode('#,##0.00_ ;[Red]-#,##0.00');    
    
    foreach(range('A',$lastCol) as $columnID) {
        $sheet->getColumnDimension($columnID)
            ->setAutoSize(true);
    }

    $objPHPExcel->setActiveSheetIndex(0);   
    $objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
    
    if($this->saveFile == true){
        $objWriter->save($this->getTempFolder()."/".$this->getNombreArchivo().".xlsx");
    }else{                
        header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
        header("Content-Disposition: attachment;filename=".$this->getNombreArchivo().".xlsx");
        header('Cache-Control: max-age=0');
        $objWriter->save('php://output');
        exit;
    }
    unset($objWriter);