<?php 
    $arrayData = $data['data'];
    $optionsReport = $this->getOptions();    

    $colTitulos[] = 'Fecha';
    $colTitulos[] = 'Orden #';
    $colTitulos[] = 'Sucursal';
    $colTitulos[] = 'Cliente';
    $colTitulos[] = 'Total';
    $colTitulos[] = 'Saldo pendiente';
    $colTitulos[] = 'Comision';
    
    $objPHPExcel = new PHPExcel();
    $sheet = $objPHPExcel->getActiveSheet();
    $sheet->freezePane('A3');
    $col = count($colTitulos);
    $lastCol = $this->getColLetter($col-1);    
    
    $sheet->mergeCells("A1:".$lastCol."1");            
    $sheet->getRowDimension('1')->setRowHeight(50);
    $sheet->getStyle("A1")->getFont()->setBold(true);
    $sheet->setCellValue("A1", $this->headerExcelReport);
    $sheet->getStyle('A1')->getAlignment()->setWrapText(true);
    $sheet->getStyle("A1")->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
    $sheet->getStyle("A1")->getAlignment()->setVertical(PHPExcel_Style_Alignment::VERTICAL_CENTER);      
    
    $sheet->getStyle("A2:".$lastCol."2")->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
    $sheet->getStyle("A2:".$lastCol."2")->getFont()->setBold(true);
    $sheet->fromArray($colTitulos,NULL,'A2');     
    
    $row=3;
    $firstRow = $row;    
   foreach ($arrayData as $key => $array) { 
        $rowInicio = $row;
        foreach($array as $key => $data ){
            $i=0; 
            $sheet->setCellValue("A$row", $data['formated_date']);                          
            $sheet->setCellValue("B$row", $data['req_number']);                                 
            $sheet->setCellValue("C$row", $data['store_name']);       
            $sheet->setCellValue("D$row", $data['customer_name']);              
            $sheet->setCellValue("E$row", $data['total']);
            $sheet->setCellValue("F$row", $data['balance']);
            $sheet->setCellValue("G$row", $data['total_comision']);
            $row++;
        }   
        
        $objPHPExcel->getActiveSheet()->mergeCells("A$row:D$row");            
        $objPHPExcel->getActiveSheet()->getStyle("A$row:G$row")->getFont()->setBold(true);          
        $objPHPExcel->getActiveSheet()->getStyle("A$row")->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
        $objPHPExcel->getActiveSheet()->setCellValue("A$row", "TOTAL ".$data['user_name']);
          
        $rowFin = $row - 1;
        $objPHPExcel->getActiveSheet()->setCellValue("G$row", "=SUM(G$rowInicio:G$rowFin)");   
        $objPHPExcel->getActiveSheet()->getStyle("G$row")->getNumberFormat()->setFormatCode('#,##0.00_ ;[Red]-$#,##0.00');     

        $row++;
        $row++;
    }
    
    $sheet->getStyle("A$firstRow:$lastCol$row")->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
    $sheet->getStyle("E$firstRow:G$row")->getNumberFormat()->setFormatCode('#,##0.00_ ;[Red]-#,##0.00');    
    
    foreach(range('A',$lastCol) as $columnID) {
        $sheet->getColumnDimension($columnID)
            ->setAutoSize(true);
    }

    $objPHPExcel->setActiveSheetIndex(0);   
    $objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
    
    if($this->saveFile == true){
        $objWriter->save($this->getTempFolder()."/".$this->getNombreArchivo().".xlsx");
    }else{                
        header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
        header("Content-Disposition: attachment;filename=".$this->getNombreArchivo().".xlsx");
        header('Cache-Control: max-age=0');
        $objWriter->save('php://output');
        exit;
    }
    unset($objWriter);