<div class="container-title"></div>
<div class="row">
    <div class="col-lg-12"><ol class="breadcrumb">
            <li><i class="fa fa-dashboard"></i>  <a href="<?php echo ROOT_HOST?>/Controller/Home.php"><?php echo $_translator->_getTranslation('Home')?></a></li>
            <li class="active"><i class="fa fa-list"></i> <?php echo $_translator->_getTranslation('Lista de ordenes de linea')?></li>
        </ol>
    </div>
</div>
<div id="flashmessenger"><?php $flashmessenger->showMessage();?></div>
<div class="box">
    <div class="box-header">       
        <h3><i class='fa-fw fa fa-list'></i><?php echo $_translator->_getTranslation('Lista de ordenes de linea');?></h3>
        <div class='box-icon'><i class='icon fa fa-tasks'></i></div>
    </div>
    <div class='box-content'>
        <div class='row'>
            <div class="col-lg-12">
                <div class="pull-right"><a href='Requisition.php' class='btn btn-md  btn-default'><i class='fa fa-plus' style='color:black'></i> <?php echo $_translator->_getTranslation('Agregar orden de linea')?></a></div>
                <div class='clear'></div>
                <hr class="m-a-1"/>  
                <div class='table-responsive'>
                <table id="tblRequisition" class="table table-striped table-hover table-condensed">
                    <thead>
                    <th class="col-lg-1 text-center"><?php echo $_translator->_getTranslation('No.');?></th>
                    <th class="col-lg-1 text-center"><?php echo $_translator->_getTranslation('Fecha');?></th>
                    <th class="col-lg-1 text-center"><?php echo $_translator->_getTranslation('Cantidad');?></th>                     
                    <th class="col-lg-4 text-center "><?php echo $_translator->_getTranslation('Creado por');?></th>
                    <th class="col-lg-1 text-center"><?php echo $_translator->_getTranslation('Status');?></th>
                    <th class="col-lg-1 text-center">Accion</th>
                    </thead>
                    <tbody>
                    <?php 
                        if($_listRequisitions){
                            foreach($_listRequisitions as $requisicion){?>
                                <tr>
                                    <td class="text-center"><?php echo $requisicion['req_number']?></td>
                                    <td class="text-center"><?php echo $requisicion['date']?></td>  
                                    <td class="text-center"><?php echo $requisicion['quantity']?></td>  
                                    <td class="text-center"><?php echo $requisicion['user']?></td>
                                    <td class="text-center"><?php echo $requisicion['statusName']?></td>
                                    <td class="text-center" style="white-space: nowrap">
                                        <a class="btn btn-md btn-primary" href="Requisition.php?action=edit&id=<?php echo $requisicion['id']?>"><i class="fa fa-pencil fa-"></i></a>
                                        <a class="btn btn-md btn-info" href="#" onclick="javascript: void window.open('Requisition.php?action=export&flag=pdf&id=<?php echo $requisicion['id']?>','','width=700,height=500,status=1,scrollbars=1,resizable=1')"><i class="fa fa-file-pdf-o fa-"></i></a>
                                        <a class="btn btn-md btn-danger" onclick="return deleteRegistry('Requisition.php?action=delete&id=<?php echo $requisicion['id']?>')" 
                                               href="#"><i class="fa fa-trash"></i>
                                        </a>
                                    </td>
                                </tr><?php
                            }                   
                        }?>
                    </tbody>
                </table>
                </div>
            </div>                
        </div>
    </div>
</div>
<script type="text/javascript" language="javascript">
         // DataTable
    $('#tblRequisition').DataTable( { 
        searching: true,
        paginate:false,
        filter:true,
        bFilter:true,
        aaSorting:[],
        dom: 'Bfrtip',
        buttons: [
            'excel',
        ]});
    
    $('#tblRequisition')
            .removeClass( 'display' )
            .addClass('table table-striped table-bordered');
</script>