<div class="row">
    <div class="col-lg-12">
        <ol class="breadcrumb">
            <?php      
            $currentAction = '';
            $agregarNuevo = '';
            if($action =='edit'){
                $sucursalAction = 'Editar Sucursal';
                $currentAction = "<li class='active'><i class='fa fa-pencil'></i> ".$_translator->_getTranslation('Editar')."</li>";
                $agregarNuevo = "<a href='Store.php' class='btn btn-sm btn-default'><i class='fa fa-plus'></i> ".$_translator->_getTranslation('Agregar sucursal')."</a>";
                $agregarNuevo .= '<hr>';
            }elseif($action =='' || $action =='insert'){
                $sucursalAction = 'Agregar Sucursal';
                $currentAction = "<li class='active'><i class='fa fa-plus'></i> ".$_translator->_getTranslation('Agregar')."</li>";
            } ?>
            <li><i class="fa fa-dashboard"></i>  <a href="<?php echo ROOT_HOST?>/Controller/Inicio.php"><?php echo $_translator->_getTranslation('Inicio')?></a></li>
            <li class="active"><i class="fa fa-map-marker"></i> <a href="<?php echo ROOT_HOST?>/Controller/Store.php?action=list"><?php echo $_translator->_getTranslation('Lista de sucursales')?></a></li>
            <li class="active"><i class="fa fa-map-marker"></i> <?php echo $_translator->_getTranslation('Sucursal')?></li>
            <?php echo $currentAction?>
        </ol>
    </div>
</div>
<div class="row">
    <div class="col-lg-12">
        <div id="flashmessenger"><?php $flashmessenger->showMessage();?></div>
        <div class="box">
            <div class="box-header"> 
                <h3><i class='fa-fw fa fa-bookmark'></i><?php echo $_translator->_getTranslation($sucursalAction);?></h3>
                <div class='box-icon'><i class='icon fa fa-tasks'></i></div>
            </div>
            <div class='box-content'>
                <div class="row">
                    <div class="col-md-12 col-xs-12 text-right">
                        <?php echo $agregarNuevo;?>                        
                        <div class="clear"></div>
                    </div> 
                    <?php 
                        echo $_form->openForm();
                        echo $_form->showActionController();
                        echo $_form->showId();
                        ?>                 
                    <div class="col-lg-6">
                        <div><?php echo $_form->showElement('nombre');?></div>                               
                        <div><?php echo $_form->showElement('direccion');?></div>                               
                        <div><?php echo $_form->showElement('ciudad');?></div> 
                        <div><?php echo $_form->showElement('estado');?></div>  
                        <div><?php echo $_form->showElement('codigopostal');?></div> 
                        <div><?php echo $_form->showElement('status');?></div>
                    </div>
                    <div class="col-lg-6">                                                     
                        <div><?php echo $_form->showElement('nombre_contacto');?></div>
                        <div><?php echo $_form->showElement('telefono');?></div>                            
                        <div><?php echo $_form->showElement('fax');?></div>
                        <div><?php echo $_form->showElement('email');?></div>
                        <div><?php echo $_form->showElement('paginaweb');?></div>                            
                        <div><?php echo $_form->showElement('logo_file');?></div>   
                    </div>  
                    <div class='clear'></div>
                    <div class='row'>
                        <hr/>
                        <div class="col-md-6">
                            <div><?php echo $_form->showElement('mark_as_store_stock_template',true);?></div>
                            <div><?php echo $_form->showElement('template_name');?></div>       
                        </div>   
                        <?php 
                        $compraAjax = new StoreAjax();
                        $edit = null;
                        if($action=='edit'){$edit = true;}
                        $listCompraDetalles = $compraAjax->getListStoreDetails($_form->getTokenForm());?>
                        <table id='store-table' class="table table-condensed table-striped table-hover table-thead-customize table-tfoot-customize">
                            <thead>                
                                <th class="col-lg-1 text-center"><?php echo $_translator->_getTranslation('Accion')?></th>
                                <th class="col-lg-1 text-center"><?php echo $_translator->_getTranslation('Codigo');?></th>
                                <th class="col-lg-3"><?php echo $_translator->_getTranslation('Descripcion');?></th>
                                <th class="col-lg-2 text-center"><?php echo $_translator->_getTranslation('Tamaño');?></th>
                                <th class="col-lg-3 text-center"><?php echo $_translator->_getTranslation('Dias')?></th>
                                <th class="col-lg-1 text-right"><?php echo $_translator->_getTranslation('Minimo')?></th> 
                                <th class="col-lg-1 text-right"><?php echo $_translator->_getTranslation('Maximo')?></th> 
                            </thead>
                            <tfoot>
                                <th></th>
                                <th class="filter" data-filtername="codigo"><?php echo $_translator->_getTranslation('Codigo')?></th>
                                <th class="filter" data-filtername="descripcion"><?php echo $_translator->_getTranslation('Descripcion')?></th>
                                <th class="filter" data-filtername="tamano"><?php echo $_translator->_getTranslation('Tamaño')?></th>
                                <th class="filter" data-filtername="dias"><?php echo $_translator->_getTranslation('Dias')?></th>
                                <th class="filter" data-filtername="minimo"><?php echo $_translator->_getTranslation('Minimo')?></th>
                                <th class="filter" data-filtername="maximo"><?php echo $_translator->_getTranslation('Maximo')?></th>
                            </tfoot>
                            <tbody>
                                <?php echo $listCompraDetalles['storeDetails'];?>
                            </tbody>
                            <tfoot>
                                <tr>
                                  <td></td>
                                  <td class="text-right" colspan="4"><?php echo $_translator->_getTranslation('Total');?></td>
                                  <td class="text-right"><span id='totalItemsMin'><?php echo $listCompraDetalles['totalItemsMin']?></span></td>
                                  <td class="text-right"><span id='totalItemsMax'><?php echo $listCompraDetalles['totalItemsMax']?></span></td>
                                </tr>
                            </tfoot>
                        </table>
                    </div>
                    <div class="row">
                        <?php $_form->showElement('idDetailTemp');?>
                        <div class='col-lg-3'>
                            <?php $element = $_form->getElement('days');?>
                            <div class='col-lg-12 p-a-0'><label><?php echo $element['label']?></label></div>
                            <?php echo $_form->createElement($element);?>
                             <br/>
                            <?php $element = $_form->getElement('add_product_from_template');?>
                            <div class='col-lg-12 p-a-0'><label><?php echo $element['label']?></label></div>
                            <?php echo $_form->createElement($element);?>
                        </div>                 
                        <div class='col-lg-5'>
                            <?php $element = $_form->getElement('product');?>
                            <div class='col-lg-12 p-a-0'><label><?php echo $element['label']?></label></div>
                            <?php echo $_form->createElement($element);?>
                        </div>
                        <div class='col-lg-1'>
                            <?php $element = $_form->getElement('min');?>
                            <div class='col-lg-12 p-a-0'><label><?php echo $element['label']?></label></div>
                            <?php echo $_form->createElement($element);?>
                        </div> 
                        <div class='col-lg-1'>
                            <?php $element = $_form->getElement('max');?>
                            <div class='col-lg-12 p-a-0'><label><?php echo $element['label']?></label></div>
                            <?php echo $_form->createElement($element);?>
                        </div> 
                        <div class='col-lg-1 p-t-1 m-t-2'>
                            <?php $element = $_form->getElement('buscar');?>
                            <?php echo $_form->createElement($element);?>
                        </div>
                    </div>
                    <div class="form-group m-t-3">
                        <div class="col-md-12 p-r-0 text-right">
                            <?php $element = $_form->getElement('send'); echo $_form->createOnlyElement($element);?>
                            <?php $element = $_form->getElement('cancelar'); echo $_form->createOnlyElement($element);?>                               
                        </div>
                    </div> 
                    <?php echo $_form->closeForm();?>
                </div>
            </div>
        </div>
    </div>
</div>
<style>
    label.numero_exterior{
        padding-right: 15px;
    }
    
      tfoot {
        display: table-header-group;
    }
     input[type=checkbox]{
        -ms-transform: scale(1.5); /* IE */
        -moz-transform: scale(1.5); /* FF */
        -webkit-transform: scale(1.5); /* Safari and Chrome */
        -o-transform: scale(1.5); /* Opera */
        transform: scale(1.5);
        padding: 10px;
    }
</style>
<script type="text/javascript" language="javascript">
    $('#status,#days,#product').select2();
    
    $('#store-table').DataTable({paginate:false,filter:true,aaSorting:[]});
    $('#store-table')
            .removeClass( 'display' )
            .addClass('table table-striped table-bordered');
    
     $('#store-table tfoot th.filter').each( function () {        
        var input_name = $(this).data('filtername');
        $(this).html( '<input type="text" name="filter_'+input_name+'" class="column_filter" placeholder="Buscar" style="width:100%" />' );
    } );  
 
    var table = $('#store-table').DataTable();
    // Apply the search
    table.columns().every( function () {
        var that = this; 
        $( 'input', this.footer() ).on( 'keyup change', function () {
            if ( that.search() !== this.value ) {
                that
                    .search (this.value.replace("/;/g", "|"), true, false)
                    .draw();
            }
        } );
    } );
    
    
     $("#logo_file").fileinput({
        showPreview: false,
        allowedFileExtensions: ['jpg', 'png', 'gif','jpeg'],
        maxFileSize: 1000,
        showUpload:false,
        showRemove:false
    });
    
     $('#mark_as_store_stock_template').on('change',function(){
        if($(this).prop('checked') === true){
            $(this).val('1');
            $('#template_name').prop('readonly',false);
        }else{
            $(this).val('0');
            $('#template_name').val('').prop('readonly',true);
        }
    });
    
    $('#add_product_from_template').select2();
    $('#add_product_from_template').on('select2:select',function(){
        var store_stock_template_id = $(this).val();
        $.confirm({
            theme: 'material',
            columnClass: 'col-md-6 col-md-offset-3',
            icon: 'fa fa-question-circle',
            title: 'Agregar stock desde plantilla',
            /*Reemplace comilla simple por doble para que no marque error*/
            content: "Se agregaran productos desde plantilla seleccionada, desea continuar ?",
            buttons:{
                cancel: {
                    text:'No',
                    btnClass: 'btn-default col-md-4 pull-right',
                    action: function(){
                       $(this).remove();
                    }
                },
                confirm: {
                    text: 'Si ',
                    btnClass: 'btn-primary col-md-4 pull-right',
                    action: function(){
                       $.post('/Controller/Store.php', {
                            action: 'ajax',
                            request: 'addProductFromTemplate',
                            store_stock_template_id: store_stock_template_id,
                            token_form: $('form[name=sucursal] #token_form').val()
                        }, function(data) {
                            if (data.response){
                                $("#store-table").find('tbody').empty().append(data.storeDetails);
                                $("#totalItemsMin").html(data.totalItemsMin);                  
                                $("#totalItemsMax").html(data.totalItemsMax);         
                            }else{
                                $('.flashmessenger').html(data.msg);
                            }
                        }, 'json');
                    }
                }
            }
        });
    
    });

</script>