<div class="row">
    <div class="col-lg-12">
        <ol class="breadcrumb">
            <?php      
            $currentAction = '';
            $agregarNuevo = '';
            if($action =='edit'){
                $productAction = 'Editar insumo o servicio ';
                $currentAction = "<li class='active'><i class='fa fa-pencil'></i> ".$_translator->_getTranslation('Editar')."</li>";
                $agregarNuevo = "<a href='SupplieAndService.php' class='btn btn-sm btn-default'><i class='fa fa-plus'></i> ".$_translator->_getTranslation('Agregar insumo o servicio')."</a>";
                $agregarNuevo .= '<hr>';
            }elseif($action =='' || $action =='insert'){
                $productAction = 'Agregar insumo o servicio';
                $currentAction = "<li class='active'><i class='fa fa-plus'></i> ".$_translator->_getTranslation('Agregar')."</li>";
            } ?>
            <li><i class="fa fa-dashboard"></i>  <a href="<?php echo ROOT_HOST?>/Controller/Home.php"><?php echo $_translator->_getTranslation('Inicio')?></a></li>
            <li class="active"><i class="fa fa-database"></i> <?php echo $_translator->_getTranslation('Productos')?></li>
            <?php echo $currentAction?>
        </ol>
    </div>
</div>
<div class="row">
    <div class="col-lg-12">
        <div id="flashmessenger"><?php $flashmessenger->showMessage();?></div>
        <div class="box">
            <div class="box-header"> 
                <h3><i class='fa-fw fa fa-database'></i><?php echo $_translator->_getTranslation($productAction);?></h3>
                <div class='box-icon'><i class='icon fa fa-tasks'></i></div>
            </div>
            <div class='box-content'>
                <div class="row">
                    <div class="col-md-12 col-xs-12 text-right">
                        <?php echo $agregarNuevo;?>                        
                        <div class="clear"></div>
                    </div> 
                    <?php 
                        echo $_form->openForm();
                        echo $_form->showActionController();
                        echo $_form->showId();
                        echo $_form->showElement('idDetailTemp');
                    ?>  
                    <div class="card">
                        <ul class="nav nav-tabs" role="tablist">
                            <li role="presentation" class="active"><a href="#general" aria-controls="home" role="tab" data-toggle="tab"><?php echo $_translator->_getTranslation('Informacion general') ?></a></li>                            
                        </ul>
                        <!-- Tab panes -->
                        <div class="tab-content m-t-3">
                            <div role="tabpanel" class="tab-pane active" id="general">
                            <div class="col-lg-6">
                                <?php echo $_form->showElement('type');?>                               
                                <?php echo $_form->showElement('code');?>                               
                                <?php echo $_form->showElement('description');?> 
                                <?php echo $_form->showElement('category_id');?>   
                                <?php echo $_form->showElement('brand_id');?>   
                                <?php echo $_form->showElement('presentation_id');?>   
                                <?php echo $_form->showElement('um_id');?>                                   
                            </div>
                            <div class="col-lg-6">     
                                <?php echo $_form->showElement('cost');?>  
                                <?php echo $_form->showElement('taxes');?> 
                                <?php echo $_form->showElement('taxes_included');?>
                                <?php echo $_form->showElement('llevar_inventario');?>    
                                <?php echo $_form->showElement('min_stock');?>                           
                                <?php echo $_form->showElement('ledger_account');?>                           
                                <?php echo $_form->showElement('status');?> 
                            </div>
                            </div>                            
                            <div class="clear"></div>
                            <div class="pull-right text-right">
                                <?php $element = $_form->getElement('send'); echo $_form->createOnlyElement($element);?>
                                <?php $element = $_form->getElement('cancel'); echo $_form->createOnlyElement($element);?>                               
                            </div>
                            
                        </div>
                    </div>
                <div class="row">
                    <div class="col-lg-12 col-md-12 col-sm-12">
                        <hr/>
                        <div class='table-responsive'>
                        <table id="tblSupplieAndService" class="table table-striped table-hover table-condensed">
                            <thead>
                            <th class="text-center col-md-1">Accion</th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Codigo');?></th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Descripcion');?></th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Marca');?></th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Costo');?></th>
                            <th class="text-center"><?php echo $_translator->_getTranslation('Status');?></th>
                            </thead>
                            <tbody>
                            <?php 
                                if($_listSupplieAndServices){
                                    foreach($_listSupplieAndServices as $producto){?>
                                        <tr>
                                            <td>
                                                <a href="SupplieAndService.php?action=edit&id=<?php echo $producto['id']?>"><i class="fa fa-pencil btn btn-sm btn-default"></i></a>
                                                <a onclick="return deleteRegistry('SupplieAndService.php?action=delete&id=<?php echo $producto['id']?>')" 
                                                   href="#"><i class="fa fa-trash btn btn-sm btn-danger"></i></a>
                                            </td>
                                            <td class="text-center"><?php echo $producto['code']?></td>
                                            <td class="text-center"><?php echo $producto['description']?></td>
                                            <td class="text-center"><?php echo $producto['brand_name']?></td>
                                            <td class="text-right"><?php echo number_format($producto['cost'],2)?></td>
                                            <td class="text-center"><?php echo $producto['status_name']?></td>
                                        </tr><?php
                                    }                   
                                }?>
                            </tbody>
                        </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php include ROOT."/View/Modal/productSlices.php";?>
</div>
<script type="text/javascript" language="javascript">
        $('#type,#category_id,#brand_id,#presentation_id,#um_id,#taxes,#taxes_included,#status,#llevar_inventario').select2();
        
	$('#tblSupplieAndService').DataTable({
            paginate:true,
            filter:true,
            pageLength: 100
        });
        
        $('#tblSupplieAndService')
		.removeClass( 'display' )
		.addClass('table table-striped table-bordered');        
</script>