<?php 
    $root = realpath($_SERVER["DOCUMENT_ROOT"].'');
    include $root.'/app/config/dbConfig.php';
    include $root.'/app/config/appConfig.php';
    include $root."/class/DataBase/DataBase.php";  
    include $root."/Entity/EntityRepository.php";
    include $root."/class/Translator/Translator.php";
    include $root."/class/FlashMessenger/FlashMessenger.php";    
    include $root."/Entity/EmpresaRepository.php"; 
    include $root."/Entity/EmpresaEntity.php";
    include $root."/Entity/AppointmentRepository.php";
?>
<!DOCTYPE html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width,initial-scale=1.0,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no">
</head>
<body style="background-color: #C8CCCE;">
     <?php
    # INFORMACION EMPRESA
     $_translator = new Translator();
    $empresa = new EmpresaEntity();
    $empresa->setOptions($empresa->getById(1)); 
    
    $nombreEmpresa  = $empresa->getNombre();
    $direccion      = $empresa->getDireccion();
    $ciudadEstadoZC = $empresa->getCiudad().', '.$empresa->getEstado().' '.$empresa->getCodigoPostal();
    $telefono       = $empresa->getTelefono();  
    $paginaWeb      = $empresa->getPaginaWeb();
    
    # INFORMACION PREORDEN
    $appointmentRepo = new AppointmentRepository();
    
    if(isset($_GET['appointment_id'])){$appointment_id = $_GET['appointment_id'];}      
    $appointmentData = $appointmentRepo->getById($appointment_id);
    
    ?>
    <div style="width:450px;margin:auto;background-color: #C8CCCE;margin-top: 15px">
    <div style="background-color: #fff; padding:5px;width:100%;text-align: center"><img src="<?php $root = ROOT; $root = "http://pcgus.lpcg.mx/"; echo $root?>/public/img/logo_login.png" width="40%"/></div>
    <div style="background-color: #fff; width:400px;margin:auto;padding:5px;">   
        <style>.table > tbody > tr > td, .table > tbody > tr > th, .table > tfoot > tr > td, .table > tfoot > tr > th, .table > thead > tr > td, .table > thead > tr > th{padding:2px}</style>
        <table style="padding:10px;margin-top:1rem !important;background-color: transparent;width: 100%;max-width: 100%;margin-bottom: 20px;border-spacing: 0;border-collapse: collapse;box-sizing: border-box;">
        <thead>
            <th colspan="2" style="text-align: center;font-size: 24px"><?php echo $_translator->_getTranslation('Appointment Confirmation')?></th>
        </thead>
        <tbody>      
        <tr  style="border-bottom: 1px solid #ccc;height: 50px">
            <td colspan="2" style="text-align: left;font-size: 18px">Customer Information</td>
        </tr>  
        <tr>
            <td style="padding:5px">Full name</td>
            <td style="padding:5px"><?php echo $appointmentData['customer_name'];?></td>
        </tr>
        <tr>
            <td style="padding:5px">Phone number</td>
            <td style="padding:5px"><?php echo $appointmentData['customer_phone'];?></td>
        </tr>
        <tr  style="border-bottom: 1px solid #ccc;height: 50px">
            <td colspan="2" style="text-align: left;font-size: 18px">Appointment Information</td>
        </tr>  
        <tr>
            <td style="padding:5px">Date</td>
            <td style="padding:5px"><?php echo $appointmentData['formated_date'];?></td>
        </tr>
         <tr>
            <td style="padding:5px">Hour</td>
            <td style="padding:5px"><?php echo $appointmentData['formated_hour'];?></td>
        </tr>
         <tr>
            <td style="padding:5px">Place</td>
            <td style="padding:5px"><?php echo $direccion.' '.$ciudadEstadoZC?></td>
        </tr>  
        <tr>
            <td style="padding:5px">Service required</td>
            <td style="padding:5px"><?php echo $_translator->_getTranslation($appointmentData['event_type_name']);?></td>
        </tr>
        </tbody>
    </table>                         
    </div>
    </div>
</body>
</html>