<!-- Navigation -->
<nav class="navbar navbar-inverse navbar-fixed-top" role="navigation">
    <!-- Brand and toggle get grouped for better mobile display -->
    <div class="navbar-header">
        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-ex1-collapse">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
        </button>
        <a class="navbar-brand" href="Home.php">MG POS</a>
    </div>
    <!-- Top Menu Items -->
    <ul class="nav navbar-right top-nav">
        <?php $login = new Login();?>
        <li class="dropdown">
            <a class="dropdown" style='text-transform: lowercase'><i class="fa fa-fw fa-map-marker"></i> Sucursal - <?php echo $login->getSucursalNombre()?></a>
        </li>
        <li class="dropdown">
            <?php $login = new Login();?>
            <a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="fa fa-user"></i>  <?php echo $login->getNombreCompleto()?> <b class="caret"></b></a>
            <ul class="dropdown-menu">
                <li>
                    <a href="#"><i class="fa fa-fw fa-laptop"></i><?php echo $login->getToken()?></a>
                </li>
                <li class="divider"></li>
                <li>
                    <a href="#" class="_getTimeClock" data-toggle='modal' data-target='#modalTimeClock'><i class="fa fa-clock-o"></i> <?php echo $_translator->_getTranslation('Reloj checador')?></a>
                </li>
                <li class="divider"></li>
                <li>
                    <a href="<?php echo ROOT_HOST;?>/class/Login/Logout.php"><i class="fa fa-fw fa-power-off"></i> Log Out</a>
                </li>
            </ul>
        </li>
    </ul>
    <div class="collapse navbar-collapse navbar-ex1-collapse">
        <ul class="nav navbar-nav side-nav-pos">            
            <li title="<?php echo $_translator->_getTranslation('Reeimprimir ticket')?>"><a data-toggle='modal' data-target='#modalReimprimirTicketVenta'><i class='icon fa fa-print'></i> <span class='hidden-md hidden-lg hidden-sm'>Reimprimir ticket</span></a></li>            
            <li title="<?php echo $_translator->_getTranslation('Eliminar venta actual')?>"><a class="hideForSR" onclick='deleteVentaPosActual()'><i class='icon fa fa-trash-o'></i> <span class='hidden-md hidden-lg hidden-sm'>Eliminar venta actual</span></a></li>      
            <li title="<?php echo $_translator->_getTranslation('Suspender venta')?>"><a data-toggle='modal' data-target='#modalSuspenderVenta' class="hideForSR"><i class='icon fa fa-save'></i> <span class='hidden-md hidden-lg hidden-sm'>Suspender venta</span></a></li>
            <li title="<?php echo $_translator->_getTranslation('Activar venta suspendida')?>"><a data-toggle='modal' data-target='#modalVentasSuspendidas' class="hideForSR"><i class='icon fa fa-folder-open-o'></i> <span class='hidden-md hidden-lg hidden-sm'>Ventas suspendidas</span></a></li>      
            <li title="<?php echo $_translator->_getTranslation('Ultimas ventas')?>"><a data-toggle='modal' data-target='#modalUltimasVentas' class= 'showLastSales'><i class='icon fa fa-check-circle'></i> <span class='hidden-md hidden-lg hidden-sm'>Ultimas ventas</span></a></li>
            <li><a data-toggle='modal' data-target='#modalCardOperations' class= 'showLastCardOperations'><i class='icon fa fa-credit-card'></i> <span class='hidden-md hidden-lg hidden-sm'>Operaciones con tarjeta</span></a></li>
            <li title="<?php echo $_translator->_getTranslation('Retiros')?>"><a data-toggle='modal' data-target='#modalRetiro'><i class='icon fa fa-external-link'></i> <span class='hidden-md hidden-lg hidden-sm'>Ultimas ventas</span></a></li>
            <li title="<?php echo $_translator->_getTranslation('Aplicar promocion')?>"><a data-toggle='modal' data-target='#modalApplyPromotion'><i class='icon fa fa-tags' style="color:red"></i> <span class='hidden-md hidden-lg hidden-sm'>Aplicar promocion</span></a></li>
            <!--
            <li title="<?php echo $_translator->_getTranslation('Devoluciones')?>"><a data-toggle='modal' data-target='#modalDevolucion' class= 'showLastSales'  onclick="$('#idVentaDevolucion').focus()"><i class='icon fa fa-refresh'></i> <span class='hidden-md hidden-lg hidden-sm'>Devoluciones</span></a></li>
            <li title="<?php echo $_translator->_getTranslation('Ultimas devoluciones')?>"><a data-toggle='modal' data-target='#modalUltimasDevoluciones' class="showLastDevoluciones"><i class='icon fa fa-list'></i> <span class='hidden-md hidden-lg hidden-sm'>Ultimas Devoluciones</span></a></li>
            -->
        </ul>
    </div>
    <script>$(function(){$('._tooltip').tooltip();});</script>
</nav>