<!-- Navigation -->
<nav class="navbar navbar-inverse navbar-fixed-top" role="navigation">
    <!-- Brand and toggle get grouped for better mobile display -->
    <div class="navbar-header">
        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-ex1-collapse">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
        </button>
        <a class="navbar-brand" href="/Controller/Home.php">MG POS</a>
    </div>
    <!-- Top Menu Items -->
    <ul class="nav navbar-right top-nav">
        <?php $login = new Login();?>
        <li class="dropdown">
            <a class="dropdown" style='text-transform: lowercase'><i class="fa fa-fw fa-map-marker"></i> Sucursal - <?php echo $login->getSucursalNombre()?></a>
        </li>
        <!--<li class="dropdown">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="fa fa-bell"></i> <b class="caret"></b></a>
            <ul class="dropdown-menu alert-dropdown">
                <li>
                    <a href="#">Alert Name <span class="label label-default">Alert Badge</span></a>
                </li>
            </ul>-->
        </li>
        <li class="dropdown">
            <?php $login = new Login();?>
            <a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="fa fa-user"></i>  <?php echo $login->getNombreCompleto();?> <b class="caret"></b></a>
            <ul class="dropdown-menu">
                <?php if($login->getCajaNombre() !== '' && $login->getCajaNombre() !== null){?>
                    <li>
                        <a href="#"><i class="fa fa-fw fa-laptop"></i><?php echo $login->getCajaNombre();?></a>
                    </li>
                    <li class="divider"></li>
                <?php } ?>   
                <li>
                    <a href="#" class="_getTimeClock" data-toggle='modal' data-target='#modalTimeClock'><i class="fa fa-clock-o"></i> <?php echo $_translator->_getTranslation('Reloj checador')?></a>
                </li>
                <li class="divider"></li>
                <li>
                    <a href="<?php echo ROOT_HOST;?>/class/Login/Logout.php"><i class="fa fa-fw fa-power-off"></i> Log Out</a>
                </li>
            </ul>
        </li>
    </ul>
    <!-- Sidebar Menu Items - These collapse to the responsive navigation menu on small screens -->
    <div class="collapse navbar-collapse navbar-ex1-collapse">
        <ul class="nav navbar-nav side-nav">            
            <li>
                <a href="/Controller/Home.php"><i class="fa fa-fw fa-home"></i> Inicio</a>
            </li>            
            <li>
                <a href="/Controller/Pos.php"><i class="fa fa-fw fa-desktop"></i> POS</a>
            </li>
            <li>
                <a href="javascript:;" data-toggle="collapse" data-target="#PurchaseCollapse"><i class="fa fa-shopping-basket"></i> <?php echo $_translator->_getTranslation('Compras')?> <i class="fa fa-fw fa-caret-down"></i></a>
                <ul id="PurchaseCollapse" class="collapse">
                    <li><a href="/Controller/Purchase.php"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Agregar nueva')?></a></li>
                    <li><a href="/Controller/Purchase.php?action=list"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Lista de compras')?></a></li>                         
                </ul>
            </li>  
            <li>
                <?php
                $messagesUnreadQty = null;
                $notificationRepo = new NotificationRepository();
                $messagesUnread = $notificationRepo->getMessagesUnreadByUserId($login->getId());                
                if($messagesUnread){$messagesUnreadQty = count($messagesUnread);}
                ?>
                <a href="/Controller//Mailbox.php">
                    <i class="fa fa-fw fa-envelope"></i> 
                    Mailbox 
                    <?php
                    if($messagesUnreadQty){ ?> 
                        <span class='label label-danger pull-right _unreadMessagesLabel' style='margin-right: 20px'><?php echo $messagesUnreadQty ?> sin leer</span> <?php 
                    }else{?>
                        <span class='label label-danger pull-right _unreadMessagesLabel' style='margin-right: 20px'></span><?php                        
                    } ?>                    
                </a>
            </li>            
            <li>
                <a href="/Controller/Notification.php"><i class="fa fa-fw fa-comments-o"></i> Mensajes</a>
            </li>
            <li><a href="/Controller/Appointment.php"><i class="fa fa-fw fa-calendar"></i> <?php echo $_translator->_getTranslation('Citas')?></a></li>
            <li><a href="/Controller/Preorder.php"><i class="fa fa-fw fa-check-square-o"></i> <?php echo $_translator->_getTranslation('Pre orden')?></a></li>
             <li>
                <a href="javascript:;" data-toggle="collapse" data-target="#SpecialRequisicionCollapse"><i class="fa fa-fw fa-list"></i> <?php echo $_translator->_getTranslation('Orden especial')?> <i class="fa fa-fw fa-caret-down"></i></a>
                <ul id="SpecialRequisicionCollapse" class="collapse">
                    <li><a href="/Controller/Special-requisition.php"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Agregar nueva')?></a></li>
                    <li><a href="/Controller/Special-requisition.php?action=list"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Lista de ordenes')?></a></li>                         
                </ul>
            </li>  
            <li>
                <a href="javascript:;" data-toggle="collapse" data-target="#RequisicionCollapse"><i class="fa fa-fw fa-list"></i> <?php echo $_translator->_getTranslation('Orden de linea')?> <i class="fa fa-fw fa-caret-down"></i></a>
                <ul id="RequisicionCollapse" class="collapse">
                    <li><a href="/Controller/Requisition.php"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Agregar nueva')?></a></li>
                    <li><a href="/Controller/Requisition.php?action=list"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Lista de ordenes')?></a></li>                         
                </ul>
            </li>  
            <li>
                <a href="javascript:;" data-toggle="collapse" data-target="#productionCollapse"><i class="fa fa-fw fa-list"></i> <?php echo $_translator->_getTranslation('Produccion')?> <i class="fa fa-fw fa-caret-down"></i></a>
                <ul id="productionCollapse" class="collapse">
                    <li><a href="/Controller/Load-line.php"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Carga de lineas')?></a></li> 
                    <li><a href="/Controller/Production.php"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Produccion')?></a></li>
                    <li><a href="/Controller/BakingPlan.php"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Plan de horneado')?></a></li>
                    <li><a href="/Controller/Special-requisition.php?action=list-production"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Plan de decorado')?></a></li>                         
                </ul>
            </li>  
            <li>
                <a href="javascript:;" data-toggle="collapse" data-target="#storeRequisitionCollapse"><i class="fa fa-fw fa-birthday-cake"></i> <?php echo $_translator->_getTranslation('Pedidos de sucursal')?> <i class="fa fa-fw fa-caret-down"></i></a>
                <ul id="storeRequisitionCollapse" class="collapse">
                    <li><a href="/Controller/Store-request.php"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Agregar nuevo')?></a></li>               
                    <li><a href="/Controller/Store-request.php?action=list"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Lista de pedidos')?></a></li>               
                </ul>
            </li>
            <li>
                <a href="javascript:;" data-toggle="collapse" data-target="#warehouseCollapse"><i class="fa fa-fw fa-cubes"></i> <?php echo $_translator->_getTranslation('Almacen')?> <i class="fa fa-fw fa-caret-down"></i></a>
                <ul id="warehouseCollapse" class="collapse">
                    <li><a href="/Controller/Production.php"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Produccion')?></a></li>
                    <li><a href="/Controller/Receiving.php"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Agregar recibo')?></a></li>
                    <li><a href="/Controller/Receiving.php?action=list"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Lista de recibos')?></a></li>                
                    <li><a href="/Controller/Shipment.php"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Agregar envio')?></a></li>
                    <li><a href="/Controller/Shipment.php?action=list"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Lista de envios')?></a></li>                
                
                </ul>
            </li>  
            <li>
                <a href="javascript:;" data-toggle="collapse" data-target="#suppliesCollapse"><i class="fa fa-fw fa-cubes"></i> <?php echo $_translator->_getTranslation('Insumos')?> <i class="fa fa-fw fa-caret-down"></i></a>
                <ul id="suppliesCollapse" class="collapse">                    
                    <li><a href="/Controller/SupplieOut.php"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Agregar salida')?></a></li>
                    <li><a href="/Controller/SupplieOut.php?action=list"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Lista de salidas')?></a></li>                
                    <li><a href="/Controller/SupplieReturn.php"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Agregar retorno')?></a></li>
                    <li><a href="/Controller/SupplieReturn.php?action=list"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Lista de retornos')?></a></li>                
                
                </ul>
            </li>  
            <li>
                <a href="/Controller/Customer.php"><i class="fa fa-fw fa-group"></i> <?php echo $_translator->_getTranslation('Clientes')?></a>
            </li>
            <li>
                <a href="/Controller/Vendor.php"><i class="fa fa-fw fa-group"></i> <?php echo $_translator->_getTranslation('Proveedores')?></a>
            </li>
            <li>
                <a href="javascript:;" data-toggle="collapse" data-target="#accountingCollapse"><i class="fa fa-fw fa-balance-scale"></i> <?php echo $_translator->_getTranslation('Contabilidad')?> <i class="fa fa-fw fa-caret-down"></i></a>            
                <ul class="nav nav-list collapse" id="accountingCollapse">  
                    <li><a href="/Controller/Payment.php"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Pago proveedor +')?></a></li>
                    <li><a href="/Controller/Payment.php?action=list"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Lista de pagos')?></a></li>     
                    <li><a href="/Controller/Accounting-reports.php"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Reportes')?></a></li>
                </ul>
            </li>  
            <li>
                <a href="/Controller/Reports.php"><i class="fa fa-fw fa-signal"></i> <?php echo $_translator->_getTranslation('Reportes')?></a>
            </li>            
            <li>
                <a href="/Controller/TimeClock.php"><i class="fa fa-fw fa-clock-o"></i> <?php echo $_translator->_getTranslation('Reloj checador')?></a>
            </li>
            <li>
                <a href="/Controller/Register.php"><i class="fa fa-fw fa-unlock-alt"></i> <?php echo $_translator->_getTranslation('Abrir/Cerrar Cajas')?></a>
            </li>
            <li>
                <a href="javascript:;" data-toggle="collapse" data-target="#storeCollapse"><i class="fa fa-fw fa-map-marker"></i> <?php echo $_translator->_getTranslation('Sucursales')?> <i class="fa fa-fw fa-caret-down"></i></a>
                <ul id="storeCollapse" class="collapse">
                    <li><a href="/Controller/Store.php"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Agregar nueva')?></a></li>
                    <li><a href="/Controller/Store.php?action=list"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Lista de Sucursales')?></a></li>            
                     <li><a href="StoreStockTemplate.php"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Plantilla')?></a></li>
                <li><a href="StoreStockTemplate.php?action=list"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Lista de platillas')?></a></li>     
                </ul>
            </li>             
            <li>
                <a href="javascript:;" data-toggle="collapse" data-target="#rewardsCollapse"><i class="fa fa-fw fa-star" style="color: gold"></i> <?php echo $_translator->_getTranslation('Rewards')?> <i class="fa fa-fw fa-caret-down"></i></a>            
                <ul class="nav nav-list collapse" id="rewardsCollapse">  
                    <li><a href="/Rewards/Controller/Rewards.php"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Rewards')?></a></li>    
                    <li><a href="/Rewards/Controller/CustomerRewards.php"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Rewards acumulados')?></a></li>    
                    <li><a href="/Rewards/Controller/RewardsReports.php"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Reportes')?></a></li>    
                </ul>
            </li>  
            <li>
            <a href="javascript:;" data-toggle="collapse" data-target="#configCollapse"><i class="fa fa-fw fa-gear"></i> <?php echo $_translator->_getTranslation('Configuracion')?> <i class="fa fa-fw fa-caret-down"></i></a>            
            <ul class="nav nav-list collapse" id="configCollapse"> 
                <li><a href="/Controller/Company.php"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Empresa')?></a></li>                    
                <li><a href="/Controller/Promotion.php"><i class="fa fa-fw fa-tag" style="color:red"></i> Promociones</a></li>
                <li><a href="/Controller/Product.php"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Productos')?></a></li>
                <li><a href="/Controller/SupplieAndService.php"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Insumos y servicios')?></a></li>
                <li><a href="/Controller/Size.php"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Tamaños')?></a></li>
                <li><a href="/Controller/Category.php"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Categorias')?></a></li>
                <li><a href="/Controller/Brand.php"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Marcas')?></a></li>
                <li><a href="/Controller/Presentation.php"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Presentaciones')?></a></li>
                <li><a href="/Controller/Unit.php"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Unidades de Medida')?></a></li>  
                <li><a href="/Controller/Slice.php"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Partes del pastel')?></a></li>
                <li><a href="/Controller/Station.php"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Estaciones')?></a></li>
                <li><a href="/Controller/AppointmentOptions.php"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Opciones de citas')?></a></li>
                <li><a href="/Controller/PaymentTerms.php"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Terminos de pago')?></a></li>
                <li><a href="/Controller/User.php"><i class="fa fa-fw fa-circle-o"></i> <?php echo $_translator->_getTranslation('Usuarios')?></a></li>
            </ul>
            </li>  
        </ul>
    </div>
    <!-- /.navbar-collapse -->
</nav>